2005-08-31  Andreas Tobler  <a.tobler@schweiz.ch>

       * kaffe/kaffevm/classMethod.c
	(resolveStaticFields): Change index to unsigned.
	(computeInterfaceImplementationIndex): Change i to unsigned.

	* kaffe/kaffevm/string.c: Change argument type for stringHashValue to
	avoid compiler warnings.

	* libraries/clib/net/PlainDatagramSocketImpl.c
	(gnu_java_net_PlainDatagramSocketImpl_socketSetOption): Changed k to
	unsigned to avoid compiler warnings.
	(gnu_java_net_PlainDatagramSocketImpl_socketGetOption): Likewise.

	* replace/getaddrinfo.c: Change prototype for itoa_length to unsigned
	int.

2005-08-27  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/clib/target/Linux/target_native_file.h
	(TARGET_NATIVE_FILE_AVAILABLE): Return length=0 if fstat for the
	file is successful but the file is not a regular file.

2005-08-27  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-26  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicCheckBoxUI.java
        (installUI): removed,
        * javax/swing/plaf/basic/BasicIconFactory.java
        (CheckBoxMenuItemIcon): new support class,
        (getCheckBoxMenuItemIcon): return instance of CheckBoxMenuItemIcon,
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): changed value for 'CheckBoxMenuItem.checkIcon'
        and removed entry for 'CheckBoxMenuItem.icon',
        * javax/swing/plaf/basic/BasicMenuItemUI.java
        (paintMenuItem): let icon handle selection status,
        * javax/swing/plaf/metal/MetalIconFactory.java
        (CheckBoxMenuItemIcon): new support class,
        (getCheckBoxIcon): implemented,
        (getCheckBoxMenuItemIcon): implemented,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): added entry for 'CheckBoxMenuItem.checkIcon'.

	2005-08-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
        (create): Only set overwrite confirmation if using GTK >= 2.8.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (setVisibleNative): Call gdk_flush before releasing GDK lock.
        (setVisibleNativeUnlocked): Don't call gdk_flush.

	2005-08-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR classpath/21660:
        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
        (AWT_FILEDIALOG_LOAD): New macro.
        (AWT_FILEDIALOG_SAVE): Likewise.
        (create(GtkContainerPeer,int)): Add mode parameter.  Create Save
        dialog if mode is AWT_FILEDIALOG_SAVE.  Remove workaround for
        http://bugzilla.gnome.org/show_bug.cgi?id=166852.
        (create()): Add mode argument to create call.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (setVisibleNative): Override method.
        (setVisibleNativeUnlocked): Override method.  Call gdk_flush after
        showing or hiding window.
        * include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h: Regenerate.
        * include/gnu_java_awt_peer_gtk_GtkWindowPeer.h: Regenerate.

	2005-08-25  Mark Wielaard  <mark@klomp.org>

        * timezones.pl (parseRule): Add dayoffset when $time represents
        more then a day.
        * java/util/TimeZone.java (timezones): Regenerate.

	2005-08-25  Mark Wielaard  <mark@klomp.org>

        Reported by Bastiaan Huisman <huisman@science.uva.nl>
        * scripts/tzabbrevs: Change America/Buenos_Aires to
        America/Argentina/Buenos_Aires for AGT link.
        * timezones.pl (parseTime): Assume and return wall time.
        Reindent output.
        * java/util/TimeZone.java (timezones): Regenerate using tzdata2005l.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/JTextPane.java
        (JTextPane()): Don't set the document to null here.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTextUI.java
        (RootView.preferenceChanged): Revalidate the text component.
        (RootView.setParent): Set parent of views to null. The parent
        of the added child view is set to the root view in the
        BasicTextUI class.
        (RootView.getView): Implemented new method.
        (RootView.getViewCount): Implemented new method.
        (RootView.changedUpdate): Use the correct ViewFactory here.
        (RootView.insertUpdate): Use the correct ViewFactory here.
        (RootView.removeUpdate): Use the correct ViewFactory here.
        (setView): Set the view's parent to the root view.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/View.java
        (View): Don't manage child views here.
        (getContainer): Throw AssertionError if we have no parent. This
        should not happen.
        (append): Call replace to do the real action. Child views
        are not managed in the View class itself.
        (removeAll): Give replace an empty array instead of null.
        Avoids NPEs in subclasses that don't handle the null case.
        (preferenceChanged): Don't revalidate here. This is too
        expensive and not necessary.
        (updateChildren): Let replace do the actual action. We don't
        manage child views in the View class.
        (forwardUpdate): Don't access children directly.
        (dump): Added package private methods useful for debugging.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/StyledEditorKit.java
        (StyledViewFactory.create): Use new BoxView constructor. Throw
        AssertionError if an unknown element type is encountered,
        since this should not happen.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/GlyphView.java
        (GlyphPainter): Implemented abstract inner class.
        (DefaultGlyphPainter): Implemented concrete impl of
        GlyphPainter.
        (getGlyphPainter): Implemented new method.
        (setGlyphPainter): Likewise.
        (checkPainter): Likewise.
        (paint): Likewise.
        (getPreferredSpan): Likewise.
        (modelToView): Likewise.
        (getTabExpander): Likewise.
        (getTabbedSpan): Likewise.
        (getPartialSpan): Likewise.
        (getBeginIndex): Likewise.
        (getEndIndex): Likewise.
        (getText): Likewise.
        (getFont): Likewise.
        (getForeground): Likewise.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/GapContent.java
        (getString): Throw BadLocationException instead of letting
        a StringIndexOutOfBoundsException bubble up.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/ParagraphView.java
        (Row): Implemented inner class.
        (ParagraphView(Element)): Implemented constructor.
        (nextTabStop): Added dummy implementation for TabExpander
        interface.
        (createRow): Implemented new method.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/FlowView.java
        (FlowStrategy): Implemented inner class.
        (LogicalView): Likewise.
        (FlowView(Element, int)): Implemented constructor.
        (getFlowAxis): Implemented new method.
        (getFlowSpan): Likewise.
        (getFlowStart): Likewise.
        (createRow): Added new abstract method.
        (loadChildren): Implemented new method.
        (layout): Implemented new method.
        (insertUpdate): Implemented new method.
        (removeUpdate): Implemented new method.
        (changedUpdate): Implemented new method.
        (getViewIndexAtPosition): Implemented new method.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/CompositeView.java
        (loadChildren): Call replace to actually change the child
        elements. This way subclasses can modify the child
        management behaviour by simply overriding replace.
        (setParent): Only call loadChildren if the parent to be set
        is actually not null.
        (replace): Check for null children. Set the parent of removed
        children to null. Set the parent of the added children to
        this.
        (modelToView): Added some sanity checks.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/BoxView.java
        (BoxView(Element, int)): Implemented.
        (getAxis): Likewise.
        (setAxis): Likewise.
        (layoutChanged): Likewise.
        (isLayoutValid): Likewise.
        (paintChild): Likewise.
        (replace): Likewise.
        (paint): Likewise.
        (getPreferredSpan): Likewise.
        (getMaximumSpan): Likewise.
        (baselineRequirements): Likewise.
        (calculateMajorAxisRequirements): Likewise.
        (calculateMinorAxisRequirements): Likewise.
        (isBefore): Likewise.
        (isAfter): Likewise.
        (getViewAtPoint): Likewise.
        (childAllocation): Likewise.
        (layout): Likewise.
        (layoutMajorAxis): Likewise.
        (layoutMinorAxis): Likewise.
        (isAllocationValid): Likewise.
        (getWidth): Likewise.
        (getHeight): Likewise.
        (setSize): Likewise.
        (validateLayout): Likewise.

	2005-08-25  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AbstractDocument.java
        (AbstractElement.dumpElement): Throw AssertionError when
        a BadLocationException is encountered.
        (BranchElement.getElementIndex): Return -1 if there is no child
        element. Return elementCount - 1 if the requested offset is after
        the child elements of that element.
        (BranchElement.getEndOffset): Throw NPE if this element has no
        children.
        (BranchElement.getStartOffset): Throw NPE if this element has
        no children.
        (DefaultDocumentEvent.addEdit): Implemented.
        (DefaultDocumentEvent.getChange): Implemented.

	2005-08-25  Lillian Angel  <langel@redhat.com>

        * javax/swing/JPasswordField.java
        (setText): Changed to raise an AssertionError when a
        BadLocationException is caught.

	2005-08-25  Mark Wielaard  <mark@klomp.org>

        * javax/xml/namespace/QName.java: Updated boilerplate address.
        * gnu/xml/xpath/XPathParser.y: Likewise.
        * gnu/xml/xpath/XPathParser.java: Regenerated.

	2005-08-25  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/xml/datatype/DatatypeFactory.java: minor API doc fixes,
        * javax/xml/parsers/DocumentBuilder.java: likewise,
        * javax/xml/parsers/SAXParser.java: likewise,
        * javax/xml/transform/Source.java: likewise.

	2005-08-25  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/tree/DefaultTreeModel.java
        (nodesWereRemoved): minor API doc fix.

	2005-08-25  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        (activeBGColor): removed,
        (activeFGColor): removed,
        (inactiveBGColor): removed,
        (inactiveFGColor): removed,
        (installDefaults): replaced removed fields above with correct ones,
        (uninstallDefaults): likewise,
        (setButtonIcons): implemented,
        (paintComponent): replaced removed fields above with correct ones;
        * javax/swing/plaf/metal/MetalInternalFrameTitlePane.java: implemented,
        * javax/swing/plaf/metal/MetalInternalFrameUI.java
        (createNorthPane): implemented,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): added internal frame icons.

2005-08-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/VMSystemProperties.java
	Set java.class.version to 48.0 for Maven 2.

	Reported by :  Trygve Laugstoel <trygvis@inamo.no>

2005-08-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-25  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/ClasspathToolkit.java (getFont): Throw
        RuntimeException in case of error.
        * gnu/java/awt/EmbeddedWindow.java (addNotify): Likewise.

	2005-08-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (beginNativeRepaintID): Remove variable.
        (endNativeRepaintID): Likewise.
        (cp_gtk_button_init_jni): Don't look up beginNativeRepaint and
        endNativeRepaint methods.
        * gnu/java/awt/peer/gtk/GtkFramePeer.java (resizing): Remove
        field.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (resizing): Remove field.
        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java (hiding): Remove
        field.
        (setVisible): Don't override.
        * gnu/java/awt/peer/gtk/GtkChoicePeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
        (selectNative): New method.
        (selectNativeUnlocked): Likewise.
        (select): Call setNativeUnlocked if in the GTK main thread,
        selectNative otherwise.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
        (gtkWidgetSetCursorUnlocked): New method.
        (setCursor(Cursor)): Call gtkWidgetSetCursorUnlocked if in the GTK
        main thread, gtkWidgetSetCursor otherwise.
        (setVisibleNative): New method.
        (setVisibleNativeUnlocked): Likewise.
        (setVisible): Call setVisibleNativeUnlocked if in the GTK main
        thread, setVisibleNative otherwise.
        (hide): Call setVisible(false).
        (show): Call setVisible(true).

	2005-08-24  Tom Tromey  <tromey@redhat.com>

        * java/text/SimpleDateFormat.java (compileFormat): Correctly
        handle quoted single quotes.  PR classpath/23183.

	2005-08-24  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (InternalFrameCloseIcon): new private class,
        (InternalFrameAltMaximizeIcon): likewise,
        (InternalFrameMaximizeIcon): likewise,
        (InternalFrameMinimizeIcon): likewise,
        (getInternalFrameCloseIcon): implemented,
        (getInternalFrameMaximizeIcon): implemented,
        (getInternalFrameMinimizeIcon): implemented,
        (getInternalFrameAltMaximizeIcon): implemented.

	2005-08-24  Mark Wielaard  <mark@klomp.org>

        * gnu/CORBA/ForwardRequestHelper.java: Update copyright boilerplate
        address.
        * javax/xml/namespace/QName.java: Likewise.
        * org/omg/DynamicAny/_DynAnyFactoryStub.java: Likewise.
        * org/omg/DynamicAny/_DynAnyStub.java: Likewise.
        * org/omg/DynamicAny/_DynArrayStub.java: Likewise.
        * org/omg/DynamicAny/_DynEnumStub.java: Likewise.
        * org/omg/DynamicAny/_DynFixedStub.java: Likewise.
        * org/omg/DynamicAny/_DynSequenceStub.java: Likewise.
        * org/omg/DynamicAny/_DynStructStub.java: Likewise.
        * org/omg/DynamicAny/_DynUnionStub.java: Likewise.
        * org/omg/DynamicAny/_DynValueStub.java: Likewise.
        * org/omg/PortableServer/ForwardRequest.java: Likewise.
        * org/omg/PortableServer/CurrentHelper.java: Likewise.
        * org/omg/PortableServer/ForwardRequestHelper.java: Likewise.
        * org/omg/PortableServer/ServantActivatorHelper.java: Likewise.
        * org/omg/PortableServer/ServantLocatorHelper.java: Likewise.
        * org/omg/PortableServer/_ServantActivatorStub.java: Likewise.
        * org/omg/PortableServer/_ServantLocatorStub.java: Likewise.

	2005-08-24  Lillian Angel  <langel@redhat.com>

        * javax/swing/DefaultCellEditor.java
        (isCellEditable): Reversed last changes.

	2005-08-24  Lillian Angel  <langel@redhat.com>

        * javax/swing/DefaultCellEditor.java
        (isCellEditable): If the event is null, the cell is still
        editable.
        * javax/swing/plaf/basic/BasicTextUI.java
        (getVisibleEditorRect): Use getPreferredSize to get the width
        and height.
        * javax/swing/tree/DefaultTreeCellEditor.java
        (paint): Fixed to paint the JTextField with the background
        and border at the correct location.
        (DefaultTreeCellEditor): Changed to initialize realEditor.
        (configureEditingComponent): Helper function implemented.
        (getTreeCellEditorComponent): Fixed to use realEditor to get component.
        (isCellEditable): Fixed to configure editing component.
        (shouldSelectCell): Always returns true.
        (stopCellEditing): Fixed to configure editing component if needed.
        (cancelCellEditing): Fixed to configure editing component if needed.
        (createTreeCellEditor): Fixed to initialize fields.

	2005-08-24  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (installDefaults): just fetch border from UIDefaults,
        * javax/swing/plaf/metal/MetalIconFactory.java
        (InternalFrameDefaultMenuIcon): implemented,
        (getInternalFrameDefaultMenuIcon): implemented,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): add values for "InternalFrame.border" and
        "InternalFrame.icon".

	2005-08-24  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java
        (InternalFrameBorder): implemented.

	2005-08-24  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicDesktopPaneUI.java
        (installDefaults): set background color using "desktop" color,
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initSystemColorDefaults): removed "Desktop.background" color,
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initSystemColorDefaults): added "desktop" color.

	2005-08-23  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (stopEditing): Implemented.
        (cancelEditing): Implemented.
        (startEditingAtPath): Implemented.
        (getEditingPath): Implemented.
        (createDefaultCellEditor): Implemented.
        (updateCellEditor): Implemented.
        (completeEditing): Implemented.
        (completeEditing): Implemented.
        (startEditing): Implemented.
        (editingStopped): Implemented.
        (editingCanceled): Implemented.
        * javax/swing/tree/DefaultTreeCellEditor.java
        (stopCellEditing): Stopped the timer.
        (cancelCellEditing): Likewise.

	2005-08-23  Lillian Angel  <langel@redhat.com>

        * javax/swing/DefaultCellEditor.java
        (getTreeCellEditorComponent): Implemented cases for JCheckBox
        and JComboBox.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (BasicTreeUI): Moved lines to installUI where the renderer
        and editor are created.
        (installUI): Likewise.
        * javax/swing/tree/DefaultTreeCellEditor.java
        (getPreferredSize): Implemented.
        (DefaultTreeCellEditor): Implemented.
        (DefaultTreeCellEditor): Implemented.
        (getTreeCellEditorComponent): Implemented.
        (getCellEditorValue): Implemented.
        (isCellEditable): Implemented.
        (shouldSelectCell): Implemented.
        (stopCellEditing): Implemented.
        (cancelCellEditing): Implemented.
        (valueChanged): Implemented.
        (actionPerformed): Implemented.
        (shouldStartEditingTimer): Implemented.
        (startEditingTimer): Implemented.
        (canEditImmediately): Implemented.
        (inHitRegion): Implemented.
        (determineOffset): Implemented.
        (prepareForEditing): Implemented.
        (createContainer): Implemented.
        (createTreeCellEditor): Implemented.

	2005-08-23  Tom Tromey  <tromey@redhat.com>

        * java/text/SimpleDateFormat.java (compileFormat): Reformatted.

	2005-08-23  Tom Tromey  <tromey@redhat.com>

        PR classpath/23531
        * java/sql/Date.java (toString): Not deprecated.
        (valueOf): Likewise.
        * java/sql/Time.java (toString): Not deprecated.
        (valueOf): Likewise.

	2005-08-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIManager.java:
        (addAuxiliaryLookAndFeel): renamed field, added check for null
        argument,
        (removeAuxiliaryLookAndFeel): reimplemented,
        (getAuxiliaryLookAndFeels): renamed field,
        (installLookAndFeel): implemented by delegation.

	2005-08-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIManager.java: added API docs all over.

	2005-08-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIManager.java:
        (look_and_feel): renamed currentLookAndFeel,
        (currentUIDefaults): new field,
        (get(Object)): access cached UIDefaults,
        (get(Object, Locale)): likewise,
        (getBoolean(Object)): likewise,
        (getBoolean(Object, Locale)): likewise,
        (getBorder(Object)): likewise,
        (getBorder(Object, Locale)): likewise,
        (getColor(Object)): likewise,
        (getColor(Object, Locale)): likewise,
        (getDefaults): return reference to UIDefaults from current look and
        feel rather than recreating them every time,
        (getDimension(Object)): access local defaults,
        (getDimension(Object, Locale)): likewise,
        (getFont(Object)): likewise,
        (getFont(Object, Locale)): likewise,
        (getIcon(Object)): likewise,
        (getIcon(Object, Locale)): likewise,
        (getInsets(Object)): likewise,
        (getInsets(Object, Locale)): likewise,
        (getInt(Object)): likewise,
        (getInt(Object, Locale)): likewise,
        (getLookAndFeel): renamed attribute,
        (getLookAndFeelDefaults): return reference to UIDefaults from current
        look and feel rather than recreating them every time,
        (getString(Object)): access local defaults,
        (getString(Object, Locale)): likewise,
        (getUI(JComponent)): likewise,
        (installLookAndFeel(String, String)): implemented by delegation,
        (put(Object, Object)): update local defaults,
        (setLookAndFeel): create and retain reference to UIDefaults.

	2005-08-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIManager.java:
        (addPropertyChangeListener): implemented,
        (removePropertyChangeListener): likewise,
        (getPropertyChangeListeners): likewise,
        (setLookAndFeel): fire a property change event.

	2005-08-23  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (BasicTreeUI): Moved these lines to installUI
        because they were causing NullPointerExceptions.
        (installUI): Added code from constructor.
        * javax/swing/plaf/metal/MetalTreeUI.java
        (createUI): Formatted code.

	2005-08-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/event/SwingPropertyChangeSupport.java
        (writeObject): removed empty method,
        (readObject): likewise,
        (getPropertyChangeListeners()): implemented,
        (getPropertyChangeListeners(String)): likewise,
        (hasListeners): return true if there are any general listeners,
        added API docs all over.

	2005-08-23  Mark Wielaard  <mark@klomp.org>

        * native/jni/qt-peer/qttextfieldpeer.cpp
        (Java_gnu_java_awt_peer_qt_QtTextFieldPeer_getCaretPosition): Renamed
        from Java_gnu_java_awt_peer_qt_QtTextFieldPeer_getCaretPositionNative.

        * gnu/java/awt/peer/qt/QtComponentPeer.java (getMinimumSizeNative):
        Removed unused native method.
        (getPreferredSizeNative): Likewise.

	2005-08-23  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/EventQueue.java (getNextEvent): Don't check if this is
        the dispatch thread.

2005-08-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-23  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/qt/QtAudioClip.java
        * gnu/java/awt/peer/qt/QtComponentGraphics.java
        * gnu/java/awt/peer/qt/QtComponentPeer.java
        * gnu/java/awt/peer/qt/QtDialogPeer.java
        * gnu/java/awt/peer/qt/QtFontPeer.java
        * gnu/java/awt/peer/qt/QtFramePeer.java
        * gnu/java/awt/peer/qt/QtGraphics.java
        * gnu/java/awt/peer/qt/QtImage.java
        * gnu/java/awt/peer/qt/QtImageGraphics.java
        * gnu/java/awt/peer/qt/QtLabelPeer.java
        * gnu/java/awt/peer/qt/QtMenuBarPeer.java
        * gnu/java/awt/peer/qt/QtMenuComponentPeer.java
        * gnu/java/awt/peer/qt/QtMenuPeer.java
        * gnu/java/awt/peer/qt/QtPanelPeer.java
        * gnu/java/awt/peer/qt/QtRepaintThread.java
        * gnu/java/awt/peer/qt/QtToolkit.java
        * gnu/java/awt/peer/qt/QtVolatileImage.java
        * include/gnu_java_awt_peer_qt_QtComponentPeer.h
        * include/gnu_java_awt_peer_qt_QtEmbeddedWindowPeer.h
        * include/gnu_java_awt_peer_qt_QtGraphics.h
        * include/gnu_java_awt_peer_qt_QtMenuPeer.h
        * include/gnu_java_awt_peer_qt_QtVolatileImage.h
        * native/jni/qt-peer/componentevent.cpp
        * native/jni/qt-peer/componentevent.h
        * native/jni/qt-peer/eventmethods.h
        * native/jni/qt-peer/keybindings.cpp
        * native/jni/qt-peer/keybindings.h
        * native/jni/qt-peer/qtcomponentpeer.cpp
        * native/jni/qt-peer/qtframepeer.cpp
        * native/jni/qt-peer/qtgraphics.cpp
        * native/jni/qt-peer/qtimage.h
        * native/jni/qt-peer/qtlabelpeer.cpp
        * native/jni/qt-peer/qtmenucomponentpeer.cpp
        * native/jni/qt-peer/qtmenupeer.cpp
        * native/jni/qt-peer/qtscrollpanepeer.cpp
        * native/jni/qt-peer/qttextfieldpeer.cpp
        * native/jni/qt-peer/qtvolatileimage.cpp
        * native/jni/qt-peer/qtwindowpeer.cpp:
        Reindented, minor fixes.
        * gnu/java/awt/peer/qt/QtImageDirectGraphics.java
        New file.

	2005-08-22  Tom Tromey  <tromey@redhat.com>

        * java/net/JarURLConnection.java (getJarEntry): Return null if no
        entry specified.

	2005-08-22  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Added in default border for Tree.
        * javax/swing/tree/DefaultTreeCellRenderer.java:
        Formatting entire class.
        (getPreferredSize): Implemented.

	2005-08-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/event/SwingPropertyChangeSupport.java: reformatted.

	2005-08-22  Mark Wielaard  <mark@klomp.org>

        * javax/swing/ImageIcon.java: Add documentation.

	2005-08-22  Tom Tromey  <tromey@redhat.com>

        * javax/swing/text/LayoutQueue.java: New file.

	2005-08-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIManager.java: fixed error message typo in static
        initialization code.

	2005-08-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/text/AbstractDocument.java: fixed minor API doc problems,
        * javax/swing/text/Caret.java: likewise,
        * javax/swing/text/CompositeView.java: likewise,
        * javax/swing/text/DefaultCaret.java: likewise,
        * javax/swing/text/DefaultEditorKit.java: likewise,
        * javax/swing/text/DefaultStyledDocument.java: likewise,
        * javax/swing/text/ElementIterator.java: likewise,
        * javax/swing/text/GlyphView.java: likewise,
        * javax/swing/text/IconView.java: likewise,
        * javax/swing/text/View.java: likewise.

	2005-08-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/SwingUtilities.java: fixed some minor API doc problems.

	2005-08-22  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gtkpeer.h (cp_gtk_clipboard,
        cp_gtk_stringTarget, cp_gtk_imageTarget, cp_gtk_filesTarget): New
        extern variables.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkSelection.c: New file.
        * native/jni/gtk-peer/Makefile.am (libgtkpeer_la_SOURCES): Add
        gnu_java_awt_peer_gtk_GtkSelection.c.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c: Renames
        clipboard to cp_gtk_clipboard, stringTarget to cp_gtk_stringTarget,
        imageTarget to cp_gtk_imageTarget, filesTarget to cp_gtk_filesTarget,
        cp_gtk_clipboard_owner_change_cb to clipboard_owner_change_cb,
        cp_gtk_clipboard_get_func to clipboard_get_func,
        cp_gtk_clipboard_clear_func to clipboard_clear_func, moved
        GtkSelection native methods to new file.

2005-08-25  Riccardo Mottola  <riccardo@kaffe.org>
        
        * kaffe/kaffe/kaffevm/thread.c : added sys includes for Darwin
        
2005-08-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkSelection.java: Update for new FSF
        address.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * javax/swing/plaf/basic/BasicSplitPaneUI.java
        (KEYBOARD_DIVIDER_MOVE_OFFSET): Initialize with 3.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * javax/swing/ImageIcon.java (getIconHeight): Return -1 if image
        is null.
        (getIconWidth): Likewise.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (window_get_frame_extents): If window is not decorated, guess 0,
        0, 0, 0 inset values.

	2005-08-21  Tom Tromey  <tromey@redhat.com>

        * javax/swing/text/AbstractWriter.java (NEWLINE): Now 'final'.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Label.java (setText): Refine text inequality test.

2005-08-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in:
	(toolslib_DATA) Moved tools.jar over here to fix
	ant and Maven warnings.

2005-08-24  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am: (KAFFELIBRARYPATH) Fixed them again
	to work without having GNU findutils.

	Reported by:  Ito Kazumitsu <kaz@maczuka.gcd.org>,
	              Andreas Tobler  <a.tobler@schweiz.ch>

2005-08-22  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/freebsd2/md.c: Include sys/types.h

	Reported by:  Ito Kazumitsu <kaz@maczuka.gcd.org>

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics.java (setClip(Shape)): Clear
        clip when clip == null.
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (setClip(Shape)):
        Likewise.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Label.java (setText): Invalidate label.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/image/AreaAveragingScaleFilter.java: Add checks for
        consumer != null.
        * java/awt/image/CropImageFilter.java: Likewise.
        * java/awt/image/ImageFilter.java: Likewise.
        * java/awt/image/RGBImageFilter.java: Likewise.
        * java/awt/image/ReplicateScaleFilter.java: Likewise.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkPixbufDecoder.java (findFormatName):
        Just return null when ext == null.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/AWTKeyStroke.java (getAWTKeyStroke): Include old-style
        modifiers in returned AWTKeyStroke's modifier mask.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java (setStroke): Clear
        dashes if dashes is null.
        (setStrokeUnlocked): Likewise.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Window.java (getMostRecentFocusOwner): New method.

	2005-08-20  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/qt/MainQtThread.java
        * gnu/java/awt/peer/qt/QtComponentGraphics.java
        * gnu/java/awt/peer/qt/QtComponentPeer.java
        * gnu/java/awt/peer/qt/QtEmbeddedWindowPeer.java
        * gnu/java/awt/peer/qt/QtFramePeer.java
        * gnu/java/awt/peer/qt/QtImage.java
        * gnu/java/awt/peer/qt/QtListPeer.java
        * gnu/java/awt/peer/qt/QtScreenDeviceConfiguration.java
        * gnu/java/awt/peer/qt/QtToolkit.java
        * native/jni/qt-peer/componentevent.cpp
        * native/jni/qt-peer/componentevent.h
        * native/jni/qt-peer/eventmethods.h
        * native/jni/qt-peer/mainqtthread.cpp
        * native/jni/qt-peer/mainthreadinterface.cpp
        * native/jni/qt-peer/mainthreadinterface.h
        * native/jni/qt-peer/qtcomponentpeer.cpp
        * native/jni/qt-peer/qtframepeer.cpp
        * native/jni/qt-peer/qtgraphics.cpp
        Refactored.
        * gnu/java/awt/peer/qt/QtRepaintThread.java:
        New file.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-19  Tom Tromey  <tromey@redhat.com>

        * javax/swing/tree/DefaultTreeCellEditor.java: Removed erroneous
        import.

	2005-08-19  Tom Tromey  <tromey@redhat.com>

        * javax/swing/text/AbstractWriter.java: New file.
        * javax/swing/text/ElementIterator.java: New file.

	2005-08-19  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getCellBounds): No need to call getFont twice. This
        is fixed.
        * javax/swing/tree/DefaultTreeCellEditor.java:
        Added API documentation for all fields.
        (getPreferredSize): Implemented.
        (paint): Implemented.
        (doLayout): Implemented.
        (getFont): Implemented.
        (getPreferredSize): Implemented.
        (DefaultTreeCellEditor): Partially implemented.
        (DefaultTreeCellEditor): Partially implemented.
        (setBorderSelectionColor): Implemented.
        (getBorderSelectionColor): Implemented.
        (setFont): Implemented.
        (getFont): Implemented.
        (getTreeCellEditorComponent): Added API documentation.
        (getCellEditorValue): Added API documentation.
        (isCellEditable): Added API documentation.
        (shouldSelectCell): Added API documentation.
        (stopCellEditing): Added API documentation.
        (cancelCellEditing): Added API documentation.
        (valueChanged): Added API documentation.
        (actionPerformed): Added API documentation.
        (setTree): Implemented.
        (shouldStartEditingTimer): Added API documentation.
        (startEditingTimer): Added API documentation.
        (canEditImmediately): Added API documentation.
        (inHitRegion): Added API documentation.
        (determineOffset): Added API documentation.
        (prepareForEditing): Added API documentation.
        (createContainer): Added API documentation.
        (createTreeCellEditor): Added API documentation.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-20  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gtk_jawt.c
        (classpath_jawt_get_default_display): Remove locking.
        (classpath_jawt_get_visualID): Likewise.
        (classpath_jawt_get_drawable): Likewise.
        (classpath_jawt_object_lock): Remove function.
        (classpath_jawt_object_unlock): Likewise.
        (classpath_jawt_create_lock): Likewise.
        (classpath_jawt_destroy_lock): Likewise.
        * native/jni/classpath/classpath_jawt.h
        (classpath_jawt_object_lock): Remove function.
        (classpath_jawt_object_unlock): Likewise.
        (classpath_jawt_create_lock): Likewise.
        (classpath_jawt_destroy_lock): Likewise.
        * native/jawt/jawt.c [!__GNUC__] (__attribute__): Define to
        nothing.
        (_Jv_Lock): Call classpath_jawt_lock.
        (_Jv_Unlock): Call classpath_jawt_unlock.
        (_Jv_GetDrawingSurfaceInfo): Move surface_info_x11 initialization
        from ...
        (_Jv_GetDrawingSurface): Remove surface_info_x11 initialization.
        (_Jv_FreeDrawingSurface): Don't destroy target object.
        * include/jawt_md.h (struct _JAWT_X11DrawingSurfaceInfo): Re-order
        display field.  Add colour map, depth and GetAWTColor function
        pointer fields.
        * include/jawt.h (struct _JAWT_Rectangle): New structure.
        (struct _JAWT_DrawingSurfaceInfo): Add drawing surface, bounds,
        clip size and clipping rectangle fields.
        (struct _JAWT_DrawingSurface): Add env field.  Rename lock field
        target.  Re-order function pointer and lock fields.  Remove
        surface_info field.
        (struct _JAWT): Add GetComponent function pointer field.

	2005-08-19  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * include/jawt.h: Import from libgcj.
        * include/jawt_md.h: Likewise.
        * native/jawt/jawt.c: Import from libgcj.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-19  Lillian Angel  <langel@redhat.com>

        * javax/swing/tree/DefaultTreeModel.java
        (setAsksAllowsChildren): Removed comment, unneeded.
        (setRoot): Formatting.
        (getIndexOfChild): Formatting.
        (reload): Added API documentation.
        (reload): Likewise.
        (valueForPathChanged): Implemented.
        (insertNodeInto): Implemented.
        (removeNodeFromParent): Implemented.
        (nodeChanged): Implemented.
        (nodesWereInserted): Implemented.
        (nodesWereRemoved): Implemented.
        (nodesChanged): Implemented.
        (nodeStructureChanged): Added API documentation.
        (getPathToRoot): Implemented.
        (getPathToRoot): Implemented.
        (fireTreeNodesChanged): Added API documentation.

	2005-08-19  Roman Kennke  <roman@kennke.org>

        * java/awt/image/DirectColorModel.java
        (createCompatibleWritableRaster): Added API documentation.

	2005-08-18  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Font.java (Font(String,Map)): Make package private.
        * gnu/java/awt/ClasspathToolkit.java (getFont): Access
        package-private Font.Font(String,Map) constructor using
        reflection.

	2005-08-18  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/GLightweightPeer.java,
        gnu/java/awt/peer/gtk/GtkComponentPeer.java,
        gnu/java/awt/peer/gtk/GtkContainerPeer.java,
        gnu/java/awt/peer/gtk/GtkFramePeer.java,
        gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
        gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
        gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
        gnu/java/awt/peer/gtk/GtkToolkit.java,
        gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        gnu/java/awt/peer/qt/QtComponentPeer.java,
        gnu/java/awt/peer/qt/QtContainerPeer.java,
        gnu/java/awt/peer/qt/QtFramePeer.java,
        gnu/java/awt/peer/qt/QtMenuComponentPeer.java,
        gnu/java/awt/peer/qt/QtScreenDeviceConfiguration.java,
        gnu/java/awt/peer/qt/QtTextAreaPeer.java,
        gnu/java/awt/peer/qt/QtTextFieldPeer.java,
        gnu/java/awt/peer/qt/QtWindowPeer.java,
        java/awt/peer/ComponentPeer.java,
        java/awt/peer/ContainerPeer.java, java/awt/peer/FramePeer.java,
        java/awt/peer/MenuComponentPeer.java,
        java/awt/peer/TextComponentPeer.java,
        java/awt/peer/WindowPeer.java: Add new 1.5 methods.
        * java/awt/Window.java (Window()): Initialize
        graphicsConfiguration.
        * java/awt/GraphicsConfiguration.java
        (createCompatibleVolatileImage(int,int,int)): New method.
        * java/awt/Font.java (Font(String,Map)): Add FIXME.
        * gnu/java/awt/peer/gtk/GtkToolkit.java
        (getLocalGraphicsEnvironment): Call new constructor.
        * gnu/java/awt/peer/gtk/GdkScreenGraphicsDevice.java (getToolkit):
        Remove method.
        * gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java
        (GdkGraphicsEnvironment(GtkToolkit)): Remove method.
        (GdkGraphicsEnvironment()): New constructor.
        (getToolkit): Remove method.
        * gnu/java/awt/peer/gtk/GdkGraphicsConfiguration.java
        (getToolkit): Remove method.
        (createCompatibleVolatileImage): New method.
        * gnu/java/awt/ClasspathToolkit.java (getFont): Add FIXME.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	Fixed Eclipse 3.1 startup.

	* Makefile.am (BUILD_ENVIRONMENT) Adapted LD_LIBRARY_PATH to
	make sure libraries are looked up in the right directory in 
	regression test cases.

	* configure.ac: Check for shared library extension name.

	* kaffe/kaffevm/external.c: Include config.h.
	(initNative): Print full library name.

	* libraries/clib/native/Runtime.c (LIBRARYSUFFIX) Set to
	LTDL_SHLIB_EXT. 

	* test/jni/Makefile.am: (TESTS_ENVIRONMENT) Make sure the 
	native libraries are looked up in the right directory.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Runtime.java: 
	(loadLibrary) Add class loader to error message.
	
2005-08-21  Dalibor Topic  <robilad@kaffe.org>
	
	* kaffe/kaffevm/gcFuncs.c (destroyClass): 
	Made idx unsigned to fix compiler warnings.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/classMethod.h: (Hjava_lang_Class):
	Made msize unsigned to fix compiler warning.

2005-08-21  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_block_alloc): 
	Made min_nb unsigned to fix compiler warning.
	
2005-08-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gc.h: Include config.h and limits.h.
	(UNLIMITED_HEAP) Set to MAX_ULONG to fix signedness warnings.

	* kaffe/kaffe/version.c (printShortVersion): Use
	%lu for MAXHEAPSIZE.

2005-08-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_heap_is_unlimited):
	New static function.
	(gc_heap_initialise, gc_heap_grow) Use gc_heap_is_unlimited.

2005-08-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/basecode.c,
	kaffe/kaffevm/jit/icode.c,
	kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit/registers.c:
	Labelled unused parameters as UNUSED, added missing headers and
	made variables unsigned where necessary to fix compiler warnings.

2005-08-20  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/Makefile.am (AM_CPPFLAGS): Added jvmpi includes.

	* kaffe/kaffevm/jit/machine.c: Include jvmpi header.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/sound/alsa/init.c: Commented out include and symbols,
	as there are no functions defined in this file atm.

	* libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_Alsa.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaCtl.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaMixer.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaMixerElement.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaPcm.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeq.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqClientInfo.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqEvent.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqPortInfo.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqPortSubscribe.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueInfo.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueStatus.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueTempo.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqRemoveEvents.c,
	libraries/clib/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqSystemInfo.c,
	libraries/clib/sound/esd/org_tritonus_lowlevel_esd_EsdRecordingStream.c,
	libraries/clib/sound/esd/org_tritonus_lowlevel_esd_EsdStream.c:
	Marked unused paramters as UNUSED.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c 
	(jvmpiDisableEvent, jvmpiEnableEvent): Mark unused parameters as UNUSED.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/support.h: Added include for string.h for alpha-linux.

2005-08-19  Riccardo Mottola  <riccardo@kaffe.org>

	* kaffe/libraries/clib/nio/gnu_java_nio_VMSelector.c: Added includes
	and guarded existing ones.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for stropts.h

	* replace/ifaddrs_bsd.c: Include stropts.h if available
	for ioctl prototype.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* replace/ifaddrs_bsd.c: Added missing includes.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/thread.c: Added include for rlim_t.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-string.c: Added missing include.

2005-08-19  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-18  Lillian Angel  <langel@redhat.com>

        * javax/swing/DefaultCellEditor.java
        (getTreeCellEditorComponent): Implemented.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (isEditing): Implemented.
        (mouseClicked): Moved code to mousePressed
        (mousePressed): Code moved here from mouseClicked and
        added in code to stop editing.
        (selectPath): Default is changed to CONTIGUOUS_TREE_SELECTION
        * javax/swing/tree/DefaultTreeSelectionModel.java
        (DefaultTreeSelectionModel): Default is changed to CONTIGUOUS_TREE_SELECTION.

	2005-08-18  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicArrowButton.java:
        Set default size to 12.
        * javax/swing/plaf/basic/BasicScrollBarUI.java
        (calculatePreferredSize): Don't restrict width and height to
        a minimum of 20.

	2005-08-18  Keith Seitz  <keiths@redhat.com>

        * vm/reference/gnu/classpath/jdwp/VMIdManager.java: New file
        with example implementation of ID-management for JDWP back-end.
        * gnu/classpath/jdwp/id/JdwpIdFactory.java: Removed. Now part of
        VMIdManager.

	2005-08-18  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (setHashColor): Implemented.
        (getRowForPath): Implemented.

	2005-08-18  Lillian Angel  <langel@redhat.com>

        * javax/swing/tree/DefaultTreeCellRenderer.java
        (paint): Added check for null border.

	2005-08-18  Roman Kennke  <roman@kennke.org>

        * java/awt/FlowLayout.java
        (setAlignment): Added comment explaining why we don't check
        for illegal values here.

	2005-08-18  Roman Kennke  <roman@kennke.org>

        * java/awt/image/PixelGrabber.java
        (startGrabbing): Replaced ImageConsumer.ABORTED with
        ImageConsumer.IMAGEABORTED.

	2005-08-18  Roman Kennke  <roman@kennke.org>

        * java/awt/image/PixelGrabber.java
        (constructors): Check if the ImageProducer is null and throw
        a NPE if that is the case.
        (startGrabbing): When an exception is thrown in the grabber thread,
        exit gracefully and notify the waiting threads.
        (imageComplete): Only call ip.removeConsumer() if ip is not null.

	2005-08-18  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/StringCharacterIterator.java
        (StringCharacterIterator(String)): documented NullPointerException.

	2005-08-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/multi/MultiButtonUI.java: new file,
        * javax/swing/plaf/multi/MultiColorChooserUI.java: new file,
        * javax/swing/plaf/multi/MultiComboBoxUI.java: new file,
        * javax/swing/plaf/multi/MultiDesktopIconUI.java: new file,
        * javax/swing/plaf/multi/MultiDesktopPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiFileChooserUI.java: new file,
        * javax/swing/plaf/multi/MultiInternalFrameUI.java: new file,
        * javax/swing/plaf/multi/MultiLabelUI.java: new file,
        * javax/swing/plaf/multi/MultiListUI.java: new file,
        * javax/swing/plaf/multi/MultiLookAndFeel.java: new file,
        * javax/swing/plaf/multi/MultiMenuBarUI.java: new file,
        * javax/swing/plaf/multi/MultiMenuItemUI.java: new file,
        * javax/swing/plaf/multi/MultiOptionPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiPanelUI.java: new file,
        * javax/swing/plaf/multi/MultiPopupMenuUI.java: new file,
        * javax/swing/plaf/multi/MultiProgressBarUI.java: new file,
        * javax/swing/plaf/multi/MultiRootPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiScrollBarUI.java: new file,
        * javax/swing/plaf/multi/MultiScrollPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiSeparatorUI.java: new file,
        * javax/swing/plaf/multi/MultiSliderUI.java: new file,
        * javax/swing/plaf/multi/MultiSpinnerUI.java: new file,
        * javax/swing/plaf/multi/MultiSplitPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiTabbedPaneUI.java: new file,
        * javax/swing/plaf/multi/MultiTableHeaderUI.java: new file,
        * javax/swing/plaf/multi/MultiTableUI.java: new file,
        * javax/swing/plaf/multi/MultiTextUI.java: new file,
        * javax/swing/plaf/multi/MultiToolBarUI.java: new file,
        * javax/swing/plaf/multi/MultiToolTipUI.java: new file,
        * javax/swing/plaf/multi/MultiTreeUI.java: new file,
        * javax/swing/plaf/multi/MultiViewportUI.java: new file,
        * javax/swing/plaf/multi/package.html: new file.

	2005-08-18  David Gilbert  <david.gilbert@object-refinery.com>

        * java/util/Vector.java
        (copyInto) fixed incorrect API description.

	2005-08-17  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c: Remove
        JamVM deadlock workarounds.

	2005-08-17  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkFramePeer.java,
        gnu_java_awt_peer_gtk_GtkFramePeer.c (postConfigureEvent): Prevent
        callback calling back into peers.
        (setBounds): Likewise.
        (setMenuBarWidthUnlocked): New method.
        * native/jni/gtk-peer/gtkpeer.h (cp_gtk_filedialog_init_jni):
        Declare function.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
        (gtkInit): Call cp_gtk_filedialog_init_jni.
        (loadSystemColors): Work around deadlock.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c
        (textcomponent_changed_cb): Don't release GDK lock.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
        (item_activate_cb): Don't release GDK lock.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c
        (item_highlighted_cb): Don't release GDK lock.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
        (component_button_press_cb): Don't release GDK lock.
        (component_button_release_cb): Likewise.
        (component_motion_notify_cb): Likewise.
        (component_enter_notify_cb): Likewise.
        (component_leave_notify_cb): Likewise.
        (component_expose_cb): Likewise.
        (component_focus_in_cb): Likewise.
        (component_focus_out_cb): Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (block_expose_event_cb): Remove callback.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        gnu_java_awt_peer_gtk_GtkWindowPeer.c (postConfigureEvent):
        Prevent callback calling back into peers.
        (setBounds): Likewise.
        (nativeSetBoundsUnlocked): New method.
        (setBoundsUnlocked): Likewise.
        (nativeSetVisibleUnlocked): Likewise.
        (setVisibleUnlocked): Likewise.
        (window_delete_cb): Don't release GDK lock.
        (window_destroy_cb): Likewise.
        (window_show_cb): Likewise.
        (window_active_state_change_cb): Likewise.
        (window_focus_state_change_cb): Likewise.
        (window_focus_in_cb): Likewise.
        (window_focus_out_cb): Likewise.
        (window_window_state_cb): Likewise.
        (window_property_changed_cb): Likewise.
        (realize_cb): Likewise.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (mainThread): New
        variable.
        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
        gnu_java_awt_peer_gtk_GtkFileDialogPeer.c (setVisible): Prevent
        callback calling back into peers.
        (filename_filter_cb): Don't release GDK lock.
        (handle_response_cb): Likewise.
        (cp_gtk_filedialog_init_jni): New function.
        * gnu/java/awt/peer/gtk/GtkCheckboxPeer.java (setState): Prevent
        callback from calling back into peers.
        (item_toggled_cb): Don't release GDK lock.
        * gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
        gnu_java_awt_peer_gtk_GdkPixbufDecoder.c (area_prepared_cb): Don't
        release GDK lock.
        (area_updated_cb): Likewise.
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java,
        gnu_java_awt_peer_gtk_GdkGraphics2D.c (initStateUnlocked): New
        method.
        (cairoSurfaceSetFilterUnlocked): Likewise.
        (initComponentGraphics2DUnlocked): Likewise.
        (setTexturePixelsUnlocked): Likewise.
        (setGradientUnlocked): Likewise.
        (cairoSetMatrixUnlocked): Likewise.
        (cairoSetRGBAColorUnlocked): Likewise.
        (cairoSetLineWidthUnlocked): Likewise.
        (cairoSetLineCapUnlocked): Likewise.
        (cairoSetLineJoinUnlocked): Likewise.
        (cairoSetDashUnlocked): Likewise.
        (cairoSetMiterLimitUnlocked): Likewise.
        (setPaintUnlocked): Likewise.
        (setTransformUnlocked): Likewise.
        (setStrokeUnlocked): Likewise.
        (setColorUnlocked): Likewise.
        (setBackgroundUnlocked): Likewise.
        (setRenderingHintsUnlocked): Likewise.
        (setFontUnlocked): Likewise.
        (realize_cb): Don't release GDK lock.  Call
        initComponentGraphics2DUnlocked.
        * gnu/java/awt/peer/gtk/GdkGraphics.java,
        gnu_java_awt_peer_gtk_GdkGraphics.c (initStateUnlocked): New
        method.
        (initComponentGraphicsUnlocked): New method.
        (realize_cb): Don't release GDK lock.  Call
        initComponentGraphicsUnlocked.
        * include/gnu_java_awt_peer_gtk_GdkGraphics.h: Regenerate.
        * include/gnu_java_awt_peer_gtk_GdkGraphics2D.h: Likewise.
        * include/gnu_java_awt_peer_gtk_GtkFramePeer.h: Likewise.
        * include/gnu_java_awt_peer_gtk_GtkWindowPeer.h: Likewise.

	2005-08-17  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTextUI.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/CompositeView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/FieldView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/GlyphView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/IconView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/PasswordView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/PlainView.java
        (viewToModel): Changed to match API spec.
        * javax/swing/text/View.java
        (viewToModel): Changed to match API spec.

2005-08-19  Riccardo Mottola  <riccardo@kaffe.org>

	Added missing includes to:
	kaffe/kaffevm/access.c
	kaffe/kaffevm/file.c
	kaffe/kaffevm/jni/jni-arrays.c
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	kaffe/kaffevm/verifier/verify-block.c
	kaffe/kaffevm/verifier/verify.c
	kaffe/kaffevm/verifier/verify2.c
	kaffe/kaffevm/verifier/verify3a.c
	libraries/clib/native/String.c
	

2005-08-18  Riccardo Mottola  <riccardo@kaffe.org>

	Rationalized includes by decentralizing them to the .c files
	config/config-std.h
	libraries/clib/native/TimeZone.c

2005-08-18  Andreas Tobler  <a.tobler@schweiz.ch>

	* kaffe/kaffevm/jni/jni.c: Fix clobbering warnings all over.

	* kaffe/kaffevm/jni/jni-arrays.c: Likewise.

	* kaffe/kaffevm/jni/jni-callmethod.c (getMethodFunc): Fix comparison
	cast.
	Fix clobbering warnings all over.

	* kaffe/kaffevm/jni/jni-fields.c: Fix clobbering warnings all over.

	* kaffe/kaffevm/jni/jni-helpers.c: Likewise.

	* kaffe/kaffevm/jni/jni-refs.c:  Likewise.

2005-08-18  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use more extensive test for net/if.h, and include
	necessary headers for HP-UX and OS X. Test taken from autoconf manual.

	Reported by:  Riccardo Mottola  <riccardo@kaffe.org>

2005-08-18  Riccardo Mottola  <riccardo@kaffe.org>

	* kaffe/kaffe/kaffevm/access.c: proper system header include

2005-08-18  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-17  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JList.java:
        (indexToLocation): Implemented.
        (getLastVisibleIndex): If the last index in the list is showing and
        there is extra room at the bottom, return the last index, not -1.

	2005-08-17  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getCellLocation): Added in check if node is a leaf.
        Shouldnt call getChildCount if a leaf. May cause NPE.
        (paintRecursive): Likewise.
        (paintControlIcons): Likewise.
        (findNode): Likewise.
        (getNextNode): Likewise.
        (getPreviousNode): Likewise.
        (getNextSibling): Likewise.
        (getPreviousSibling): Likewise.

	2005-08-17  Lillian Angel  <langel@redhat.com>

        * javax/swing/tree/DefaultTreeCellRenderer.java
        (paint): paints the background and border of cell.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        Reported by Ingo Proetel  <proetel@aicas.com>
        * java/awt/image/DirectColorModel.java
        (createCompatibleWritableRaster): Added argument check.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * java/awt/FontMetrics.java
        (charWidth(int)): Correctly map Unicode indices to char[] here.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * java/lang/Character.java
        (toChars(int)): New JDK1.5 method.
        (toChars(int, char[], int)): New JDK1.5 method.
        (charCount): New JDK1.5 method.
        (isSupplementaryCodePoint): New JDK1.5 method.
        (isValidCodePoint): New JDK1.5 method.

	2005-08-17  Lillian Angel  <langel@redhat.com>

        * java/awt/FontMetrics.java
        (charWidth): Reversed Roman's patch, was not compiling.
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): Set Opaque to true for
        painting reasons.

	2005-08-17  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/qt/QtFramePeer.java (setIcon): Mark non-native
        and add FIXME.
        (setMaximizedBounds): Likewise.
        * include/gnu_java_awt_peer_qt_QtFramePeer.h: Regenerated.
        * native/jni/qt-peer/.cvsignore: New file.
        * native/jni/qt-peer/Makefile.am (libqtpeer_la_SOURCES):
        Remove eventmethods.h.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicLabelUI.java
        (paint): Don't paint the border here. If there is a border to
        be painted, this is usually performed in JComponent.paint().

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * java/awt/FontMetrics.java
        (charWidth(int)): Correctly map Unicode indices to char[] here.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * java/awt/Component.java
        This applies to various variants of the repaint() methods:
        (repaint): If the component is not showing, forward repaint
        request to the parent.

	2005-08-17  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicLabelUI.java
        (paint): Don't fill the background here. If the label is opaque
        then the background is filled in ComponentUI.update(), otherwise
        it must not be touched.

	2005-08-17  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
        (setComponentBounds): Don't post COMPONENT_RESIZED event.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (setBoundsCallbackID): Remove variable.
        (cp_gtk_window_init_jni): Don't initialize setBoundsCallbackID.
        (setBoundsCallback): Remove method.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c
        (setMenuBarPeer): Check if menubar is NULL.
        (setMenuBarWidth): Likewise.
        * java/awt/Window.java (dispatchEventImpl): Validate upon
        receiving a COMPONENT_RESIZED event.
        (setBoundsCallback): Remove method.
        * include/gnu_java_awt_peer_gtk_GtkWindowPeer.h: Regenerate.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java (setBoundsCallback):
        Remove method declaration.
        (postConfigureEvent): Separate handling of resizes and moves.
        Call setSize and post COMPONENT_RESIZED event.
        * gnu/java/awt/peer/gtk/GtkFramePeer.java (postConfigureEvent):
        Separate handling of resizes and moves.  Call setSize.
        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
        (setComponentBounds): Call setSize and post COMPONENT_RESIZED
        event.
        * gnu/java/awt/peer/gtk/GtkContainerPeer.java (isValidating):
        Remove field.

	2005-08-16  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/qt/QtButtonPeer.java
        * gnu/java/awt/peer/qt/QtCheckboxPeer.java
        * gnu/java/awt/peer/qt/QtChoicePeer.java
        * gnu/java/awt/peer/qt/QtComponentGraphics.java
        * gnu/java/awt/peer/qt/QtComponentPeer.java
        * gnu/java/awt/peer/qt/QtContainerPeer.java
        * gnu/java/awt/peer/qt/QtDialogPeer.java
        * gnu/java/awt/peer/qt/QtFontPeer.java
        * gnu/java/awt/peer/qt/QtFramePeer.java
        * gnu/java/awt/peer/qt/QtGraphics.java
        * gnu/java/awt/peer/qt/QtImage.java
        * gnu/java/awt/peer/qt/QtImageGraphics.java
        * gnu/java/awt/peer/qt/QtListPeer.java
        * gnu/java/awt/peer/qt/QtMenuBarPeer.java
        * gnu/java/awt/peer/qt/QtMenuItemPeer.java
        * gnu/java/awt/peer/qt/QtMenuPeer.java
        * gnu/java/awt/peer/qt/QtScrollbarPeer.java
        * gnu/java/awt/peer/qt/QtTextAreaPeer.java
        * gnu/java/awt/peer/qt/QtTextFieldPeer.java
        * gnu/java/awt/peer/qt/QtToolkit.java
        * gnu/java/awt/peer/qt/QtWindowPeer.java
        * native/jni/qt-peer/keybindings.cpp
        * native/jni/qt-peer/keybindings.h
        * native/jni/qt-peer/qtbuttonpeer.cpp
        * native/jni/qt-peer/qtcanvaspeer.cpp
        * native/jni/qt-peer/qtcheckboxpeer.cpp
        * native/jni/qt-peer/qtchoicepeer.cpp
        * native/jni/qt-peer/qtcomponent.cpp
        * native/jni/qt-peer/qtcomponentpeer.cpp
        * native/jni/qt-peer/qtdialogpeer.cpp
        * native/jni/qt-peer/qtframepeer.cpp
        * native/jni/qt-peer/qtgraphics.cpp
        * native/jni/qt-peer/qtimage.cpp
        * native/jni/qt-peer/qtlabelpeer.cpp
        * native/jni/qt-peer/qtlistpeer.cpp
        * native/jni/qt-peer/qtmenupeer.cpp
        * native/jni/qt-peer/qtpanelpeer.cpp
        * native/jni/qt-peer/qtscrollbarpeer.cpp
        * native/jni/qt-peer/qtscrollpanepeer.cpp
        * native/jni/qt-peer/qttextareapeer.cpp
        * native/jni/qt-peer/qttextfieldpeer.cpp
        * native/jni/qt-peer/qtwindowpeer.cpp
        * native/jni/qt-peer/slotcallbacks.cpp
        * native/jni/qt-peer/slotcallbacks.h
        Reindented, Transmogrified and Wielaardituded.
        * gnu/java/awt/peer/qt/QtEmbeddedWindowPeer.java
        * native/jni/qt-peer/eventmethods.h
        * native/jni/qt-peer/qtembeddedwindowpeer.cpp
        * native/jni/qt-peer/slotcallbacks.moc.h
        New files
        * native/jni/qt-peer/eventmethods.cpp
        * native/jni/qt-peer/slotcallbacks.moc
        Removed.

	2005-08-16  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/PasswordView.java
        (drawUnselectedText): Fixed so the password is drawn correctly
        in the text box and no * characters are drawn before anything
        was typed.

	2005-08-16  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/gtk/GtkClipboard.java: Reimplemented.
        * gnu/java/awt/peer/gtk/GtkClipboardNotifier.java: New class.
        * gnu/java/awt/peer/gtk/GtkSelection.java: New class.
        * gnu/java/awt/peer/gtk/GtkImage.java (GtkImage(Pointer)): New
        constructor.
        (createFromPixbuf): New private native method.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (systemClipboard): Removed.
        (getSystemClipboard): Do security check and return
        GtkClipboard.getInstance().
        * include/Makefile.am: Add gnu_java_awt_peer_gtk_GtkSelection.h.
        * include/gnu_java_awt_peer_gtk_GtkClipboard.h: Regenerated.
        * include/gnu_java_awt_peer_gtk_GtkImage.h: Regenerated.
        * include/gnu_java_awt_peer_gtk_GtkSelection.h: New header file.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c:
        Reimplemented.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c
        (Java_gnu_java_awt_peer_gtk_GtkImage_createFromPixbuf): New

	2005-08-16  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (ActionListenerProxy): Replaced type TableAction with parent type
        ActionListener to avoid Semantic errors.

	2005-08-16  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        (initComponentDefaults): Fixed typo.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (installKeyboardActions): Replaced calls to registerKeyboardAction with
        additions to an explicit InputMap-ActionMap pair and then set this
        pair as the parent pair to the JTable's.  This matches the JDK where
        the UI Input-Action pairs are the parents of the component's.
        (ActionListenerProxy): New class.

	2005-08-16  Mark Wielaard  <mark@klomp.org>

        * examples/gnu/classpath/examples/datatransfer/Demo.java:
        Document and implement ItemListener and FlavorListener.
        (flavors): New field.
        (details): New field.
        (Demo): Add more space, add the flavors panel and flavor listener.
        (createTextPanel): Smaller and wider.
        (createFlavorsPanel): New private method.
        (flavorsChanged): New public method.
        (itemStateChanged): Likewise.
        (ImageComponent.ImageComponent): Smaller default.
        (ObjectComponent.ObjectComponent): Make wider.
        (FlavorsComponent): New static class.
        (FlavorDetailsComponent): Likewise.

	2005-08-16  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Changed font for PasswordField because textbox was
        being drawn at an awkward height.
        * javax/swing/text/PasswordView.java
        (getPreferredSpan): Implemented
        (modelToView): likewise.
        (viewToModel): partially implemented.

	2005-08-16  Jeroen Frijters  <jeroen@frijters.net>

        * java/awt/Component.java
        (dispatchEventImpl): Always call peer.handleEvent().

	2005-08-16  Jeroen Frijters  <jeroen@frijters.net>

        * java/awt/Container.java
        (addImpl, remove): Only repaint if the container is showing.

	2005-08-16  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c
        (Java_gnu_java_awt_peer_gtk_GtkToolkit_nativeQueueEmpty): Removed.

	2005-08-15  Lillian Angel  <langel@redhat.com>

        * javax/swing/JPasswordField.java
        (getText): Fixed the length of the string to retrieve.

	2005-08-15  Sven de Marothy  <sven@physto.se>

        * java/awt/TextComponent.java
        (select): Fix typo.

	2005-08-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JComponent.java:
        (processKeyEvent): Added functionality for processing key events in
        non-focused components using the WHEN_ANCESTOR_OF_FOCUSED_COMPONENT
        field.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (installKeyboardActions): Changed key bindings to be registered as
        WHEN_ANCESTOR_OF_FOCUSED_COMPONENT rather than as WHEN_FOCUSED.
        (TableAction.actionPerformed): If the key action is anything besides
        "start editing" then we stop editing if we are doing so.  Repaint the
        table at the end of this method.

	2005-08-15  Lillian Angel  <langel@redhat.com>

        * javax/swing/JPasswordField.java
        (echoCharIsSet): Fixed this to work according to API.
        (getText): Implemented
        (getText): Implemented
        (getPassword): Implemented
        (paramString): Implemented

	2005-08-15  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/ClasspathToolkit.java (nativeQueueEmpty): Remove
        method.
        (wakeNativeQueue): Likewise.
        (iterateNativeQueue): Likewise.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (static): Start GTK main
        thread.
        (nativeQueueEmpty): Remove method.
        (wakeNativeQueue): Likewise.
        (iterateNativeQueue): Likewise.
        (gtkMain): New method.
        * include/gnu_java_awt_peer_gtk_GtkToolkit.h: Regenerate.
        * java/awt/EventQueue.java: Remove references to ClasspathToolkit.
        * java/awt/Frame.java (fireDummyEvent): Remove method.
        Remove calls to fireDummyEvent.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c
        (dispose): Don't wake up main thread.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c: Remove
        single-thread code.

	2005-08-15  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTree.java
        (expandPath): called fireTreeWillExpand and fireTreeExpanded
        since it is not required that the calling class fires these
        events.
        (collapsePath): Likewise.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (mouseClicked): Took out code that called fireTreeWillExpand/
        fireTreeWillCollapse and fireTreeExpanded/fireTreeCollapsed.
        (keyPressed): Likewise.

2005-08-17  Andreas Tobler  <a.tobler@schweiz.ch>

	* m4/acx_pthread.m4: Detect -pthreads first. Fixes
	gcc4 compiler warnings on solaris 10.

2005-08-15  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-15  Roman Kennke  <roman@kennke.org>

        * java/awt/FlowLayout.java
        (setAlignment): Removed check for illegal values. These values
        are treated as LEFT alignment instead.
        (layoutContainer): Treat unknown align values as LEFT in default
        clause of if-else statement.

	2005-08-15  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkButtonPeer.java (handleEvent): Remove
        method.
        (postActionEvent): New method.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c:
        Rename state_to_awt_mods cp_gtk_state_to_awt_mods.
        * native/jni/gtk-peer/gtkpeer.h: Declare cp_gtk_state_to_awt_mods.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (clicked_cb): New function.
        (connectSignals): Connect clicked_cb callback to "clicked" signal.

	2005-08-14  Casey Marshall  <csm@gnu.org>

        * gnu/java/security/provider/DSAKeyPairGenerator.java
        (initialize): set 'keysize' to 'modlen.'
        (getDefaults): return 'true' for keysizes '768' and '1024.'

	2005-08-14  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/ClasspathToolkit.java
        (getScreenSize, getColorModel, getFontMetrics, getImage, createImage,
         createImageProducer, registerImageIOSpis):
        Remove redundant (overloaded) methods.
        * gnu/java/awt/peer/gtk/GtkToolkit.java
        (registerImageIOSpis): Move registration to static initializer.
        * javax/imageio/spi/IIORegistry.java:
        Remove call to Toolkit registration method.

2005-08-15  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Fixed jikes test on AIX.

	Reported by:  Riccardo Mottola  <multix@gmail.com>

2005-08-15  Andreas Tobler  <a.tobler@schweiz.ch>

	* config/powerpc/atomic.h: Replaced by a wrapper for 32-bit
  	or 64-bit atomic.h

	* config/powerpc/bits/atomic.h: original atomic.h.

	* config/powerpc/powerpc32/atomic.h,
	config/powerpc/powerpc64/atomic.h: New files.
	Taken from glibc 2.3.5 

2005-08-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/regression/RefTest.java,
	test/regression/CLTestJLock.java:
	Increased timeout a bit.

2005-08-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/kaffe/security/providers/SHA1PRNG.java
	(<clinit>): Catch any remaining exception. This fixes a problem with
	SecureRandomTest not finding /dev/urandom on some system.
	
2005-08-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/version.c (printShortVersion) Added version information
	for Fedora Core / JPackage.org scripts. That fixes ant on FC4.

	Idea by: Robin Green  <greenrd@greenrd.org>

2005-08-14  Dalibor Topic  <robilad@kaffe.org>

	* test/jni/HelloWorldApp.class: Removed.

	* test/jni/Makefile.am: Compile HelloWorldApp.class on demand.
	(EXTRA_DIST) Removed HelloWorldApp.class.

	Reported by:  Andreas Tobler  <a.tobler@schweiz.ch>

2005-08-14  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-13  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (repaintTimer): Make
        field final.

	2005-08-14  Sven de Marothy  <sven@physto.se>

        * java/awt/Container.java
        (addImpl): Call addNotify() only if the container has a peer.

	2005-08-13  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java
        (readClassDescriptor): Don't cache caller's class loader.
        (resolveClass): Don't cache caller's class loader and support
        primitive types. Fixes bug #23377.

2005-08-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-qt/Makefile.am
	(libqtpeer_la_MOC) Renamed generated moc cpp file to
	a header file to avoid having it compiled twice.
	(slotcallbacks.moc.cpp) Renamed to 
	(slotcallbacks.moc.h): New target.
	(nodist_libqtpeer_la_SOURCES): New target.
	(BUILT_SOURCES) Fixed name of peer library.

	* libraries/clib/awt/classpath-qt/slotcallbacks.cpp:
	Include slotcallbacks.moc.h rather than slotcallbacks.moc.cpp.

2005-08-12  Andreas Tobler  <a.tobler@schweiz.ch>

       * config/powerpc/ppc_isa.h (REGISTER_SET): Kregs has 7 members,
       initialize all of them. 

2005-08-12  Andreas Tobler  <a.tobler@schweiz.ch>

       * libraries/clib/math/BigInteger.c: Mark unused variables UNUSED.

       * libraries/clib/native/Class.c (java_lang_VMClass_getModifiers): Mark
       ignoreInnerClassAttribute UNUSED.

       * libraries/clib/awt/classpath-gtk/gtk-peer/jawt.c (JAWT_GetAWT): Mark
       env UNUSED.
       (JNICALL _Jv_Lock): Mark surface UNUSED.
       (JNICALL _Jv_Unlock): Likewise.
       (JNICALL _Jv_JAWT_Lock): Mark env UNUSED.
       (JNICALL _Jv_JAWT_Unlock): Likewise.

       * kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (tDumpList): Cast
       t->tid to avoid compiler warning.
       (dump_signal_handler): Reordered attribute.
       (tWatchdogRun): Mark p UNUSED.
       (jthread_init): Reordered attribute.
       (jthread_createfirst): Likewise.
       (suspend_signal_handler): Likewise.
       (resume_signal_handler): Likewise.
       (jthread_suspendall): Cast type to avoid warning.
       (jthread_spinon): Reordered attribute.
       (jthread_spinoff): Likewise.
       (jthread_stop): Likewise.
       (jthread_dumpthreadinfo): Likewise.
       (jthread_has_run): Mark jt UNUSED.
       (jthread_clear_run): Reordered attribute.
       (jthread_suspend): Likewise.
       (jthread_resume): Likewise.
       (jthread_from_data): Likewise.
       (jthread_get_usage): Likewise.

       * kaffe/kaffevm/jni/jni.c (Kaffe_GetVersion): Reordered attribute.
       (Kaffe_DefineClass): Mark *name UNUSED.
       (Kaffe_FindClass): Reordered attribute.

       * kaffe/kaffevm/jni/jni-refs.c (KaffeJNI_NewLocalRef): Mark *env UNUSED.
       (KaffeJNI_NewWeakGlobalRef): Likewise.
       (KaffeJNI_DeleteWeakGlobalRef): Likewise.

       * kaffe/kaffevm/locks.c (KaffeLock_destroyLock): Mark *gcif UNUSED.

2005-08-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Add -W and -Wextra to warning options.

	Requested by: Andreas Tobler  <a.tobler@schweiz.ch>

2005-08-13  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-12  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkMenuBarPeer.java (addMenu(Menu)): New
        method.
        * gnu/java/awt/peer/gtk/GtkMenuPeer.java (addSeparator): Likewise.
        * java/awt/peer/MenuBarPeer.java (addMenu): New method
        declaration.
        * java/awt/peer/MenuPeer.java (addSeparator): New method
        declaration.

	2005-08-12  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (setBounds): Get
        frame insets directly from peer rather than from Window.getInsets.
        (toString): New method.

	2005-08-12  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkButtonPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (gtkWidgetGetPreferredDimensions): New method.
        * gnu/java/awt/peer/gtk/GtkLabelPeer.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c
        (gtkWidgetGetPreferredDimensions): New method.
        * include/gnu_java_awt_peer_gtk_GtkLabelPeer.h: Regenerate.
        * include/gnu_java_awt_peer_gtk_GtkButtonPeer.h: Likewise.

	2005-08-12  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable.java:
        (setValueAt): Do nothing if isCellEditable returns false.
        (editCelLAt): Removed the Key Listener for the JTextField.  Listening
        for ESCAPE should be handled by the JTable itself.  Note, this is not
        implemented yet.
        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        (initComponentDefaults): Added several keybindings to JTable's
        ancestorInputMap.  These are all implemented.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler): Removed this class.  Note that most of the code from the
        keyPressed method now resides in the actionPerformed method of the
        BasicTableUI.TableAction class.
        (convertModifiers): New private method to convert from new InputEvent
        modifier masks to the old style.
        (installKeyboardActions): Implemented.  Gets the key bindings from
        the UIManager and registers them for the JTable.
        (TableAction): New class.  This is where the actions corresponding to
        key presses resides.
        (installListeners): Removed installation of KeyListener.

	2005-08-12  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getCellLocation): Added in a check to make sure the node has children.
        Fixed loop to use post-increment.
        (paintRecursive): Fixed loop to use post-increment.
        (paintControlIcons): Likewise.
        (getNextNode): Fixed check to make sure that node has children.
        (getPreviousSibling): Added in check to make sure index is in correct
        range.

	2005-08-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/GapContent.java
        (insertString): Use replace() to actually insert content.
        (remove): Use replace() to actually remove content.
        (shiftGap): Repaired misplaced curly brace in if block of
        boudary check.
        (replace): Check for null argument for addItems.

	2005-08-12  Roman Kennke  <roman@kennke.org>

        Reported by: Ingo Proetel  <proetel@aicas.com>
        * java/net/URLClassLoader.java
        (findClass): Added null check to avoid NullPointerException.

	2005-08-12  Roman Kennke  <roman@kennke.org>

        Reported by: Ingo Proetel  <proetel@aicas.com>
        * java/util/logging/Logger.java
        This applies to a couple of log() methods:
        (log): Added check if the specified level is actually enabled,
        otherwise ignore logging request.

	2005-08-12  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicSplitPaneUI.java
        * (getMinimumDividerLocation): Fixed to work similar to
        getMaximumDividerLocation. Was not able to move divider
        in both directions before.

	2005-08-12  Roman Kennke  <roman@kennke.org>

        * java/awt/Component.java
        (reshape): Simplified repainting of parent.
        (paint): Don't call peer.paint() here. The paint method is
        exclusivly meant to be overridden by subclasses that wish to
        perform custom painting and should do nothing by default.
        (repaint): Use local variable in null pointer checks to avoid
        NullPointerExceptions.
        (imageUpdate): Slight formatting adjustments.
        (dispatchEvent): Don't call peer.handleEvent() here, this must
        be done in dispatchEventImpl().
        (dispatchEventImpl): Dispatch PAINT and UPDATE events to the
        peer.
        * java/awt/Container.java
        (paint): Don't call super.paint() here, this method does nothing
        anyway. Visit only lightweight children.
        (update): Instead of clearing the background only for top-level
        containers, clear the background for all heavyweight containers.

	2005-08-11  Tom Tromey  <tromey@redhat.com>

        For PR classpath/23008:
        * gnu/java/nio/charset/UTF_16Decoder.java (decodeLoop): Correctly
        mask bytes when constructing characters.

	2005-08-11  Audrius Meskauskas <AudriusA@Bioinformatics.org>

        * org/omg/PortableInterceptor/IORInfoOperations.java,
        org/omg/PortableInterceptor/IORInterceptor.java,
        org/omg/PortableInterceptor/IORInterceptorOperations.java,
        org/omg/PortableInterceptor/IORInfo.java: New files.

	2005-08-11  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTable
        (rowAtPoint): Added in a check for null. Was getting NPE.
        (columnAtPoint): Likewise.

	2005-08-11  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicViewportUI.java
        (paintSimple): Changed to paint the portBounds from (0,0).

	2005-08-11  Tom Tromey  <tromey@redhat.com>

        * java/awt/image/ConvolveOp.java (filter): Defer numBands check
        until after null check.  PR classpath/22999.

	2005-08-11  Tom Tromey  <tromey@redhat.com>

        * java/util/Observable.java (addObserver): Throw
        NullPointerException if necessary.  PR classpath/23279.

2005-08-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/Makefile.am:
	Only des end into classpath-qt dir if it is selected for buiding.

2005-08-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac,
	libraries/clib/awt/classpath-qt/Makefile.am,
	include/Makefile.am: Added build machinery for GNU Classpath
	Qt4 based AWT peers.

	Resynced with GNU Classpath.

	2005-08-12  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/qt/QtButtonPeer.java: Replace uses of
        toolkit.eventQueue.postEvent() with QtToolkit.eventQueue.postEvent().
        * gnu/java/awt/peer/qt/QtCheckboxPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtChoicePeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtComponentPeer.java: Likewise and for
        guiThread.QApplicationPointer and graphicsEnv.getScreenDevices().
        * gnu/java/awt/peer/qt/QtMenuItemPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtMenuPeer.java: Likewise.
        * gnu/java/awt/peer/qt/QtScrollbarPeer.java: Likewise.
        * gnu/java/security/PolicyFile.javai (refresh): Assign only outside
        if statement.

	2005-08-11  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/qt/QtMenuComponentPeer.java,
        gnu/java/awt/peer/qt/QtGraphics.java,
        gnu/java/awt/peer/qt/QtTextFieldPeer.java,
        gnu/java/awt/peer/qt/QtFramePeer.java,
        gnu/java/awt/peer/qt/QtPanelPeer.java,
        gnu/java/awt/peer/qt/QtToolkit.java,
        gnu/java/awt/peer/qt/QtWindowPeer.java,
        gnu/java/awt/peer/qt/QtButtonPeer.java,
        gnu/java/awt/peer/qt/QtImageGraphics.java,
        gnu/java/awt/peer/qt/QtContainerPeer.java,
        gnu/java/awt/peer/qt/QtComponentPeer.java,
        gnu/java/awt/peer/qt/QtListPeer.java,
        gnu/java/awt/peer/qt/QtChoicePeer.java,
        gnu/java/awt/peer/qt/QtScrollPanePeer.java,
        gnu/java/awt/peer/qt/MainQtThread.java,
        gnu/java/awt/peer/qt/QtImage.java,
        gnu/java/awt/peer/qt/NativeWrapper.java,
        gnu/java/awt/peer/qt/QtCheckboxPeer.java,
        gnu/java/awt/peer/qt/QtScreenDeviceConfiguration.java,
        gnu/java/awt/peer/qt/QtTextAreaPeer.java,
        gnu/java/awt/peer/qt/QtDialogPeer.java,
        gnu/java/awt/peer/qt/QPen.java,
        gnu/java/awt/peer/qt/QtCanvasPeer.java,
        gnu/java/awt/peer/qt/QtLabelPeer.java,
        gnu/java/awt/peer/qt/QtGraphicsEnvironment.java,
        gnu/java/awt/peer/qt/QtImageConsumer.java,
        gnu/java/awt/peer/qt/QtScrollbarPeer.java,
        gnu/java/awt/peer/qt/QtFontMetrics.java,
        gnu/java/awt/peer/qt/QtMenuBarPeer.java,
        gnu/java/awt/peer/qt/QtFontPeer.java,
        gnu/java/awt/peer/qt/QMatrix.java,
        gnu/java/awt/peer/qt/QtVolatileImage.java,
        gnu/java/awt/peer/qt/QPainterPath.java,
        gnu/java/awt/peer/qt/QtComponentGraphics.java,
        gnu/java/awt/peer/qt/QtScreenDevice.java,
        gnu/java/awt/peer/qt/QtMenuPeer.java,
        gnu/java/awt/peer/qt/QtAudioClip.java,
        gnu/java/awt/peer/qt/QtPopupMenuPeer.java,
        gnu/java/awt/peer/qt/QtFileDialogPeer.java,
        gnu/java/awt/peer/qt/QtMenuItemPeer.java,
        * native/jni/qt-peer/qpen.cpp,
        native/jni/qt-peer/keybindings.cpp,
        native/jni/qt-peer/qtcomponentpeer.cpp,
        native/jni/qt-peer/buttonevent.h,
        native/jni/qt-peer/qtdialogpeer.cpp,
        native/jni/qt-peer/qtmenubarpeer.cpp,
        native/jni/qt-peer/mainqtthread.cpp,
        native/jni/qt-peer/qtpanelpeer.cpp,
        native/jni/qt-peer/qmatrix.cpp,
        native/jni/qt-peer/qtmenucomponentpeer.cpp,
        native/jni/qt-peer/qtgraphics.cpp,
        native/jni/qt-peer/qttoolkit.cpp,
        native/jni/qt-peer/qtbuttonpeer.cpp,
        native/jni/qt-peer/keybindings.h,
        native/jni/qt-peer/qtvolatileimage.cpp,
        native/jni/qt-peer/qtcomponent.h,
        native/jni/qt-peer/slotcallbacks.cpp,
        native/jni/qt-peer/qtpopupmenupeer.cpp,
        native/jni/qt-peer/qtmenuitempeer.cpp,
        native/jni/qt-peer/qtchoicepeer.cpp,
        native/jni/qt-peer/nativewrapper.cpp,
        native/jni/qt-peer/qtscreendevice.cpp,
        native/jni/qt-peer/qtfontpeer.cpp,
        native/jni/qt-peer/qpainterpath.cpp,
        native/jni/qt-peer/qtstrings.h,
        native/jni/qt-peer/qttextfieldpeer.cpp,
        native/jni/qt-peer/qtimage.cpp,
        native/jni/qt-peer/componentevent.h,
        native/jni/qt-peer/qtwindowpeer.cpp,
        native/jni/qt-peer/qtframepeer.cpp,
        native/jni/qt-peer/qtscrollpanepeer.cpp,
        native/jni/qt-peer/qtfontmetrics.cpp,
        native/jni/qt-peer/qtlistpeer.cpp,
        native/jni/qt-peer/mainthreadinterface.h
        native/jni/qt-peer/slotcallbacks.h
        native/jni/qt-peer/qtfiledialogpeer.cpp,
        native/jni/qt-peer/eventmethods.cpp,
        native/jni/qt-peer/qtimage.h,
        native/jni/qt-peer/qtstrings.cpp,
        native/jni/qt-peer/nativewrapper.h
        native/jni/qt-peer/qtaudioclip.cpp,
        native/jni/qt-peer/qtfont.h,
        native/jni/qt-peer/qtscrollbarpeer.cpp,
        native/jni/qt-peer/containers.h,
        native/jni/qt-peer/qtcheckboxpeer.cpp,
        native/jni/qt-peer/mainthreadinterface.cpp,
        native/jni/qt-peer/componentevent.cpp,
        native/jni/qt-peer/qttextareapeer.cpp,
        native/jni/qt-peer/qtcomponent.cpp,
        native/jni/qt-peer/qtmenupeer.cpp,
        native/jni/qt-peer/qtlabelpeer.cpp,
        native/jni/qt-peer/slotcallbacks.moc
        native/jni/qt-peer/qtcanvaspeer.cpp,
        native/jni/qt-peer/qtgraphics.h,
        New files.

2005-08-10  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* replace/getifaddrs.c: Added missing include for GNU/Linux 2.4.x

2005-08-11  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-12  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getCellLocation): Added in a check to make sure the node has children.
        Fixed loop to use post-increment.
        (paintRecursive): Fixed loop to use post-increment.
        (paintControlIcons): Likewise.
        (getNextNode): Fixed check to make sure that node has children.
        (getPreviousSibling): Added in check to make sure index is in correct
        range.

	2005-08-11  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicViewportUI.java
        (paintSimple): This line was causing problems with the JTable viewport.
        However, the scrollpane still needs to be fixed. It is still not
        painting beyond the view's bounds.

	2005-08-10  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (mouseClicked): Called fireTreeWillExpand and fireTreeWillCollapse when
        appropriate.
        (keyPressed): Likewise.

2005-08-11  Andreas Tobler  <a.tobler@schweiz.ch>

	* kaffe/kaffevm/jni/jni.c (Kaffe_DefineClass): Cast buf to match the
        prototype of classFileInit.

2005-08-11  Andreas Tobler  <a.tobler@schweiz.ch>

        * libraries/clib/net/PlainSocketImpl.c
        (gnu_java_net_PlainSocketImpl_socketGetOption): Initialize r.

2005-08-11  Andreas Tobler  <a.tobler@schweiz.ch>

        * kaffe/kaffevm/jit3/funcs.h: Add HAVE_move_register_float and
        HAVE_move_register_double to fix compiler warnings.

2005-08-11  Andreas Tobler  <a.tobler@schweiz.ch>

        * libraries/clib/math/BigInteger.c
        (Java_java_math_BigInteger_assignString0): Add return value to fix
        compiler warnings. 

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-10  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTree.java
	(doExpandParents): Took out call to checkExpandParents.
	(checkExpandParents): Helper method not needed. Caused problems since
	fireTreeWillExpand was being called too many times. fireTreeWillExpand is
	called from BasicTreeUI whenever a node is expanded.

	2005-08-10  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableInterceptor/Interceptor.java,
        org/omg/PortableInterceptor/InterceptorOperations.java: New files.
        * org/omg/DynamicAny/_DynAnyFactoryStub.java,
        org/omg/DynamicAny/_DynAnyStub.java,
        org/omg/DynamicAny/_DynArrayStub.java,
        org/omg/DynamicAny/_DynEnumStub.java,
        org/omg/DynamicAny/_DynFixedStub.java,
        org/omg/DynamicAny/_DynStructStub.java,
        org/omg/DynamicAny/_DynUnionStub.java,
        org/omg/DynamicAny/_DynValueStub.java,
        org/omg/DynamicAny/_DynSequenceStub.java: Added _opsClass field.

	2005-08-10  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java:
	Formatted entire class.

	2005-08-10  Lillian Angel  <langel@redhat.com>
	
	* javax/swing/plaf/basic/BasicTreeUI.java
	(mouseClicked): Called fireTreeWillExpand and fireTreeWillCollapse when
	appropriate.
	(keyPressed): Likewise.

	2005-08-10  Roman Kennke  <roman@kennke.org>

	* java/awt/Container.java
	(paint): Call visitChildren with lightweightOnly == true.
	(update): Only call paint if we are not in a toplevel container.

	2005-08-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JTable.java:
	(editingCancelled): Implemented.
	(editCellAt): Added a KeyListener to our editor to listen for
	the ESCAPE key and cancel editing upon receiving it.

	2005-08-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTable.java
	(setRowHeight): Fixed condition on when to throw exception.
	(setRowHeight): Parameters were mixed up.

	2005-08-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLabelUI.java
	(paint): Added in painting code for label border.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(paintControlIcons): Fixed location for control icons.
	* javax/swing/plaf/metal/MetalLookAndFeel.java:
	Added defaults for selection and non-selection border for
	tree cells.
	* javax/swing/tree/DefaultTreeCellRenderer.java
	(getTreeCellRendererComponent): Set borders for node. Also,
	made node transparent (not opaque), So JLabel draws icon,
	text and border appropriately.

	2005-08-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLabelUI.java
	(paint): Added in code to paint background rect according to
	API. Also, formatting changes.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(setCellRenderer): Fixed to changed renderer in JTree.
	(uninstallDefaults): Line taken out because not needed.
	(paintNode): Took out unneeded code because BasicLabelUI was fixed.
	(paintRecursive): Fixed so lines are only drawn when parents have
	children.	

	2005-08-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/DefaultCellEditor.java:
	(EditorDelegate.setValue): Implemented.
	(EditorDelegate.getCellEditorValue): Implemented.
	(EditorDelegate.isCellEditable): Implemented.
	(EditorDelegate.shouldSelectCell): Implemented.
	(EditorDelegate.stopCellEditing): Implemented.
	(EditorDelegate.cancelCellEditing): Implemented.
	(EditorDelegate.startCellEditing): Implemented.
	(EditorDelegate.actionPerformed): Implemented.
	(EditorDelegate.itemStateChanged): Implemented.
	(EditorDelegate.fireEditingStopped): New implementation method.
	(EditorDelegate.fireEditingCancelled): New implementation method.
	(DefaultCellEditor): Implemented 3 constructors.
	(getComponent): Implemented.
	(getClickCountToStart): Implemented.
	(setClickCountToStart): Implemented.
	(getCellEditorValue): Implemented.
	(isCellEditable): Implemented.
	(shouldSelectCell): Implemented.
	(cancelCellEditing): Implemented.
	(getTableCellEditorComponent): Implemented.
	* javax/swing/JTable.java:
	(EditorUpdateTimer): New private class.
	(editingStopped): Implemented.
	(setValueAt): If the Object value is a Component, add it to the JTable
	so it can obtain focus.
	(editCellAt): Implemented.
	(removeEditor): Implemented.
	(prepareEditor): Implemented.
	* javax/swing/plaf/basic/BasicTableUI.java:
	(KeyHandler.keyPressed): Added F2 "start editing" key action.
	(MouseHandler.mousePressed): Added check to see if a new cell was
	selected and we need to stop editing.
	(paint): If the cell is a JTextField, paint its Caret as well.
	* javax/swing/table/DefaultTableCellRenderer.java:
	(getTableCellRendererComponent): If a JTextField is passed in, return
	one.  This is used for editing JTable cells.

	2005-08-09  Mark Wielaard  <mark@klomp.org>

	* javax/swing/tree/DefaultTreeModel.java: Fix copyright
	boilerplate formatting.

	2005-08-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/tree/DefaultTreeModel.java:
	Fixed formatting of class.

	2005-08-09  Lillian Angel  <langel@redhat.com>

	Fixes Bug #23255
	* javax/swing/plaf/basic/BasicTreeUI.java:
	Fixed entire class to use Objects as opposed to TreeNodes.
	(getPathBounds): Changed root to Object
	(getPathForRow): Likewise.
	(getRowCount): Likewise.
	(getPreferredSize): Changed root and nextNode to be of type
	Object.
	(isLeaf): Took out unnecessary code. 
	(keyPressed): Changed all TreeNodes to be of type Object.
	(getCellLocation): Likewise.
	(paintNode): Likewise.
	(paintRecursive): Likewise.
	(getParent): Implemented.
	(findNode): Helper Implemented.
	(getNextVisibleNode): Changed return and parameter type to Object.
	(getPreviousVisibleNode): Likewise.
	(getNextNode): Likewise.
	(getPreviousNode): Likewise.
	(getNextSibling): Likewise.
	(getPreviousSibling): Likewise.
	(getPathToRoot): Likewise.
	(getLevel): Likewise.
	* javax/swing/tree/DefaultTreeModel.java
	(getIndexOfChild): Implemented.

	2005-08-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/CORBA/package.html: Documentation update.
        * org/omg/DynamicAny/package.html: New file.

2005-08-10  Andreas Tobler  <a.tobler@schweiz.ch>

	* config/powerpc/ppc_stack_frame.h (FPFRAME): Return an address and
	not a pointer.

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

        * kaffe/kaffevm/gtypes.h,
        config/alpha/jit.h,
        config/arm/jit.h,
        config/i386/jit.h,
        config/m68k/jit.h,
        config/m68k/openbsd2/jit.h,
        config/mips/jit.h,
        config/powerpc/jit.h,
        config/sparc/jit.h,
        include/native.h,
        kaffe/kaffevm/classMethod.h,
        kaffe/kaffevm/code-analyse.h,
        kaffe/kaffevm/code.h,
        kaffe/kaffevm/exception.h,
        kaffe/kaffevm/external.h,
        kaffe/kaffevm/javacall.c,
        kaffe/kaffevm/stackTrace.h,
        kaffe/kaffevm/support.c,
        kaffe/kaffevm/support.h,
        kaffe/kaffevm/gcj/gcj.h,
        kaffe/kaffevm/intrp/machine.c,
        kaffe/kaffevm/intrp/machine.h,
        kaffe/kaffevm/jit/machine.h:
	Renamed struct _fields to struct _jfieldID and
	struct _methods to struct _jmethodID to match the
	convention in GNU Classpath from include/jni.h and
	fix compiler warnings.

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/linux/md.h (sparcLinuxContextSwitch):
	Added missing prototype to fix compiler warning.

2005-08-10  Andreas Tobler  <a.tobler@schweiz.ch>

	* kaffe/kaffevm/findInJar.c (findClassInJar CP_ZIPFILE): Fix data type
	to avoid compiler signedness warnings.
	(findClassInJar CP_DIR): Likewise.
	(getManifestMainAttribute): Change to char* to fix compiler warnings.

2005-08-10  Andreas Tobler  <a.tobler@schweiz.ch>

	* libraries/clib/net/PlainDatagramSocketImpl.c
	(gnu_java_net_PlainDatagramSocketImpl_send0): Initialize alen.
	(gnu_java_net_PlainDatagramSocketImpl_socketGetOption): Likewise for r.
	(gnu_java_net_PlainDatagramSocketImpl_joinGroup): Likewise.

2005-08-10  Andreas Tobler  <a.tobler@schweiz.ch>

	* kaffe/kaffevm/stringParsing.c (skipChars): Change arguments to
	char *.
	(skipSpace): Likewise.

2005-08-10  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/clib/io/File.c (java_io_VMFile_list):
	Keep the order of files as returned by readdir so that
	the result may be similar to that of other VM's.
	Suggested by Wolfgang Baer <WBaer@gmx.de>.

2005-08-10   Wolfgang Baer <WBaer@gmx.de>

	* kaffe/scripts/jdb.in: Add some explanations to the output of the jdb
	placeholder script.

2005-08-10  Kurt Miller <truk@optonline.net>

	* kaffe/kaffeh/support.c:
	Add constant suffixes to constant values (L, LL, f).
	Change CONSTANT_Long to print in decimal instead of hex.
	Fix CONSTANT_Double on little endian and lp64 arches.
	Allow private static final constants to be output.
	Output #undef before any constant #define to fix cases
	where multiple defines are output with same name 

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/jit3-icode.h:
	(HAVE_move_float_const, HAVE_move_double_const): Removed.

	* config/powerpc/jit3-powerpc.def (define_insn(move_float_const,
	fmove_RxC)): Removed empty function to fix unused variable warnings.
	(define_insn(move_double, fmovel_RxR)): Likewise.

	Based on a patch by:  Andreas Tobler  <toa@pop.agri.ch>

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/intrp/machine.c (virtualMachine):
	Fixed build with JVMPI.

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-08  Casey Marshall  <csm@gnu.org>

        PR classpath/23120
        * gnu/java/security/provider/DSAKeyPairGenerator.java
        (<init>): made public; set default values.
        (initialize): just call 'initialize(int,boolean,SecureRandom).'
        (initialize): just call 'initialize(DSAParams,SecureRandom).'
        (initialize): check all values for 'null' before overwriting.
        (initialize): fill in defaults or generate new parameters here.
        (generateKeyPair): don't create parameters; fill in 'random' if
        'null;' use 'random,' not a new Random object, when generating
        random numbers.
        (getDefaults): fix keysize check.

        PR classpath/22990
        * java/security/KeyPairGenerator.java (initialize): do nothing.

	2005-08-08  Tom Tromey  <tromey@redhat.com>

        PR classpath/23285:
        * native/jni/classpath/classpath_jawt.h
        (classpath_jawt_get_awt_version, classpath_jawt_lock,
        classpath_jawt_unlock, classpath_jawt_create_lock,
        classpath_jawt_destroy_lock): Use '(void)' in prototype.
        * native/jni/gtk-peer/Makefile.am (libgtkpeer_la_SOURCES): Added
        gtk_jawt.c.
        * native/jni/gtk-peer/gtk_jawt.c: New file from libgcj.
        (classpath_jawt_create_lock, classpath_jawt_destroy_lock): Use
        cp_gtk_gdk_env.

	2005-08-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/FieldNameHelper.java: New file.

	2005-08-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/_DynAnyFactoryStub.java,
        org/omg/DynamicAny/_DynAnyStub.java,
        org/omg/DynamicAny/_DynArrayStub.java,
        org/omg/DynamicAny/_DynEnumStub.java,
        org/omg/DynamicAny/_DynFixedStub.java,
        org/omg/DynamicAny/_DynStructStub.java,
        org/omg/DynamicAny/_DynUnionStub.java,
        org/omg/DynamicAny/_DynValueStub.java,
        org/omg/DynamicAny/_DynSequenceStub.java: New files.

	2005-08-08  Lillian Angel  <langel@redhat.com>

        Fixes bug #23252
        * javax/swing/JTree.java
        (setModel): Changed to allow model to be null.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (setModel): Changed to depend on JTree functions
        (getPathBounds): Fixed to work when model = null.
        (getPathForRow): Likewise.
        (getRowCount): Likewise.
        (installListeners): Likewise.
        (installUI): Likewise.
        (paint): Likewise.
        (getPreferredSize): Likewise.

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/global-regs.c,
	kaffe/kaffevm/jit3/global-regs.h:
	New files. Spilt out global register handling code 
	from machine.c.

	* config/i386/common.h: Include gtypes.h.

	* kaffe/kaffevm/code-analyse.h: Include classMethod.h

	* kaffe/kaffevm/jit3/Makefile.am:
	Added global-regs.c and global-regs.h.

	* kaffe/kaffevm/jit3/icode.c: Include global-regs.h.
	Only call setupGlobalRegisters if NR_GLOBALS is defined.

	* kaffe/kaffevm/jit3/machine.c (sortSlots, bindSlotToGlobal,
	setupGlobalRegisters): Moved over to global-regs.c.

	* kaffe/kaffevm/jit3/machine.h: Include gtypes.h.
	Removed setupGlobalRegisters prototype.

	* kaffe/kaffevm/jit3/registers.h: Include slots.h.

	Reported by:  Andreas Tobler  <toa@pop.agri.ch>

2005-08-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-08  Casey Marshall  <csm@gnu.org>

        Fixes bug #22914
        * gnu/classpath/debug/Component.java (POLICY): new constant.
        * gnu/java/security/PolicyFile.java (logger): new constant.
        (DEBUG,debug,debug): removed.
        (DEFAULT_POLICY): use 'SystemProperties' class to bypass security
        check.
        (DEFAULT_USER_POLICY): new constant.
        (getPermissions): replace 'debug' calls with logger calls.
        (refresh): add 'DEFAULT_USER_POLICY' to the initial list;
        interpret 'java.security.policy' and 'policy.url' properties
        properly; replace 'debug' calls with logger calls.
        (parse): replace 'debug' calls with logger calls.

	2005-08-07  Casey Marshall  <csm@gnu.org>

        * javax/security/auth/x500/X500Principal.java
        (encodeDer): use the right iterator for the inner loop.
        (parseString): test for end of input.
        (readAttributeType): provide detail message for exception.
        (readAttributeValue): return the result on end of input;
        read the next character while looping.
        (putComponent): accept 'o' and 'ou' short names.

2005-08-09  Jim Huang  <jserv@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java
	(registerSource) (unregisterSource),
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java
	(getNativeData),
	libraries/javalib/awt-implementations/kaffe/java/awt/Font.java
	(Font.nativeData),
	libraries/javalib/awt-implementations/kaffe/java/awt/FontMetrics.java
	(FontMetrics.nativeData),
	libraries/javalib/awt-implementations/kaffe/java/awt/Image.java
	(Image.oldNativeData),
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageFrameLoader.java
	(runINPLoop),
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageNativeProducer.java
	(produceFrom) (produceFrom),
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeClipboard.java
	(NativeClipboard.nativeData),
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeGraphics.java
	(NativeGraphics.nativeData) (getGraphics) (setGraphics),
	libraries/javalib/awt-implementations/kaffe/java/awt/Toolkit.java
	(cbdFreeClipboard) (cbdGetContents) (cbdInitClipboard) (cbdSetOwner)
	(evtRegisterSource) (evtUnregisterSource) (fntBytesWidth)
	(fntCharWidth) (fntFreeFont) (fntFreeFontMetrics) (fntGetAscent)
	(fntGetDescent) (fntGetFixedWidth) (fntGetHeight) (fntGetLeading)
	(fntGetMaxAdvance) (fntGetMaxDescent) (fntGetWidths) (fntInitFont)
	(fntInitFontMetrics) (fntIsWideFont) (fntStringWidth) (graAddClip)
	(graClearRect) (graCopyArea) (graDraw3DRect) (graDrawArc)
	(graDrawChars) (graDrawImage) (graDrawImageScaled) (graDrawLine)
	(graDrawOval) (graDrawPolygon) (graDrawPolyline) (graDrawRect)
	(graDrawRoundRect) (graDrawString) (graFill3DRect) (graFillArc)
	(graFillOval) (graFillPolygon) (graFillRect) (graFillRoundRect)
	(graFreeGraphics) (graInitGraphics) (graSetBackColor) (graSetClip)
	(graSetColor) (graSetFont) (graSetOffset) (graSetPaintMode)
	(graSetVisible) (graSetXORMode) (imgComplete) (imgCreateFromData)
	(imgCreateFromFile) (imgCreateImage) (imgCreateScaledImage)
	(imgCreateScreenImage) (imgFreeImage) (imgGetHeight) (imgGetLatency)
	(imgGetNextFrame) (imgGetWidth) (imgIsMultiFrame) (imgProduceImage)
	(imgSetFrame) (imgSetIdxPels) (imgSetRGBPels) (wndCreateDialog)
	(wndCreateFrame) (wndCreateWindow) (wndDestroyWindow) (wndRepaint)
	(wndRequestFocus) (wndSetBounds) (wndSetCursor) (wndSetIcon)
	(wndSetResizable) (wndSetTitle) (wndSetVisible) (wndToBack)
	(wndToFront),
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java
	(Window.nativeData) (getNativeData):
	Reflect recent changes in GNU Classpath. Change gnu.classpath.RawData
	to gnu.classpath.Pointer.

2005-08-08  Andreas Tobler  <a.tobler@schweiz.ch>

	* kaffe/kaffevm/jit3/icode.c (cvt_double_int): Remove unused variable.

	* kaffe/kaffe/main.c (setKaffeAWT): Silence unused function warnings.

2005-08-08   Wolfgang Baer <WBaer@gmx.de>

	* kaffe/man/kaffe.1.xml,
	kaffe/man/kaffe.1.in: Fixes for manpages.

2005-08-08  Andreas Tobler  <toa@pop.agri.ch>

	* config/sparc/trampolines.S: Set alignment to 8
	to accomodate 64bit sparcs.

2005-08-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jni/jni-base.c (JNI_CreateJavaVM):
	Moved errbuf into JVMPI section to fix compiler warning.

2005-08-08  Dalibor Topic  <robilad@kaffe.org>

	Fixed make distcheck.

	* include/Makefile.am: Added kaffe/trampoline.h.
	(DISTCLEANFILES) Added config-int.h.

	* test/jni/Makefile.am (CLEANFILES) Added *.class files.

	* po/de.po,
	po/fr.po,
	po/kaffe.pot,
	po/zh_CN.po,
	po/zh_TW.po: Regenerated.

2005-08-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-08-07  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/AnySeqHelper.java,
        org/omg/DynamicAny/NameDynAnyPairSeqHelper.java,
        org/omg/DynamicAny/NameValuePairHelper.java,
        org/omg/DynamicAny/NameDynAnyPairHelper.java,
        org/omg/DynamicAny/NameValuePairSeqHelper.java,
        org/omg/DynamicAny/DynAnySeqHelper.java,
        gnu/CORBA/DynAnySeqHolder.java,
        gnu/CORBA/NameDynAnyPairSeqHolder.java,
        gnu/CORBA/NameDynAnyPairHolder.java,
        gnu/CORBA/NameValuePairSeqHolder.java,
        gnu/CORBA/NameValuePairHolder.java: New files.

	2005-08-07  Ito Kazumitsu <kaz@maczuka.gcd.org>

        Fixes bug #22929
        * libraries/javalib/java/net/NetworkInterface.java
        (condense): New static private method.
        (getNetworkInterfaces): Call condense().
        (getByName, getByInetAddress): Call getNetworkInterfaces()
        so that condensed result may be returned.

        * vm/reference/java/net/VMNetworkInterface.java (getInterfaces):
        Clarify return value in documentation.

	2005-08-07  Mark Wielaard  <mark@klomp.org>

        Fixes bug #22920
        * java/net/DatagramSocket.java (DatagramSocket(SocketAddress)):
        Use gnu.classpath.SystemProperties to get impl.prefix.

	2005-08-03  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/CDR/noHeaderInput.java,
        gnu/CORBA/gnuValueHolder.java,
        gnu/CORBA/DynAn/gnuDynAny.java,
        gnu/CORBA/DynAn/gnuDynArray.java,
        gnu/CORBA/DynAn/gnuDynSequence.java,
        gnu/CORBA/DynAn/gnuDynValueBox.java,
        gnu/CORBA/DynAn/abstractRecord.java,
        gnu/CORBA/DynAn/gnuDynAnyFactory.java,
        gnu/CORBA/DynAn/gnuDynValue.java,
        gnu/CORBA/DynAn/gnuDynStruct.java,
        gnu/CORBA/DynAn/anyDivideable.java,
        gnu/CORBA/DynAn/anyUndivideable.java,
        gnu/CORBA/DynAn/gnuDynEnum.java,
        gnu/CORBA/DynAn/abstractDynAny.java,
        gnu/CORBA/DynAn/gnuDynFixed.java,
        gnu/CORBA/DynAn/valueChangedListener.java,
        gnu/CORBA/DynAn/gnuDynUnion.java: New files.
        * org/omg/DynamicAny/DynUnionOperations.java,
        org/omg/DynamicAny/DynAnyOperations.java,
        org/omg/DynamicAny/DynAnyFactoryOperations.java,
        org/omg/DynamicAny/DynValueBox.java,
        org/omg/DynamicAny/DynValueCommon.java,
        org/omg/DynamicAny/DynAnyFactoryHelper.java,
        gnu/CORBA/typeNamer.java,
        gnu/CORBA/fixedTypeCode.java,
        gnu/CORBA/CDR/Vio.java,
        gnu/CORBA/CDR/cdrInput.java,
        gnu/CORBA/CDR/cdrOutput.java,
        gnu/CORBA/holderFactory.java,
        gnu/CORBA/universalHolder.java,
        gnu/CORBA/Poa/ORB_1_4.java,
        gnu/CORBA/Restricted_ORB.java,
        gnu/CORBA/gnuAny.java,
        org/omg/CORBA/TypeCode.java
        org/omg/CORBA/Any.java,
        org/omg/CORBA/ORB.java,
        org/omg/CORBA/ObjectHelper.java,
        org/omg/CORBA/ObjectHolder.java,
        org/omg/CORBA_2_3/portable/InputStream.java,
        org/omg/CORBA_2_3/portable/OutputStream.java,
        gnu/CORBA/DynAn/NameValuePairHolder.java: Rewritten.

	2005-08-06  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java
        (readClassDescriptor): Removed bogus handling of primitive types.
        (readFields.GetField.defaulted): Pass cause to exception.
        (readFields.GetField.getField): Pass cause to exception.
        (newObject, callReadMethod): Call initCause on exception.

	2005-08-06  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/IllegalArgumentException.java,
        java/lang/IllegalStateException.java,
        java/lang/SecurityException.java,
        java/lang/UnsupportedOperationException.java: Merged from generics
        branch.

	2005-08-05  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java:
        (getPathBounds): Changed to use TreeNode and not
        DefaultMutableTreeNode.
        (getPathForRow): Likewise.
        (getRowCount): Likewise.
        (getPreferredSize): Likewise.
        (keyPressed): Likewise.
        (paintNode): Likewise.
        (getCellLocation): Likewise.
        (paintRecursive): Likewise.
        (paintControlIcons): Likewise.
        (getNextVisibleNode): Likewise.
        (getPreviousVisibleNode): Likewise.
        (getNextNode): Implemented because not using DefaultMutableTreeNode.
        (getPreviousNode): Implemented
        (getNextSibling): Implemented
        (getPreviousSibling): Implemented
        (getPathToRoot): Implemented
        (getLevel): Implemented

	2005-08-05  Mark Wielaard  <mark@klomp.org>

        * java/awt/datatransfer/FlavorEvent.java: New class.
        * java/awt/datatransfer/FlavorListener.java: Likewise.
        * java/awt/datatransfer/Clipboard.java (name): Made final.
        (listeners): New final ArrayList field.
        (setContents): Reimplemented.
        (getAvailableDataFlavors): New method.
        (isDataFlavorAvailable): Likewise.
        (getData): Likewise.
        (addFlavorListener): Likewise.
        (removeFlavorListener): Likewise.
        (getFlavorListeners): Likewise.
        * java/awt/datatransfer/DataFlavor.java (javaFileListFlavor):
        Construct with mime media-type application/x-java-file-list.
        (DataFlavor(String mimeType, String humanPresentableName)): Call
        constructor that uses given mimeType.
        (getSubType): Reimplemented.
        (getParameter): Handle 'vitual' humanPresentableName parameter.
        (isMimeTypeEqual): Reimplement.
        (isRepresentationClassRemote): Implement.
        (toString): Add formatting.

	2005-08-05  Lillian Angel  <langel@redhat.com>

        * java/awt/GridBagLayout.java
        (setConstraints): Removed checks in if statements because if the height
        or width is less than 0, it should be updated to a positive number in
        all cases.

	2005-08-05  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c: Include
        jcl.h.
        (createRawData): Removed unused variable method.
        (getData): Removed unused variable field.
        * native/jni/java-nio/gnu_java_nio_charset_iconv_IconvDecoder.c
        (createRawData): Removed unused variable method.
        (getData): Removed unused variable field.
        * native/jni/java-nio/gnu_java_nio_charset_iconv_IconvEncoder.c
        (createRawData): Removed unused variable method.
        (getData): Removed unused variable field.
        * native/jni/java-nio/java_nio_VMDirectByteBuffer.c
        (Java_java_nio_VMDirectByteBuffer_init): Removed.
        * vm/reference/java/nio/VMDirectByteBuffer.java (init): Removed.
        * include/java_nio_VMDirectByteBuffer.h: Regenerated.

	2005-08-05  Roman Kennke  <roman@kennke.org>

        * java/awt/Container.java:
        (preferredSize): Call getLayout() instead of directly referencing
        the private field. This makes components work that override
        getLayout().
        (minimumSize): Call getLayout() instead of directly referencing
        the private field. This makes components work that override
        getLayout(). Use cached size if component is still valid.
        (maximumSize): Call getLayout() instead of directly referencing
        the private field. This makes components work that override
        getLayout(). Use cached size if component is still valid.
        (update): If we are a top-level-container, call super.update(),
        otherwise directly call paint().
        (visitChildren): Also visit children that are itself Containers.
        * java/awt/Component.java
        (update): Clear the background only for lightweight and top-level
        components.

	2005-08-05  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicGraphicsUtils.java
        (getPreferredButtonSize): Added horizontalAdjustment to width
        to create gap at end of label text.
        * javax/swing/plaf/basic/BasicMenuItemUI.java
        (getPreferredSize): Removed "*2" since fix was moved to
        BasicGraphicsUtils

	2005-08-05  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/DefaultCaret.java: Added API comments all
        over.
        * javax/swing/text/DefaultEditorKit.java: Added API comments
        all over.

	2005-08-05  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectInputStream.java
        (read(byte[],int,int)): Simplified and fixed bug 23236.

	2005-08-04  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java
        (getPreferredSize): Multiplied defaultTextIconGap by 2,
        so there is equal space around the MenuItem

	2005-08-04  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java
        (paintIcon): Added in border painting code for MenuItem
        * javax/swing/plaf/metal/MetalLookAndFeel.java:
        Added in default for CheckBox border

	2005-08-04  Roman Kennke  <roman@kennke.org>

        * java/awt/BorderLayout.java: Reformatted this file to meet our
        coding standards.

	2005-08-04  Roman Kennke  <roman@kennke.org>

        * java/awt/BorderLayout.java
        (layoutContainer): Replaced getSize() call with getWidth() and
        getHeight(). This avoids heap allocation and fixes a bug in
        an application here.

	2005-08-04  Lillian Angel  <langel@redhat.com>

        * javax/swing/JCheckBox.java
        (init): Moved these to ui
        * javax/swing/plaf/basic/BasicCheckBoxUI.java
        (installUI): initalized icons
        * javax/swing/plaf/metal/MetalLookAndFeel.java:
        Took out CheckBoxMenuItem defaults because did not
        work as expected. For now it uses the BasicL&F's defaults.

	2005-08-04  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JList.java:
        (getFirstVisibleIndex): Translate visible rectangle by one less pixel.
        (getLastVisibleIndex): Likewise.

	2005-08-04  Lillian Angel  <langel@redhat.com>

        * javax/swing/JCheckBox.java
        (init): Initialized icons. Was not working otherwise.
        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Added in checkIcon for the CheckBox.
        * javax/swing/plaf/metal/MetalLookAndFeel.java:
        Added in checkIcon for CheckBox and defaults for
        CheckBoxMenuItem.

	2005-08-03  Lillian Angel  <langel@redhat.com>

        * javax/swing/JCheckBoxMenuItem.java
        (installUI): set the items visible. Fixes exceptions that are
        thrown because item is not explicitly set visible.

	2005-08-03  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicViewportUI.java
        (paintSimple): Corrected the clip that is used to draw the
        viewport's content. This fixes scrolling in JScrollPane and
        JViewport.

	2005-08-03  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Changed the fonts from Helvetica to Dialog.

	2005-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

        * include/java_nio_VMDirectByteBuffer.h:
        Regenerated.

        * native/jni/java-nio/gnu_java_nio_charset_iconv_IconvEncoder.c
        (getData): Fixed function call.

        Reported by: Andreas Tobler <toa@pop.agri.ch>

	2005-08-03  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicIconFactory.java:
        (getMenuItemCheckIcon): Implemented so a check mark is drawn when
        the item is selected.
        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Modified the checkbox defaults
        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        (paintMenuItem): Changed to only draw check when item is selected.

	2005-08-03  Roman Kennke  <roman@kennke.org>

        * java/awt/FontMetrics.java
        (charsWidth): Iterate to len + offset instead to len.

	2005-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

        * native/jni/classpath/jcl.c
        (JCL_NewRawDataObject): Fixed typo.

	2005-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

        * gnu/classpath/Pointer.java,
        gnu/classpath/Pointer32.java,
        gnu/classpath/Pointer64.java,
        gnu/classpath/RawData.java,
        gnu/classpath/RawData32.java,
        gnu/classpath/RawData64.java,
        gnu/java/awt/peer/gtk/GtkImage.java,
        gnu/java/nio/charset/iconv/IconvDecoder.java,
        gnu/java/nio/charset/iconv/IconvEncoder.java,
        java/nio/Buffer.java,
        java/nio/DirectByteBufferImpl.java,
        java/nio/MappedByteBufferImpl.java,
        native/jni/classpath/jcl.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c,
        native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c,
        native/jni/java-nio/gnu_java_nio_charset_iconv_IconvDecoder.c,
        native/jni/java-nio/gnu_java_nio_charset_iconv_IconvEncoder.c,
        native/jni/java-nio/java_nio_MappedByteBufferImpl.c,
        native/jni/java-nio/java_nio_VMDirectByteBuffer.c,
        vm/reference/java/nio/VMDirectByteBuffer.java: Renamed
        references to gnu/classpath/RawData to gnu/classpath/Pointer.

	2005-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

        * java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (mapImpl): Fixed typo.

	2005-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

        * classpath/jcl.c
        (JCl_NewRawDataObject): Added error handling.

        * classpath/jcl.h
        (jpointer): New integer type to represent a pointer.

        * gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c,
        java-nio/gnu_java_nio_channels_FileChannelImpl.c,
        java-nio/gnu_java_nio_charset_iconv_IconvDecoder.c,
        java-nio/gnu_java_nio_charset_iconv_IconvEncoder.c,
        java-nio/java_nio_MappedByteBufferImpl.c,
        java-nio/java_nio_VMDirectByteBuffer.c,
        xmlj/xmlj_util.c: Use JCL functions instead of directly
        accessing gnu/classpath/RawData.

	2005-08-03  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AttributeSet.java: Added some API comments
        to class description.
        * javax/swing/text/BadLocationException.java: Added / fixed
        API comments all over.
        * javax/swing/text/Caret.java: Added API comments all over.

	2005-08-02  Roman Kennke  <roman@kennke.org>

        * java/awt/Component.java
        (getBounds): Removed debug statements that accidentally slipped in.

	2005-08-02  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable.java:
        (getCellRect): Height should be the row height, not the entire table
        height.
        (getRowHeight): New public method, part of API.
        * javax/swing/JViewport.java:
        (scrollRectToVisible): Fixed buggy scrolling conditions.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed): Implemented PAGE-UP, PAGE-DOWN, CTRL-PAGE-UP,
        and CTRL-PAGE-DOWN key actions.  Also added line to scroll the table
        appropriately after changing the selection.
        (KeyHandler.getFirstVisibleColumnIndex): New implementation method.
        (KeyHandler.getLastVisibleColumnIndex): Likewise.
        (KeyHandler.getFirstVisibleRowIndex): Likewise.
        (KeyHandler.getLastVisibleRowIndex): Likewise.
	2005-08-02  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AbstractDocument.java
        (AbstractElement.AbstractElement): Create an empty AttributeSet
        if the argument s == null.
        (AbstractElement.getAttribute): Return the element itself instead
        of the wrapped attributes.

	2005-08-02  Roman Kennke  <roman@kennke.org>

        * java/awt/Toolkit.java
        (createCustomCursor): Added check for headless environment.
        (getBestCursorSize): Added check for headless environment.

	2005-08-02  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/GapContent.java
        (shiftGap): Changed to used '&&'. both indexes should be
        greater than 0.

	2005-08-02  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/GapContent.java:
        Formatting code.

	2005-08-02  Lillian Angel  <langel@redhat.com>

        * javax/swing/text/GapContent.java
        (shiftGap): Added in if statement to check if indexes are negative.
        Does not work properly if they are.

	2005-08-02  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTextUI.java
        (RootView.viewToModel): New method.
        * javax/swing/text/BoxView.java
        (isBefore): New method. This is a stub method to implement the
        new abstract method from CompositeView.
        (isAfter): New method. This is a stub method to implement the
        new abstract method from CompositeView.
        (getViewAtPoint): New method. This is a stub method to implement the
        new abstract method from CompositeView.
        (childAllocation): New method. This is a stub method to implement the
        new abstract method from CompositeView.
        * javax/swing/text/ComponentView.java
        (viewToModel): New method. This is a stub method to implement the
        new abstract method from View.
        * javax/swing/text/CompositeView.java
        (loadChildren): Implemented new method.
        (setParent): Implemented new method.
        (getViewCount): Implemented new method.
        (getView): Implemented new method.
        (replace): Implemented new method.
        (getChildAllocation): Implemented new method.
        (modelToView(int, Shape, Position.Bias)): Implemented this method.
        (modelToView(int, Position.Bias, int, Position.Bias, Shape):
        Implemented new method.
        (viewToModel): Implemented new method.
        (getNextVisualPositionFrom): Implemented new method.
        (getViewIndex): Implemented new method.
        (isBefore): New abstract method.
        (isAfter): New abstract method.
        (getViewAtPoint): New abstract method.
        (childAllocation): New abstract method.
        (getViewAtPosition): Implemented new method.
        (getViewIndexAtPosition): Implemented new method.
        (getInsideAllocation): Implemented new method.
        (setParagraphInsets): Implemented new method.
        (setInsets): Implemented new method.
        (getLeftInset): Implemented new method.
        (getRightInset): Implemented new method.
        (getTopInset): Implemented new method.
        (getBottomInset): Implemented new method.
        (getNextNorthSouthVisualPositionFrom): New method.
        (getNextEastWestVisualPositionFrom): New method.
        (flipEastAndWestAtEnds): Implemented new method.
        * javax/swing/text/GlyphView.java
        (viewToModel): New method. This is a stub method to implement the
        new abstract method from View.
        * javax/swing/text/IconView.java
        (viewToModel): New method. This is a stub method to implement the
        new abstract method from View.
        * javax/swing/text/PlainView.java
        (viewToModel): New method. This is a stub method to implement the
        new abstract method from View.
        * javax/swing/text/View.java
        (viewToModel): New abstract method.

	2005-08-02  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/DynValueCommon.java: Inherit from
        DynValueOperations, DynAny, IDLEntity, org.omg.CORBA.Object,
        Serializable.
        * org/omg/DynamicAny/DynValueCommonOperations.java: Inherit from
        DynAnyOperations.
        * org/omg/DynamicAny/DynAnyHelper.java,
        org/omg/DynamicAny/DynStructHelper.java,
        org/omg/DynamicAny/DynUnionHelper.java,
        org/omg/DynamicAny/DynValueHelper.java,
        org/omg/DynamicAny/DynAnyFactoryHelper.java,
        org/omg/DynamicAny/DynArrayHelper.java,
        org/omg/DynamicAny/DynEnumHelper.java,
        org/omg/DynamicAny/DynFixedHelper.java,
        org/omg/DynamicAny/DynSequenceHelper.java: New files.

	2005-08-01  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AttributeSet.java: Added API comments all over.

	2005-08-01  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AbstractDocument.java: Added API comments all over.

	2005-08-01  Mark Wielaard  <mark@klomp.org>

        Reported by Wolfgang Baer <WBaer@gmx.de>
        * javax/swing/text/GapContent.java (shiftGap): Use new
        CapContentPosition in binarySearch.
        (shiftEnd): Likewise.

	2005-08-01  Jan Roehrich <jan@roehrich.info>

        * javax.swing.plaf.basic.BasicTreeUI: Method drawCentered
        added / corrected javadoc issues in paintHorizonalLine
        and paintVerticalLine / fixed getRightChildIndent signature
        (problem probably caused by copy/paste)

	2005-08-01  Jan Roehrich <jan@roehrich.info>

        * javax.swing.plaf.basic.BasicTreeUI: paintVerticalLine and
        paintHorizontalLine added.

	2005-07-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        org/omg/DynamicAny/DynValueOperations.java,
        org/omg/DynamicAny/DynAnyFactory.java,
        org/omg/DynamicAny/DynAnyFactoryOperations.java,
        org/omg/DynamicAny/DynValue.java,
        org/omg/DynamicAny/DynValueBox.java,
        org/omg/DynamicAny/DynValueBoxOperations.java,
        org/omg/DynamicAny/DynValueCommon.java,
        org/omg/DynamicAny/DynValueCommonOperations.java: New files.

	2005-07-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/DynFixedOperations.java,
        org/omg/DynamicAny/DynEnum.java,
        org/omg/DynamicAny/DynArrayOperations.java: Inherit from
        DynAnyOperations.
        * org/omg/DynamicAny/NameDynAnyPair.java: Inherit from
        org.omg.CORBA.portable.IDLEntity.
        * org/omg/DynamicAny/DynAnyOperations.java
        (assign, current_component): Fixes in throws declaration.
        * org/omg/DynamicAny/DynEnumOperations.java,
        org/omg/DynamicAny/DynSequenceOperations.java,
        org/omg/DynamicAny/DynStructOperations.java,
        org/omg/DynamicAny/DynUnionOperations.java,
        org/omg/DynamicAny/DynAny.java,
        org/omg/DynamicAny/DynFixed.java,
        org/omg/DynamicAny/DynSequence.java,
        org/omg/DynamicAny/DynStruct.java,
        org/omg/DynamicAny/DynUnion.java,
        org/omg/DynamicAny/DynArray.java,
        org/omg/DynamicAny/NameValuePair.java: Reformatted.

	2005-07-31  Mark Wielaard  <mark@klomp.org>

        * gnu/java/nio/FileLockImpl.java: Mark class final.
        (ch): Removed field.
        (valid): New field.
        (FileLockImpl): Set valid to true.
        (isValid): Test and set valid field.
        (release): Release lock if it is still valid.
        * java/nio/channels/FileLock.java: Mark all fields private final.
        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (Java_gnu_java_nio_channels_FileChannelImpl_lock): Translate
        Long.MAX_VALUE to zero for fcntl.
        (Java_gnu_java_nio_channels_FileChannelImpl_unlock): Likewise.

	2005-07-31  Jan Roehrich  <jan@roehrich.info>

        * javax.swing.plaf.basic.BasicTreeUI: fixed indentation.

	2005-07-30  Casey Marshall  <csm@gnu.org>

        * native/jni/java-nio/java_nio_MappedByteBuffer.c
        (Java_java_nio_MappedByteBufferImpl_isLoadedImpl): cast argument 3
        to 'mincore' to 'void *' to avoid warnings on GNU.

	2005-07-30  Casey Marshall  <csm@gnu.org>

        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (Java_gnu_java_nio_channels_FileChannelImpl_mapImpl):
        eliminate various compiler warnings; mark 'buffer' as 'volatile;'
        throw an exception if we can't get a constructor method ID.
        * native/jni/java-nio/java_nio_MappedByteBufferImpl.c:
        include 'stdlib.h.'
        (get_raw_values): eliminate compiler warnings.
        (Java_java_nio_MappedByteBufferImpl_isLoadedImpl): likewise.
        * native/jni/java-nio/java_nio_VMDirectByteBuffer.c
        (Java_java_nio_VMDirectByteBuffer_put__Lgnu_classpath_RawData_2I_3BII):
        eliminate compiler warning.

2005-08-08  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/jit-sparc.def: Removed empty popargs function.

	* config/sparc/jit-icode.h: Undefined popargs.

2005-08-08  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac : Always execute configure for boehm-gc to avoid
	confusing distcheck.

	* config/Makefile.am: Fixed spelling of i386/fpu-set.h

2005-08-07  Riccardo Mottola  <multix@gmail.com>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	Added missing includes for waitpid to fix build on gnu hurd.

2005-08-06  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/jit-sparc.def:
	(argcount) removed as argcount is handled in jit code
	already. Removed all uses to fix Debian bug #321209.

	* kaffe/kaffevm/classMethod.h (initialiseSecurity)
	Added missing prototype to fix compiler warning.
	
2005-08-06  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jar.c (jarSeek): Initialize pos
	before use.
	(getCentralDirCount) Initialize dir_size before use.

	* kaffe/kaffevm/locks.c (slowLockObject): Initialize
	isContention before use.

	* kaffe/kaffevm/jni/jni-helpers.c (KaffeJNI_GetDirectBufferCapacity)
	Return jlong.

	* kaffe/kaffevm/jni/jni-string.c (KaffeJNI_GetStringUTFChars) Return
	const char*. Changed type of return buffer to char*.

	* kaffe/kaffevm/jni/jni_funcs.h (KaffeJNI_GetDirectBufferCapacity,
	KaffeJNI_GetStringUTFChars): Fixed prototypes to match declarations
	in jni.h.

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c (jthreadedBind,
	jthreadedConnect) Fixed to match declaration. Removed no longer
	necessary socklen_t casts.

2005-08-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/codeproto.h  (and_int_const): 
	Added missing prototype.

2005-08-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit/icode.c
	(cvt_double_int) Removed unused variable i.

2005-08-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/target/generic/target_generic_file.h (TARGET_NATIVE_FILE_FSYNC): 
	Swapped with
	* libraries/clib/target/Linux/target_native_file.h (TARGET_NATIVE_FILE_FSYNC): 
	to make sure all the wrapped native calls are in the Linux layer.

2005-08-05  Dalibor Topic  <robilad@kaffe.org>

	* include/jsyscall.h (KFTRUNCATE, KFSYNC, KREAD, KWRITE): Documented.

2005-08-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/target/Linux/target_native_file.h (TARGET_NATIVE_FILE_FSYNC,
	TARGET_NATIVE_FILE_TRUNCATE, TARGET_NATIVE_FILE_WRITE,
	TARGET_NATIVE_FILE_READ): New macros used to delegate
	system calls to thread-safe wrappers for system calls.
	
2005-08-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/target/Linux/target_native_file.h 
	(TARGET_NATIVE_FILE_SEEK_END, TARGET_NATIVE_FILE_SEEK_CURRENT,
	TARGET_NATIVE_FILE_SEEK_BEGIN): New macros used to delegate
	system calls to thread-safe wrappers for system calls.

2005-08-03 Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for fstat.

	Reported by:  Ito Kazumitsu  <kaz@maczuka.gcd.org>

2005-08-03 Dalibor Topic  <robilad@kaffe.org>

	* test/regression/BufferedInputStreamAvailableTest.java:
	Use file TestScript for testing input, as it exists in
	both builddir and srcdir, so if these are different, the 
	test still passes.

2005-08-03  Guilhem Lavaux <guilhem@kaffe.org>

	* config/powerpc/trampolines.S: Changed commentary type for
	gcc.

	Reported by: Riccardo Mottola <multix@gmail.com>.

2005-08-02 Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* test/regression/BufferedInputStreamAvailableTest.java:
	Weakened the criterion.

2005-08-02 Dalibor Topic  <robilad@kaffe.org>

	* include/jsyscall.h:
	(KOPEN, KLSEEK, KCLOSE, KFSTAT) Documented.

	* libraries/clib/target/Linux/target_native_file.h
	(TARGET_NATIVE_FILE_OPEN, TARGET_NATIVE_FILE_CLOSE,
	TARGET_NATIVE_FILE_AVAILABLE, TARGET_NATIVE_FILE_SIZE,
	TARGET_NATIVE_FILE_TELL): New macros used to delegate
	system calls to thread-safe wrappers for system calls.

	Reported by:  Guilhem Lavaux <guilhem@kaffe.org>

2005-08-01  Guilhem Lavaux <guilhem@kaffe.org>

	* test/jni/Makefile.am: Fixed typo.

	* test/jni/Makefile.in: Regenerated.

	* test/jni/jniWeakTest.c
	(main): Register preloaded symbols.

2005-08-01  Guilhem Lavaux <guilhem@kaffe.org>

	* test/internal/VirtualMethod.java: New test.

	* test/internal/Makefile.am: Added the test.

	* test/internal/Makefile.in: Regenerated.

2005-07-31  Guilhem Lavaux <guilhem@kaffe.org>
	Riccardo Mottola  <multix@gmail.com>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(finaliserJob): Protect the access to the block structure
	as the heap may grow at the same time.
	
2005-07-31 Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* test/regression/BufferedInputStreamAvailableTest.java:
	New file.

	* test/regression/Makefile.am:
	Added BufferedInputStreamAvailableTest.java.

	* test/regression/Makefile.in: regenerated.

2005-07-30 Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/StyledEditorKit.java: Added the remaining API
        comments.

	2005-07-29  Lillian Angel  <langel@redhat.com>

        * javax/swing/MenuSelectionManager.java
        (isComponentPartOfCurrentMenu): Fixed to prevent NPE.
        * javax/swing/plaf/basic/BasicMenuUI.java
        (popupVisible): Likewise.

	2005-07-29  David Gilbert  <david.gilbert@object-refinery.com>

        * java/awt/event/MouseWheelEvent.java: fixed typo in API docs.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/DefaultStyledDocument.java: Added
        comments all over.
        * javax/swing/text/StyledEditorKit: Likewise.

	2005-07-29  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTextField.java
        (insertString): Added in check for null to resolve a NPE.
        * javax/swing/text/GapContent.java
        (getOffset): Added in check for mark = gapStart because
        if mark = gapStart = 0, then a negative is returned. This was
        not right.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicEditorPaneUI.java: Added API
        comments all over.
        * javax/swing/plaf/basic/BasicTextUI.java: Likewise.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/DefaultStyledDocument.java
        (split): Moved throw statement into proper else clause.
        * javax/swing/text/StyledEditorKit.java
        (StyledViewFactory.create): Return the actual view instead of null.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/JTextPane.java: Added API comments all over.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/JTextPane.java
        (constructor()): Implemented this constructor. Initialize the
        EditorKit and set the Document to null.
        (constructor(StyledDocument)): Implemented this constructor.
        Initialize the EditorKit and Document.
        (getUIClassID): Inlined the constant String.
        (setDocument): Implemented this method.
        (getStyledDocument): Likewise.
        (setStyledDocument): Likewise.
        (replaceSelection): Likewise.
        (insertComponent): Clarified the TODO comment.
        (insertIcon): Clarified the TODO comment.
        (addStyle): Implemented this method.
        (removeStyle): Likewise.
        (getStyle): Likewise.
        (getLogicalStyle): Likewise.
        (setLogicalStyle): Likewise.
        (getCharacterAttributes): Likewise.
        (setCharacterAttributes): Likewise.
        (getParagraphAttributes): Likewise.
        (getInputAttributes): Likewise.
        (getStyledEditorKit): Likewise.
        (createDefaultEditorKit): Likewise.
        (setEditorKit): Likewise.
        * javax/swing/plaf/basic/BasicEditorPaneUI.java
        (getEditorKit): Implemented this method.
        * javax/swing/plaf/basic/BasicTextUI.java
        (RootView.getViewFactory): Ask the installed EditorKit for its
        ViewFactory.
        (RootView.setView): Set this as the parent of the installed real
        root view.
        (RootView.modelToView): Don't cast to PlainView here. Use View
        instead.
        (setView): Don't set the parent here. This is handled inside the
        root view.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/AbstractDocument.java
        (createPosition): Delegate this call to the actual Content.
        (LeafElement.constructor): Manage the start and end marks via
        Position objects.
        (LeafElement.getEndOffset): Use Position instead of static mark.
        (LeafElement.getStartOffset): Use Position instead of static mark.
        * javax/swing/text/DefaultStyledDocument.java
        (ElementBuffer.change): New method. Performs structural changes
        in the element tree that are necessary in order to change
        text attributes.
        (ElementBuffer.changeUpdate): New method. This is the method for
        change().
        (ElementBuffer.split): New package-private method. Splits an
        element into two elements.
        (setCharacterAttributes): Implemented this method. This sets
        character attributes on a piece of content.
        * javax/swing/text/GapContent.java
        (GapContentPosition): New inner class. Implements the Position
        interface for GapContent.
        (constructor): Initialize the list that stores the Position objects.
        (createPosition): Reimplemented. Now uses the GapContentPosition
        class.
        (shiftEnd): Update the stored positions.
        (shiftGap): Update the stored positions.
        * javax/swing/text/LabelView.java: New class.
        * javax/swing/text/PlainDocument.java
        (removeUpdate): Don't update the element positions, this should
        now be handled by the Positions.

	2005-07-29  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/BoxView.java: New class.
        * javax/swing/text/CompositeView.java: New class.
        * javax/swing/text/FlowView.java: New class.
        * javax/swing/text/GlyphView.java: New class.
        * javax/swing/text/IconView.java: New class.
        * javax/swing/text/ParagraphView.java: New class.
        * javax/swing/text/StyledEditorKit.java
        (UnderLineAction.constructor): Added TODO comment.
        (UnderLineAction.actionPerformed): Implemented this method. This
        toggles the underline attribute to a piece of content.
        (ItalicAction.constructor): Added TODO comment.
        (ItalicAction.actionPerformed): Implemented this method. This
        toggles the italic attribute to a piece of content.
        (BoldAction.constructor): Added TODO comment.
        (BoldAction.actionPerformed): Implemented this method. This
        toggles the bold attribute to a piece of content.
        (AlignmentAction.constructor): Implemented this constructor.
        (AlignmentAction.actionPerformed): Implemented this method. This
        sets the alignment attribute for a piece of content.
        (ForegroundAction.constructor): Implemented this constructor.
        (ForegroundAction.actionPerformed): Implemented this method. This
        sets the foreground attribute for a piece of content.
        (FontSizeAction.constructor): Implemented this constructor.
        (FontSizeAction.actionPerformed): Implemented this method. This
        sets the font size attribute for a piece of content.
        (FontFamilyAction.constructor): Implemented this constructor.
        (FontFamilyAction.actionPerformed): Implemented this method. This
        sets the font family attribute for a piece of content.
        (StyledTextAction.constructor): Removed TODO comment.
        (StyledTextAction.getEditor): Implemented this method.
        (StyledTextAction.getStyledDocument): Implemented this method.
        (StyledTextAction.getStyledEditorKit): Implemented this method.
        (StyledTextAction.setCharacterAttributes): Implemented this method.
        (StyledTextAction.setParagraphAttributes): Implemented this method.
        (StyledViewFactory.constructor): Removed. This is not necessary here.
        (StyledViewFactory.create): Implemented this method.
        (AttributeTracker): Removed this inner class.
        (CaretTracker): New inner class.
        (CaretTracker.caretUpdate):  Implemented this method. This meeps
        track of the caret in a text component and updates some fields
        of the StyledEditorKit.
        (constructor): Implemented this constructor.
        The inputAttributes are initialized here.
        (clone): Implemented this method.
        (getActions): Implemented this method.
        (getInputAttributes): Implemented this method.
        (getCharacterAttributeRun): Implemented this method.
        (createDefaultDocument): Implemented this method.
        (install): Implemented this method.
        (deinstall): Implemented this method.
        (getViewFactory): Implemented this method.
        (createInputAttributes): Implemented this method.
        * javax/swing/text/View.java
        (modelToView(int, Shape, Position.Bias)): Added new abstract method.
        (modelToView(int, Position.Bias, int, Position.Bias, Shape):
        New method.

	2005-07-28  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JViewport.java:
        (scrollRectToVisible): Consider the x and y position of the viewport
        itself when scrolling down.  This fixes an off-by-1-pixel problem.
        * javax/swing/plaf/basic/BasicListUI.java:
        (KeyHandler.keyPressed): Implemented PAGEUP, SHIFT-PAGEUP, PAGEDOWN,
        and SHIFT-PAGEDOWN key actions.

	2005-07-28  Lillian Angel  <langel@redhat.com>

        * java/awt/GridBagLayout.java
        (distributeSizeAndWeight): added in check, because OutOfBounds exception
        was being raised.
        * javax/swing/JTable.java
        (setRowHeight): Added in, but not implemented.
        * javax/swing/plaf/basic/BasicComboBoxEditor.java
        (setItem): added in check, because NullPointerException was being
        raised.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (getPathBounds): Took out unneeded call.
        (uninstallListeners): added in check, because NPE was being raised.
        (installUI): took out unneeded call.
        (paint): Likewise.
        (getPreferredSize): Should not assume root is an instance of Default
        MutableTreeNode. Changed to use TreeNode instead.
        (getCellBounds): Should never return null
        (getCellLocation): Took out unneeded call.

	2005-07-28  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (KeyHandler.keyPressed): Replaced calls to KeyEvent.isShiftDown() and
        isControlDown() with comparisons of KeyEvent.getModifiers() and
        InputEvent.SHIFT_MASK and CTRL_MASK.
        (MouseInputHandler.mouseClicked): Reordered SHIFT and CTRL modifier
        actions to correspond to JDK.  Note the JDK simply ignores other
        modifiers so isShiftDown() and isControlDown() are okay for mouse
        input.

	2005-07-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/DynamicAny/DynUnion.java,
        org/omg/DynamicAny/DynUnionOperations.java,
        org/omg/DynamicAny/NameDynAnyPair.java,
        org/omg/DynamicAny/NameValuePair.java,
        org/omg/DynamicAny/DynAny.java,
        org/omg/DynamicAny/DynAnyOperations.java,
        org/omg/DynamicAny/DynArray.java,
        org/omg/DynamicAny/DynArrayOperations.java,
        org/omg/DynamicAny/DynEnum.java,
        org/omg/DynamicAny/DynEnumOperations.java,
        org/omg/DynamicAny/DynFixed.java,
        org/omg/DynamicAny/DynFixedOperations.java,
        org/omg/DynamicAny/DynSequence.java,
        org/omg/DynamicAny/DynSequenceOperations.java,
        org/omg/DynamicAny/DynStructOperations.java,
        org/omg/DynamicAny/DynStruct.java: New files.

	2005-07-28  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JViewport.java:
        (scrollRectToVisible): New method, overrides JComponent method as
        intended.

	2005-07-28  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        * native/jni/java-nio/java_nio_MappedByteBufferImpl.c
        (get_raw_values): Add env to getObjectClass call for 64-bit case.

	2005-07-28  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedStringIterator.java: reformatted.

	2005-07-27  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (KeyHandler.keyPressed): Ensure the new lead selection index is visible
        after making a change.
        (MouseInputHandler.mouseClicked): Likewise.

	2005-07-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableServer/POAHelper.java (type, insert, extract,
        id, read, write): New methods.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedString.java: added/edited API docs.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedString.java: reformatted.

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * javax/swing/JTextPane.java:
        Reformatted file to match our coding style.

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * javax/swing/JTextPane.java
        (getCharacterAttributes): Return SimpleAttributeSet.EMPTY instead
        of null.

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicPanelUI.java
        (installDefaults): Install background color on JPanel.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Added background color for Panel.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedCharacterIterator.java: API doc fixes.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/text/html/parser/DocumentParser.java: reverted API fix.

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * javax/swing/DefaultBoundedRangeModel.java:
        Fixed / added API comments for class description.
        * javax/swing/DefaultButtonModel.java: Likewise.
        * javax/swing/DefaultCellEditor.java: Likewise.
        * javax/swing/DefaultComboBoxModel.java: Likewise.
        * javax/swing/DefaultDesktopManager.java: Likewise.
        * javax/swing/DefaultButtonModel.java: Likewise.
        * javax/swing/DefaultFocusManager.java: Likewise.
        * javax/swing/DefaultListCellRenderer.java: Likewise.
        * javax/swing/DefaultListModel.java: Likewise.
        * javax/swing/DefaultListSelectionModel.java: Likewise.
        * javax/swing/DefaultSingleSelectionModel.java: Likewise.
        * javax/swing/FocusManager.java: Likewise.
        * javax/swing/GrayFilter.java: Likewise.
        * javax/swing/ImageIcon.java: Likewise.
        * javax/swing/InputMap.java: Likewise.
        * javax/swing/InputVerifier.java: Likewise.
        * javax/swing/InternalFrameFocusTraversalPolicy.java: Likewise.
        * javax/swing/JApplet.java: Likewise.
        * javax/swing/JCheckBox.java: Likewise.
        * javax/swing/JCheckBoxMenuItem.java: Likewise.
        * javax/swing/JColorChooser.java: Likewise.
        * javax/swing/JComboBox.java: Likewise.
        * javax/swing/JComponent.java: Likewise.

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * java/util/Properties.java
        (getPropertyInternal): Removed.
        (getProperty(String)): Search for property here instead of
        getProperty(String, String).
        (getProperty(String,String)): Call getProperty(String).

	2005-07-27  Roman Kennke  <roman@kennke.org>

        * java/awt/MenuItem.java
        (AccessibleAWTMenuItem.setCurrentAccessibleValue): Removed
        duplicate code. Added this to make setEnabled unambiguous for
        javac 1.3 compiler.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/text/html/parser/DocumentParser.java: API doc fixes,
        * javax/swing/text/html/parser/DTD.java: likewise,
        * javax/swing/text/html/parser/DTDConstants.java: likewise,
        * javax/swing/text/html/parser/Element.java: likewise,
        * javax/swing/text/html/parser/Parser.java: likewise,
        * javax/swing/text/html/parser/ParserDelegator.java: likewise.

	2005-07-27  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): added menu-related defaults.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        PR classpath/22989:
        * java/net/Inet4Address.java (isMCNodeLocal): Use super call.
        (isMCOrgLocal): Likewise.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        * gnu/java/security/provider/PKIXCertPathValidatorImpl.java
        (engineValidate): Fix sense of test.  PR classpath/22991.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        PR classpath/22992:
        * javax/security/sasl/Sasl.java (getSaslClientFactories): Fix
        sense of test.
        (getSaslServerFactories): Likewise.

	2005-07-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (repaintTimer): Make
        daemon thread.

        * gnu/java/awt/peer/gtk/GdkGraphics.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Add
        static initializer.
        (initStaticState): New method.
        Add new global graphics reference state table and macros.
        * include/gnu_java_awt_peer_gtk_GdkGraphics.h: Regenerate.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c: Use new
        NSA_GET_G_PTR macro to retreive graphics objects.
        * native/jni/gtk-peer/gtkpeer.h: Add new graphics state table and
        macros.

	2005-07-26  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed): Replaced calls to KeyEvent.isShiftDown() and
        isControlDown() with mask comparisons of KeyEvent.getModifiers() and
        InputEvent.SHIFT_MASK and CTRL_MASK.  This makes it easier to ignore
        invalid modifiers.

	2005-07-26  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed): Implemented CTRL-SPACE key action.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        * java/security/cert/X509CertSelector.java (match): Convert sigId
        to String before comparison.  PR classpath/22987.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        * gnu/java/security/OID.java: Typo fix.

	2005-07-26  Tom Tromey  <tromey@redhat.com>

        * javax/security/auth/x500/X500Principal.java (getName): Don't
        compare oid to String.  PR classpath/22988.

	2005-07-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (repaint): Reuse
        repaint timer across repaint calls.

	2005-07-26  Roman Kennke  <roman@kennke.org>

        * javax/swing/AbstractAction.java
        Fixed / Added API doc comments for the class description.
        * javax/swing/AbstractButton.java: Likewise.
        * javax/swing/AbstractCellEditor.java: Likewise.
        * javax/swing/AbstractListModel.java: Likewise.
        * javax/swing/AbstractSpinnerModel.java: Likewise.
        * javax/swing/ActionMap.java: Likewise.
        * javax/swing/BorderFactory.java: Likewise.
        * javax/swing/Box.java: Likewise.
        * javax/swing/BoxLayout.java: Likewise.
        * javax/swing/ButtonGroup.java: Likewise.
        * javax/swing/CellRendererPane.java: Likewise.
        * javax/swing/ComponentInputMap.java: Likewise.
        * javax/swing/DebugGraphics.java: Likewise.

	2005-07-26  Mark Wielaard  <mark@klomp.org>

        * java/text/DateFormat.java (equals): Reimplement.

	2005-07-26  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicButtonUI.java
        (paint): Only call paintFocus if the button is actually focused.
        (paintFocus): The default implementation in the BasicLookAndFeel
        does nothing. I removed the code here.

	2005-07-26  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Added new borders for MenuBar and MenuItem.

	2005-07-26  Roman Kennke  <roman@kennke.org>

        * java/util/Properties.java
        (getPropertyInternal): New method. Avoids infinite recursion if
        getProperty() methods are overridden in subclasses.
        (getProperty(String)): Use getPropertyInternal to avoid recursion.
        (getProperty(String,String)): Likewise.

	2005-07-26  Mark Wielaard  <mark@klomp.org>

        * javax/swing/plaf/basic/BasicScrollPaneUI.java
        (getPreferredSize): Removed.
        * javax/swing/plaf/basic/BasicTabbedPaneUI.java
        (getPreferredSize): Removed.
        * javax/swing/plaf/basic/BasicToolBarUI.java
        (getPreferredSize): Removed.

	2005-07-26  Roman Kennke  <roman@kennke.org>

        * gnu/java/awt/AWTUtilities.java:
        Fixed formatting of this file.

	2005-07-26  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java:
        (MenuBarBorder): new inner class.

	2005-07-26  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalBorders.java:
        (MenuItemBorder): new inner class.

	2005-07-26  Mark Wielaard  <mark@klomp.org>

        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (Java_gnu_java_nio_channels_FileChannelImpl_init): Mark clazz as
        unused. Remove unused variables constructor and obj.
        (Java_gnu_java_nio_channels_FileChannelImpl_implCloseChannel): Retry
        when interrupted.
        (Java_gnu_java_nio_channels_FileChannelImpl_available): Likewise.

	2005-07-26  Mark Wielaard  <mark@klomp.org>

        * gnu/java/nio/channels/FileChannelImpl.java (lockCheck): New method.
        (tryLock): Use lockCheck().
        (lock): Likewise.

	2005-07-26  Christian Thalinger  <twisti@complang.tuwien.ac.at>

        * native/target/generic/target_generic_network.h
        (TARGET_NATIVE_NETWORK_SOCKET_SET_OPTION_SO_TIMEOUT): Added
        missing sys/time.h include.

	2005-07-26  Mark Wielaard  <mark@klomp.org>

        * gnu/java/nio/channels/FileChannelImpl.java (description):
        New final field.
        (FileChannelImpl): Set description.
        (init): Likewise.
        (toString): New method.
        All methods add parameters when throwing IllegalArgumentException.
        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (open): Add filename to FileNotFoundException.

	2005-07-26  Jeroen Frijters  <jeroen@frijters.net>

        * NEWS: Added comment about new VMProxy class.
        * gnu/classpath/Configuration.java.in
        (HAVE_NATIVE_GET_PROXY_CLASS): Removed.
        (HAVE_NATIVE_GET_PROXY_DATA): Removed.
        (HAVE_NATIVE_GENERATE_PROXY_CLASS): Removed.
        * java/lang/reflect/Proxy.java
        (getProxyClass): Changed to call VMProxy.
        (getProxyClass0): Removed.
        (getProxyData0): Removed.
        (generateProxyClass0): Removed.
        (ProxyData): Removed private modifier.
        (POOL): Removed (was unused).
        (INVOKESTATIC): Removed (was unused).
        * vm/reference/java/lang/reflect/VMProxy.java: New file.

	2005-07-26  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/text/DateFormatter.java: API doc fixes,
        * javax/swing/text/InternationalFormatter.java: likewise,
        * javax/swing/text/JTextComponent.java: likewise.

	2005-07-26  Jeroen Frijters  <jeroen@frijters.net>

        * vm/reference/java/lang/VMClassLoader.java
        (USE_VM_CACHE): Removed final modifier.

	2005-07-25  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (repaint): Implement
        timed repaint.
        (updateCursorImmediately): Implement.
        (RepaintTimerTask): New class.
        * gnu/java/awt/peer/gtk/GtkImageConsumer.java (imageComplete):
        Don't remove consumer if source is a MemoryImageSource.

	2005-07-25  Archie Cobbs  <archie@dellroad.org>

        * native/jni/classpath/native_state.c: add assertion for object type

	2005-07-25  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.advanceSingleSelection): New method.  Helper method for
        ENTER, SHIFT-ENTER, TAB, and SHIFT-TAB key events.
        (KeyHandler.advanceMultipleSelection): Likewise, used when the table
        has multiple selections at the time that ENTER or TAB was pressed.
        (KeyHandler.keyPressed): Implemented TAB, SHIFT-TAB, and SHIFT-ENTER
        and merged these with existing code for ENTER event, because of the
        similarites.

	2005-07-25  Tom Tromey  <tromey@redhat.com>

        * java/text/CollationKey.java (equals): Use Arrays.equals.
        PR classpath/22986.

	2005-07-25  Tom Tromey  <tromey@redhat.com>

        * java/util/Properties.java (load): Handle case where backslash
        appears at EOF when reading the key.  PR classpath/22994.

	2005-07-25  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (paint): moved code to paintNode
        (getCellBounds): width increased, slightly short before
        (paintNode): changed to paint node depending if icons exist

	2005-07-25  Guilhem Lavaux  <guilhem@kaffe.org>

        * native/jni/classpath/jcl.c,
        native/jni/classpath/jcl.h
        (JCL_NewRawDataObject): New function.
        (JCL_GetRawData): New function.

	2005-07-25  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/Container.java:
        (setFocusTraversalKeys): Instantiate focusTraversalKeys to an array of
        size 4, not 3.  This must have been a typo.

	2005-07-25  Jeroen Frijters  <jeroen@frijters.net>

        * java/rmi/server/RMIClassLoader.java
        (loadClass(String, String)): Use Class.forName() instead of
        directly calling ClassLoader.loadClass(), to handle array
        types correctly.

	2005-07-25  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable.java:
        (selectAll): Store the lead selection indices and restore them after
        selecting all cells.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed): Changed the criteria for "only one selection"
        when the ENTER key is pressed to match the behavior of the JDK.  Also
        replaced direct code for CTRL-A with call to JTable.selectAll().

	2005-07-25  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/ClassLoader.java
        (loadedClasses): Set based on VMClassLoader.VM_USE_CACHE.
        (defineClass): Modified to respect VMClassLoader.VM_USE_CACHE.
        * vm/reference/java/lang/VMClassLoader.java
        (VM_USE_CACHE): New field.

	2005-07-25  Roman Kennke  <roman@kennke.org>

        * gnu/java/awt/AWTUtilities.java:
        Added methods from SwingUtilities so that AWT does not have to
        depend on Swing.
        * java/awt/Component.java:
        Reverted my DEFAULT_FONT patch from yesterday. This does not
        seem to work with the Gtk peers.
        * java/awt/Container.java
        (addImpl): Call addNotify() on the added child. Invalidate not
        only the container but also the added child. Repaint the container.
        (remove): Repaint the container.
        (invalidate): Also invalidate the LayoutManager.
        (invalidateTree): Call super.invalidate to invalidate the container
        itself. Also invalidate the LayoutManager.
        (setFont): Only set the font if the specified argument actually
        differs from the current font.
        (preferredSize): Optimized this method so the LayoutManager is only
        called if the layout is invalid. Otherwise we return the preferred
        size that has been stored during last validation/layout.
        (getAlignmentX): Despite common belief, this method does _not_
        call the LayoutManagers getAlignmentX in the JDK. So we also don't.
        (getAlignmentY): Despite common belief, this method does _not_
        call the LayoutManagers getAlignmentX in the JDK. So we also don't.
        (dispatchEventImpl): Let the dispatcher decide if it is enabled
        for the incoming event type.
        (eventTypeEnabled): Enables only container events for containers.
        (addNotifyContainerChildren): Coalesced two if statements into one.
        Enable events on the dispatcher for this container.
        (LightweightDispatcher): Made this class reentrant. Handle
        events enabling/disabling here.

	2005-07-25  Roman Kennke  <roman@kennke.org>

        * gnu/java/nio/channels/FileChannelImpl.java
        (static initializer): Init out, err and in here.
        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (Java_gnu_java_nio_channels_FileChannelImpl_init): Moved init code
        for in, out and err to Java code.

	2005-07-25  David Gilbert  <david.gilbert@object-refinery.com>

        * java/awt/image/ConvolveOp.java:
        (getKernel): return a clone of the kernel.

	2005-07-25  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/ClassLoader.java
        (findLoadedClass): Call VMClassLoader.findLoadedClass.
        * vm/reference/java/lang/VMClassLoader.java
        (findLoadedClass): New method.

	2003-07-23  Casey Marshall  <csm@gnu.org>

        * configure.ac (AC_CHECK_HEADERS): add 'sys/mman.h'.
        (AC_CHECK_FUNCS): add mmap and related functions.
        * include/java_nio_VMDirectByteBuffer.h: regenerated.
        * java/nio/DirectByteBufferImpl.java (put): new method.
        * native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c
        (ALIGN_DOWN): new macro.
        (ALIGN_UP): new macro.
        (Java_gnu_java_nio_channels_FileChannelImpl_mapImpl): implemented.
        * native/jni/java-nio/java_nio_MappedByteBufferImpl.c: updated
        copyright years.
        (ALIGN_DOWN): new macro.
        (ALIGN_UP): new macro.
        (get_pagesize): new function.
        (get_raw_values): new function.
        (Java_java_nio_MappedByteBufferImpl_unmapImpl): implemented.
        (Java_java_nio_MappedByteBufferImpl_isLoadedImpl): implemented.
        (Java_java_nio_MappedByteBufferImpl_loadImpl): implemented.
        (Java_java_nio_MappedByteBufferImpl_forceImpl): implemented.
        * native/jni/java-nio/java_nio_VMDirectByteBuffer.c
        (Java_java_nio_VMDirectByteBuffer_put): renamed to
        'Java_java_nio_VMDirectByteBuffer_put__Lgnu_classpath_RawData_2IB.'
        (Java_java_nio_VMDirectByteBuffer_get__Lgnu_classpath_RawData_2I_3BII):
        call 'ReleaseByteArrayElements' on the source byte array elements.
        (Java_java_nio_VMDirectByteBuffer_put__Lgnu_classpath_RawData_2I_3BII):
        new method.
        * vm/reference/java/nio/VMDirectByteBuffer.java (put): new method.

	2005-07-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/BoundedRangeModel.java: added/updated API doc comments.

	2005-07-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/Icon.java: added API doc comments.

	2005-07-23  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedString.java: API doc fixes,
        * java/text/ChoiceFormat.java: likewise,
        * java/text/CollationElementIterator.java: likewise,
        * java/text/CollationKey.java: likewise,
        * java/text/Collator.java: likewise,
        * java/text/DateFormat.java: likewise,
        * java/text/DateFormatSymbols.java: likewise,
        * java/text/DecimalFormatSymbols.java: likewise,
        * java/text/MessageFormat.java: likewise,
        * java/text/NumberFormat.java: likewise,
        * java/text/ParseException.java: likewise,
        * java/text/SimpleDateFormat.java: likewise,
        * java/text/StringCharacterIterator.java: likewise.

	2005-07-23  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/ImageIcon.java: API doc fixes,
        * javax/swing/JLayeredPane.java: likewise,
        * javax/swing/JSplitPane.java: likewise,
        * javax/swing/JTree.java: likewise,
        * javax/swing/JViewport.java: likewise,
        * javax/swing/RepaintManager.java: likewise,
        * javax/swing/SizeRequirements.java: likewise,
        * javax/swing/SortingFocusTraversalPolicy.java.

	2005-07-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableServer/ServantLocatorOperations.java,
        org/omg/PortableServer/ServantActivatorOperations.java:
        Inherit from ServantManagerOperations.
        * org/omg/PortableServer/CurrentOperations.java:
        Inherit from org.omg.CORBA.CurrentOperations.
        org/omg/PortableServer/ForwardRequestHelper.java: New file.

	2005-07-23  Sven de Marothy  <sven@physto.se>

        * java/awt/List.java (List): Initialize selected[] to an empty array.

	2005-07-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableServer/RequestProcessingPolicyOperations.java,
        org/omg/PortableServer/ServantRetentionPolicyOperations.java,
        org/omg/PortableServer/ThreadPolicyOperations.java,
        org/omg/PortableServer/IdAssignmentPolicyOperations.java,
        org/omg/PortableServer/IdUniquenessPolicyOperations.java,
        org/omg/PortableServer/ImplicitActivationPolicyOperations.java,
        org/omg/PortableServer/LifespanPolicyOperations.java:
        Inherit from PolicyOperations.

	2005-07-22  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed): If row selection is not allowed in the table,
        then consider all rows of a particular column selected when you get an
        ENTER key event.  This matches JDK behaviour and fixes an out of
        bounds error.  Also, wrapped lines at 80 chars.

	2005-07-22  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (paint): Only highlight the border of a table cell if it is the most
        recently updated cell.

	2005-07-22  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (paintCell): Fixed misnamed variable.

	2005-07-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/Poa/gnuPOA.java,
        gnu/CORBA/Poa/gnuPOAManager.java,
        gnu/CORBA/Poa/activeObjectMap.java,
        gnu/CORBA/Poa/gnuAdapterActivator.java,
        gnu/CORBA/Poa/gnuServantObject.java,
        gnu/CORBA/Poa/servantDelegate.java,
        gnu/CORBA/Poa/ORB_1_4.java,
        gnu/CORBA/Poa/policySets.java,
        gnu/CORBA/Poa/gnuPoaCurrent.java,
        gnu/CORBA/Poa/LocalDelegate.java,
        gnu/CORBA/Poa/dynImpHandler.java,
        gnu/CORBA/Poa/LocalServerRequest.java,
        gnu/CORBA/Poa/LocalRequest.java,
        gnu/CORBA/Poa/ForwardedServant.java,
        gnu/CORBA/Poa/gnuIdAssignmentPolicy.java,
        gnu/CORBA/Poa/gnuRequestProcessingPolicy.java,
        gnu/CORBA/Poa/gnuThreadPolicy.java,
        gnu/CORBA/Poa/gnuLifespanPolicy.java,
        gnu/CORBA/Poa/gnuIdUniquenessPolicy.java,
        gnu/CORBA/Poa/gnuServantRetentionPolicy.java,
        gnu/CORBA/Poa/gnuImplicitActivationPolicy.java,
        gnu/CORBA/Poa/gnuForwardRequest.java,
        gnu/CORBA/ForwardRequestHelper.java,
        gnu/CORBA/Poa/vPolicy.java,
        gnu/CORBA/Poa/ForwardRequestHolder.java,
        org/omg/PortableServer/POA.java,
        org/omg/PortableServer/POAManagerOperations.java,
        org/omg/PortableServer/POAOperations.java,
        org/omg/PortableServer/Servant.java,
        org/omg/PortableServer/DynamicImplementation.java,
        org/omg/PortableServer/ServantActivator.java,
        org/omg/PortableServer/ServantActivatorOperations.java,
        org/omg/PortableServer/ServantLocator.java,
        org/omg/PortableServer/ServantLocatorOperations.java,
        org/omg/PortableServer/ServantManager.java,
        org/omg/PortableServer/Current.java,
        org/omg/PortableServer/CurrentHelper.java,
        org/omg/PortableServer/CurrentOperations.java,
        org/omg/PortableServer/_ServantLocatorStub.java,
        org/omg/PortableServer/portable/Delegate.java,
        org/omg/PortableServer/ServantActivatorHelper.java,
        org/omg/PortableServer/_ServantActivatorStub.java,
        org/omg/PortableServer/ServantLocatorHelper.java,
        org/omg/PortableServer/ServantActivatorPOA.java,
        org/omg/PortableServer/ServantLocatorPOA.java,
        org/omg/PortableServer/AdapterActivatorOperations.java,
        org/omg/PortableServer/AdapterActivator.java,
        org/omg/PortableServer/POAHelper.java,
        org/omg/PortableServer/ServantManagerOperations.java,
        org/omg/PortableServer/POAManager.java,
        org/omg/PortableServer/package.html: New files.
        * org/omg/CORBA/ORB.java: Documented POA features.
        gnu/CORBA/gnuRequest.java (_releaseReply, equals): Mind that
        the delegate can be null.
        * gnu/CORBA/IOR_Delegate.java,
        gnu/CORBA/Functional_ORB.java,
        org/omg/CORBA/portable/ObjectImpl.java,
        gnu/CORBA/Connected_objects.java: Rewritten.
        * gnu/CORBA/Simple_delegate.java (is_equivalent): This method
        is rewritten.
        * gnu/CORBA/ServiceRequestAdapter.java: Added return value support.

	2005-07-22  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (paintCell): Set hasFocused to true if the cell is the lead selection
        index and if the list has focus.
        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        (initComponentDefaults): Added List.focusCellHighlightBorder default.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Added defaults for ToggleButton.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * java/awt/Component.java
        (setForeground): Fire PropertyChangeEvent after the foreground
        has actually changed, instead of before.
        (setBackground): Fire PropertyChangeEvent after the foreground
        has actually changed, instead of before. Avoid one comparison
        at the beginning of method.
        (getBackground): If background is null and parent is null, return
        null, instead of SystemColor.window. This is what it's supposed
        to do.
        (getFont): Avoid NPE by creating a local reference. Return
        static final DEFAULT_FONT instead of creating a new font every time
        we and our parents have no font set.
        (setFont): Made check for font equality more precise.
        (paramString): Added parent in paramString.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * javax/swing/JToggleButton.java
        (ToggleButtonModel.setPressed): Fixed order in which events
        get fired.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * javax/swing/DefaultButtonModel.java
        (setPressed): Changed order in which the events get fired. The
        ActionEvent must be fired before the ChangeEvent gets fired.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * java/awt/Component.java
        (show): Instead of invalidating the component, only invalidate
        the parent, if there is one. Also repaint this parent.
        Also, avoid NPEs by creating local references.
        (hide): Instead of invalidating the component, only invalidate
        the parent, if there is one. Also repaint this parent.
        Also, avoid NPEs by creating local references.

	2005-07-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicButtonUI.java: API doc fixes,
        * javax/swing/plaf/basic/BasicRadioButtonUI.java: likewise,
        * javax/swing/plaf/basic/BasicTreeUI.java: likewise.

	2005-07-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalCheckBoxIcon.java: API doc fixes,
        * javax/swing/plaf/metal/MetalIconFactory.java: likewise.

	2005-07-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/text/html/HTMLEditorKit.java: API doc fixes.

	2005-07-22  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/tree/AbstractLayoutCache.java: API doc fixes,
        * javax/swing/tree/DefaultTreeCellRenderer.java: likewise,
        * javax/swing/tree/DefaultTreeModel.java: likewise,
        * javax/swing/tree/FixedHeightLayoutCache: likewise.

	2005-07-22  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalToggleButtonUI.java
        (constructor): Initialize colors.
        (getFocusColor): Fetches the focus property from the UIDefaults.
        (getSelectColor): Fetches the select property from the UIDefaults.
        (getDisabledTextColor): Fetches the disabledText property from the
        UIDefaults.

	2005-07-21  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.updateSelection): Update the ListSelectionModels even if
        rowSelectionAllowed or columnSelectionAllowed is false.  This
        complies with the JDK.
        (KeyHandler.keyPressed): Implemented the ENTER key action.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/BorderUIResource.java: API doc fixes,
        * javax/swing/plaf/FileChooserUI.java: likewise,
        * javax/swing/plaf/TextUI.java: likewise,
        * javax/swing/plaf/UIResource.java: likewise.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/event/EventListenerList.java: API doc fixes,
        * javax/swing/event/MenuKeyEvent.java: likewise,
        * javax/swing/event/TreeSelectionEvent.java: likewise.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/border/AbstractBorder.java: API doc fixes,
        * javax/swing/border/BevelBorder.java: likewise,
        * javax/swing/border/EtchedBorder.java: likewise,
        * javax/swing/border/LineBorder.java: likewise,
        * javax/swing/border/SoftBevelBorder.java: likewise,
        * javax/swing/border/TitledBorder.java: likewise.

	2005-07-21  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalButtonUI.java
        (constructor): Initialize colors.
        (getFocusColor): Fetches the focus property from the UIDefaults.
        (getSelectColor): Fetches the select property from the UIDefaults.
        (getDisabledTextColor): Fetches the disabledText property from the
        UIDefaults.

	2005-07-21  Roman Kennke  <roman@kennke.org>

        * javax/swing/text/GapContent.java
        (replace): New method. Replaces a chunk of the buffer with
        another chunk.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/AbstractListModel.java: API doc fixes,

        * javax/swing/BorderFactory.java: likewise,
        * javax/swing/BoundedRangeModel.java: likewise,
        * javax/swing/BoxLayout.java: likewise,
        * javax/swing/CellRendererPane.java: likewise,
        * javax/swing/ComponentInputMap.java: likewise,
        * javax/swing/DefaultBoundedRangeModel.java: likewise,
        * javax/swing/DefaultButtonModel.java: likewise,
        * javax/swing/DefaultCellEditor.java: likewise,
        * javax/swing/InputMap.java: likewise,
        * javax/swing/JButton.java: likewise,
        * javax/swing/JFrame.java: likewise,
        * javax/swing/JLabel.java: likewise,
        * javax/swing/JMenuBar.java: likewise,
        * javax/swing/JPopupMenu.java: likewise,
        * javax/swing/JScrollBar.java: likewise,
        * javax/swing/JScrollPane.java: likewise,
        * javax/swing/JSeparator.java: likewise,
        * javax/swing/JSlider.java: likewise,
        * javax/swing/JSpinner.java: likewise,
        * javax/swing/JTextArea.java: likewise,
        * javax/swing/JToggleButton.java: likewise,
        * javax/swing/SpinnerListModel.java: likewise,
        * javax/swing/Spring.java: likewise,
        * javax/swing/SpringLayout.java: likewise.

	2005-07-21  Lillian Angel  <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (getPreferredSize): Changed to depend on visible nodes.
        (mouseClicked): Fixed to keep track of last cell clicked, so expand/collapse
        works properly by clicking 2 times on the same cell.

	2005-07-21  Roman Kennke  <roman@kennke.org>

        * javax/swing/JComponent.java
        (putClientProperty): If value == null, remove the key from the
        Hashtable, otherwise we would get an NPE here.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicSliderUI.java:
        (thumbHeight): removed,
        (thumbWidth): removed,
        (tickHeight): removed,
        (installDefaults): deleted initialisation of thumbHeight, thumbWidth
        and thumbRect,
        (getPreferredHorizontalSize): changed source of thumb height and width,
        (getPreferredVerticalSize): likewise,
        (getMinimumHorizontalSize): reimplemented,
        (getMinimumVerticalSize): reimplemented,
        (getMinimumSize): reimplemented,
        (getMaximumSize): reimplemented,
        (calculateThumbSize): use getThumbSize(),
        (calculateThumbLocation): use trackRect not contentRect,
        (calculateTrackBuffer): use half the thumbRect,
        (getThumbSize): use constant size,
        (calculateTrackRect): move track down to middle of contentRect,
        (getTickLength): return constant,
        (paintTrack): removed unused local variables,
        (paintTicks): apply a translation to g temporarily before calling
        methods to draw ticks, add 0.5 to solve rounding problem,
        (paintMinorTickForHorizSlider): modified to account for translation
        already applied to g,
        (paintMajorTickForHorizSlider): likewise,
        (paintMinorTickForVertSlider): likewise,
        (paintMajorTickForVertSlider): likewise,
        (xPositionForValue): subtract 1 from width,
        (yPositionForValue): likewise,
        *javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): add slider defaults,
        *javax/swing/plaf/metal/MetalSliderUI.java: implemented missing
        methods,
        * examples/gnu/classpath/examples/swing/Demo.java
        (mkSliders): added minor ticks and labels.

	2005-07-21  Roman Kennke  <roman@kennke.org>

        * javax/swing/AbstractButton.java
        (init): Only set icon if the supplied icon is not null. Otherwise
        we would override icons that are possibly set by the UI.
        * javax/swing/plaf/basic/BasicIconFactory.java
        (CheckBoxIcon): An new Icon implementation used for CheckBoxes
        in the Basic L&F.
        (RadioButtonIcon): An new Icon implementation used for
        RadioButtons in the Basic L&F.
        (getCheckBoxIcon): Now returns a (cached) instance of CheckBoxIcon
        instead of the (wrong) inner icon implementation.
        (getRadioButtonIcon): Now returns a (cached) instance of
        RadioButtonIcon instead of the (wrong) inner icon implementation.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Registered new icons for CheckBox and
        RadioButton, using a LazyValue entry.
        * javax/swing/plaf/basic/BasicRadioButtonUI.java
        Added API documentation all over.
        (installUI): Removed this method.
        (installDefaults): New method. Installs the default icons if there
        is no other icon set.
        (getPropertyPrefix): New method. Returns the prefix that is used
        to look up UIDefault entries.
        (getDefaultIcon): Use propertyPrefix instead of hardcoded property.
        (paint): New method. Override paint for customized painting
        of RadioButtons.
        * javax/swing/plaf/metal/MetalCheckBoxIcon.java
        (drawCheck): Respect the x and y parameter.
        * javax/swing/plaf/metal/MetalIconFactory.java
        (RadioButtonIcon): An Icon implementation for Metal RadioButtons.
        (getRadioButtonIcon): New method. Returns a shared instance of
        RadioButtonIcon.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (initComponentDefaults): Register new icons for CheckBox and
        RadioButton using a LazyValue entry.

	2005-07-21  Roman Kennke  <roman@kennke.org>

        * javax/swing/JOptionPane.java
        (createInternalFrame): Look for a JDesktopPane first, then
        look for a JLayeredPane as fallback. Set this JOptionPane as
        contentPane for the found JDesktopPane. Make the InternalFrame
        visible and appropriatly sized here.
        (showInternalConfirmDialog): ALL VARIANTS OF THIS METHOD:
        Adjusted call to startModel to only take one parameter.
        (showInternalInputDialog): ALL VARIANTS OF THIS METHOD:
        Adjusted call to startModel to only take one parameter.
        (showInternalMessageDialog): ALL VARIANTS OF THIS METHOD:
        Adjusted call to startModel to only take one parameter.
        (showInternalOptionDialog): ALL VARIANTS OF THIS METHOD:
        Adjusted call to startModel to only take one parameter.
        (startModal): Now only takes one parameter. This method does no
        longer add the JOptionPane to the contentPane of the InternalFrame,
        set the size and make the InternalFrame visible. This is done in
        createInternalFrame.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/DefaultListSelectionModel.java: API doc fixes.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/AbstractButton.java: API doc fixes all over.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/UIDefaults.java
        (getFont(Object, Locale)): matched argument name to API doc comment,
        (getColor(Object, Locale)): likewise,
        (getIcon(Object, Locale)): likewise,
        (getBorder(Object, Locale)): likewise,
        (getString(Object, Locale)): likewise,
        (getInt(Object, Locale)): likewise,
        (getBoolean(Object, Locale)): likewise,
        (getInsets(Object, Locale)): likewise,
        (getDimension(Object, Locale)): likewise.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JComponent.java: API doc fixes all over.

	2005-07-21  David Gilbert  <david.gilbert@object-refinery.com>

        * java/net/URLClassLoader.java: reordered some API doc comments to
        suppress Eclipse warnings, and fixed API doc link.

	2005-07-20  Anthony Balkissoon  <abalkiss@redhat.com>

        * java/awt/BorderLayout.java:
        (layoutContainer): Removed addition of horizontal and vertical gaps
        when there is no corresponding adjacent component.

	2005-07-20  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable:
        (JTable): Set the lead selection index for each of the two lists
        associated with this table to 0 (instead of -1).  This complies with
        JDK.
        * javax/swing/plaf/basic/BasicTableUI.java:
        (KeyHandler.keyPressed):  Implemented the following key actions (with
        CTRL/SHIFT handling when appropriate): UP/DOWN/LEFT/RIGHT, HOME/END,
        CTRL-A, CTRL-\, CTRL-/.

	2005-07-20  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (KeyHandler.keyPressed): Restore the lead selection index after doing
        a "select all" operation.

	2005-07-20  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (keyPressed): Implemented some more VK_XXX and VK_KP_XXX events.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Added value for InternalFrame.icon.
        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (installDefaults): Install icon from UIDefaults.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicOptionPaneUI.java
        (createSeparator): Return null here.
        (installComponents): Don't add a separator in the OptionPane.

	2005-07-20  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (paint): Changed to paint children of root as roots if the
        root is not visible, but the root path is expanded.
        (getPathForRow): If the root is not visible, but expanded,
        the first child should be considered row 0.
        (getRowCount): Likewise.
        (getPathBounds): Likewise.
        (getCellLocation): If root is not visible, but expanded, the
        level of each node is lowered by 1.
        (paintRecursive): If root is not visible, but expanded, there should
        be no indentation when the children are drawn. Also, there should be no
        line drawn connecting the children. This makes it look like there are 2
        independant trees (works same as JDK).

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (installUI): Moved titlePane.setOpaque() call into
        BasicInternalFrameTitlePane's constructor.
        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        (constructor): Moved titlePane.setOpaque() call from
        BasicInternalFrameUI.installUI into this constructor.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/JOptionPane.java
        (createInternalFrame): Look up the nearest JLayeredPane instead
        of JDesktopPane. This is in contrast to the specs but what the JDK
        does and what makes sense.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/SwingUtilities.java:
        Made class description more concise.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/JButton.java:
        Made class description more concise.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/JButton.java
        (AccessibleJButton): Added accessibility support for JButton.
        (getAccessibleContext): Implemented to return an AccessibleJButton.
        * javax/swing/JLabel.java
        (AccessibleJLabel): Added accessibility support for JLabel.
        (getAccessibleContext): Implemented to return an AccessibleJLabel.

	2005-07-20  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JSlider.java
        (setMinimum): fire PropertyChangeEvent for new value,
        (setMaximum): likewise,
        (setSnapToTicks): fire PropertyChangeEvent, not ChangeEvent,
        (setPaintTrack): fire PropertyChangeEvent for new value,
        (setPaintLabels): initialise label table.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/JLayeredPane.java:
        Fixed and extended API documentation / class description.

	2005-07-20  Roman Kennke  <roman@kennke.org>

        * javax/swing/Action.java:
        Fixes the class description to be more concise.

	2005-07-20  David Gilbert  <david.gilbert@object-refinery.com>

        * java/text/AttributedCharacterIterator.java: fixed minor API doc
        problems and 80 column wrapping;
        * java/text/BreakIterator.java
        (getCharacterInstance(Locale)): matched argument name to API docs,
        (getLineInstance(Locale)): likewise,
        (getSentenceInstance(Locale)): likewise,
        (getWordInstance(Locale)): likewise,
        and fixed minor API doc problems all over;
        * java/text/CharacterIterator.java: fixed minor API doc problems.

	2005-07-19  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableServer/ForwardRequest.java: New file.

	2005-17-19  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/BasicTreeUI
        (setModel): changed to call JTree's setModel
        (setRootVisible): Likewise
        (isRootVisible): Likewise
        (getClosestPathForLocation): Implemented
        (paint): took out translate, no need to.
        (mouseClicked): clicking made smoother.

	2005-17-19  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/BasicTreeUI:
        Moved several functions around for readability.
        Some formatting in various places.
        (paint): extended size of border drawn
        (mouseClicked): checked if path was null
        (getCellLocation): Now package-private.
        (paintNode): Implemented, there is no need to paint the leaf and non
        leaf separately. Works with custom icons.
        (paintRecursive): Now package-private. Changed to paint with paintNode.
        (paintControlIcons): Now package-private.
        (hasControlIcons): Now package-private.

	2005-17-19  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JSlider.java
        (createStandardLabels(int)): updated API docs,
        (createStandardLabels(int, int)): throw IllegalArgumentException for
        bad arguments.

	2005-17-18  Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/BasicTreeUI
        (getPathBounds): checked if path was null initially
        (paint): no need to check for control icons
        (paintLeaf): reseting of icon
        (paintNonLeaf): resetting of icon
        (paintControlIcons): cleaned up
        (hasControlIcons): cleaned up
        * javax/swing/tree/DefaultTreeCellRenderer
        (getTreeCellRendererComponent): fixed to follow API

	2005-07-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JSlider.java:
        (JSlider(int)): updated API docs,
        (JSlider(int, int, int)): likewise,
        (JSlider(BoundedRangeModel)): removed code that handles a null
        argument, and updated API docs.

	2005-07-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JSlider.java: initialise snapToTicks to false.

	2005-07-18  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        (paintMenuItem): Don't highlight background of a selected
        JCheckboxMenuItem.
        (paintText): Don't highlight text of a selected JCheckBoxMenuItem.

	2005-07-18  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JPopupMenu.java:
        (insert): Resize the container to its preferred size when an item is
        inserted.
        (remove): Resize the container to its preferred size when an item is
        removed.

	2005-07-18  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicMenuUI.java:
        (getMaximumSize): Added check for this menu not being a top level menu.
        If that's the case, return the maximum size as if it were a regular
        JMenuItem.

	2005-07-18  Tom Tromey  <tromey@redhat.com>

        * native/jni/classpath/classpath_jawt.h: Updated copyright
        header.

	2005-07-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/imageio/stream/ImageInputStream.java: added import to fix
        minor API doc problems.

	2005-07-18  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (paint): Only paint border if using MetalL&F
        (mouseClicked): Check that control icons exist
        (paintNonLeaf): Changed to paint icon depending on height
        (hasControlIcons): Implemented to return true if control icons exist

	2005-07-18  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (paint): Implemented painting of border around selected path
        (mouseClicked): Fixed clicking of icon

	2005-07-18  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): changed Slider.thumbWidth.
        * javax/swing/plaf/basic/BasicSliderUI.java
        (paintThumb): fixed thumb painting.

	2005-07-17  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * org/omg/PortableServer/ThreadPolicyValue.java,
        org/omg/PortableServer/IdAssignmentPolicy.java,
        org/omg/PortableServer/IdUniquenessPolicyOperations.java,
        org/omg/PortableServer/IdAssignmentPolicyOperations.java,
        org/omg/PortableServer/IdUniquenessPolicy.java,
        org/omg/PortableServer/ImplicitActivationPolicyOperations.java,
        org/omg/PortableServer/LifespanPolicyOperations.java,
        org/omg/PortableServer/LifespanPolicy.java,
        org/omg/PortableServer/ImplicitActivationPolicy.java,
        org/omg/PortableServer/ServantRetentionPolicy.java,
        org/omg/PortableServer/RequestProcessingPolicy.java,
        org/omg/PortableServer/ServantRetentionPolicyOperations.java,
        org/omg/PortableServer/ThreadPolicyOperations.java,
        org/omg/PortableServer/RequestProcessingPolicyOperations.java,
        org/omg/PortableServer/ThreadPolicy.java: New files.

	2005-07-15  Lillian Angel  <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (mouseClicked): Implemented clicking on control icons.

	2005-07-15  Tom Tromey  <tromey@redhat.com>

        * native/jni/classpath/classpath_jawt.h: New file.

	2005-07-15  Lillian Angel  <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (mouseClicked): changed to use getPathBounds.
        (getPathBounds): Implemented

	2005-07-15  Lillian Angel  <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (mouseClicked): check if user is clicking within the bounds of the cell.
        (getCellLocation): Implemented to return the location of the cell.

	2005-07-15  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalComboBoxIcon.java: new file.

	2005-07-15  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/tree/TreePath.java: added API docs all over,
        (TreePath(Object[])): throw IllegalArgumentException for null argument,
        (TreePath(TreePath, Object)): throw NullPointerException for null Object,
        (equals): test elements using equals(),
        (writeObject): removed,
        (readObject): removed,
        (getPath): return a clone of the path,
        (getPathComponent): throw IllegalArgumentException for invalid position,
        (isDescendant): reimplemented.

	2005-07-15  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicOptionPaneUI.java
        (ButtonAreaLayout): Made class static.
        (ButtonAreaLayout.setSyncAllWidths): Removed revalidate(). Never
        ever revalidate something within a LayoutManager!
        (ButtonAreaLayout.setPadding): Likewise.
        (ButtonAreaLayout.setCentersChildren): Likewise.
        (ButtonAreaLayout.layoutContainer): Don't refer to enclosing
        class's instance, this is not allowed in static inner classes.

	2005-07-15  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalCheckBoxIcon.java:
        New class. An icon implementation for use in JCheckBoxes.
        * javax/swing/plaf/metal/MetalBorders.java
        Renamed MetalButtonBorder to ButtonBorder.

	2005-07-15  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTextUI.java:
        (RootView.removeUpdate): Properly update the caret position after text
        has been removed.

	2005-07-15  Mark Wielaard  <mark@klomp.org>

        * NEWS: Add 0.17 release date and new features.
        * configure.ac: Set version to 0.17.

	2005-07-15  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/AbstractButton.java:
        (init): Do not change field text if argument text is null.

	2005-07-15  Mark Wielaard  <mark@klomp.org>

        * java/util/logging/Logger.java (getCallerStackFrame):
        Make sure index < stackTrace.length and return null otherwise.
        (log): Check for caller == null.

	2005-07-15  Roman Kennke  <roman@kennke.org>

        * javax/swing/AbstractButton.java
        (AbstractButton): Directly call init() and updateUI().
        (AbstractButton(String, Icon)): Removed. This is not necessary
        since we have init(String, Icon) for that purpose.
        (getActionCommand): Reverted to previous behaviour: If
        actionCommand is set, return this, otherwise return text, even
        if text is null.
        * javax/swing/JButton.java
        (JButton(String, Icon)): Call super() and init(String, Icon)
        instead of super(String, Icon).
        * javax/swing/JMenuItem.java
        (JMenuItem): Call super() instead of super(String, Icon).
        (JMenuItem(Icon)): Call this(String, Icon) instead of
        super(String, Icon).
        (JMenuItem(String)): Call this(String, Icon) instead of
        super(String, Icon).
        (JMenuItem(Action)): Call super() instead of
        super(String, Icon).
        (JMenuItem(String, Icon)): Call super() and init(String, Icon)
        instead of super(String, Icon).
        (JMenuItem(String, int)): Call this(String, Icon) instead of
        super(String, Icon).
        * javax/swing/JToggleButton.java
        (ToggleButtonModel.setPressed): Fire an ActionEvent if button
        is released. According to my Mauve tests, it seems that this
        is what the JDK does, so do we.
        (ToggleButtonModel.setSelected): Removed.
        (JToggleButton): Call super() and init(String, Icon) instead
        of super(String, Icon).

	2005-07-15  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/tree/DefaultMutableTreeNode.java:
        (removeFromParent): Remove child node from parent now.
        (preorderEnumeration): Implemented.
        (postorderEnumeration): Implemented.
        (depthFirstEnumeration): Implemented.
        (breadthFirstEnumeration): Implemented.
        (nextLeaf): Added TODO doc.
        (previousLeaf): Added TODO doc.

2005-07-29  Guilhem Lavaux <guilhem@kaffe.org>
	Riccardo Mottola  <multix@gmail.com>

	* config/powerpc/callmethod_ppc.h: Updated register names to match
	GAS syntax.
	
	* config/powerpc/sysdepCallMethod.h
	(ARG_DISPLACEMENT): By tests, chose -2 on APPLE.
	
2005-07-28 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* test/regression/SecureRandomTest.java:
	Use kaffe's security provider explicitly.

2005-07-26 Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-14  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkChoicePeer.java (choicePostItemEvent):
        Rename to postChoiceItemEvent.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (realize): New method.
        (setNativeEventMask): Likewise.
        * gnu/java/awt/peer/gtk/GtkGenericPeer.java (printCurrentThread): New method.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java (realize): New method.
        * native/jni/gtk-peer/gtkpeer.h: Move widget-specific macro,
        variable and function declarations into the widget-specific file.
        Add cp_gtk_ namespace prefix to external symbols.
        (cp_gtk_graphics2d_init_jni): New function.
        (cp_gtk_graphics_init_jni): Likewise.
        (cp_gtk_button_init_jni): Likewise.
        (cp_gtk_checkbox_init_jni): Likewise.
        (cp_gtk_choice_init_jni): Likewise.
        (cp_gtk_component_init_jni): Likewise.
        (cp_gtk_list_init_jni): Likewise.
        (cp_gtk_menuitem_init_jni): Likewise.
        (cp_gtk_scrollbar_init_jni): Likewise.
        (cp_gtk_textcomponent_init_jni): Likewise.
        (cp_gtk_window_init_jni): Likewise.
        (cp_gtk_component_connect_expose_signals): Likewise.
        (cp_gtk_component_connect_focus_signals): Likewise.
        (cp_gtk_component_connect_mouse_signals): Likewise.
        (cp_gtk_component_connect_signals): Likewise.
        (cp_gtk_textcomponent_connect_signals): Likewise.
        (cp_gtk_print_current_thread): Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c: Remove
        file.  Move widget-specific functions into the widget-specific
        files.  Break main event handler into multiple widget-specific
        callbacks.
        * native/jni/gtk-peer/Makefile.am (libgtkpeer_la_SOURCES): Remove
        gnu_java_awt_peer_gtk_GtkEvents.c.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c: Add
        cp_gtk_ namespace prefix to external symbols.  Add widget-specific
        macros, variables and function declarations from
        gnu_java_awt_peer_gtk_GtkEvents.c.  Add widget-specific callbacks
        to replace main event handling loop.
        * native/jni/classpath/native_state.c: Likewise.
        * native/jni/classpath/native_state.h: Likewise.
        * native/jni/gtk-peer/gdkfont.h: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollbarPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c: Likewise.
        * native/jni/gtk-peer/gthread-jni.c: Likewise.
        * native/jni/gtk-peer/gthread-jni.h: Likewise.

2005-07-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-14 Lillian Angel <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (paintControlIcons): Changed so root does not have control icon.

	2005-07-14 Lillian Angel <langel@redhat.com>
        * javax/swing/plaf/basic/BasicTreeUI.java
        (installUI): Expanded root initially
        (paint): call function to paint controls
        (paintRecursive): added to indentation when painting to increase space
        (paintControlIcons): Implemented to recursively paint the control icons.
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): reset the font properly

	2005-07-14  Roman Kennke  <roman@kennke.org>

        * javax/swing/AbstractButton.java
        (getActionCommand): If both the actionCommand and text fields
        are null, then return "".

	2005-07-14  Guilhem Lavaux  <guilhem@kaffe.org>

        * java/util/logging/Logger.java
        (resetLogger): Remove all handlers from the handler list.

        * java/util/logging/LogManager.java
        (reset): Call resetLogger() too.
        (readConfiguration): Call reset().

	2005-07-14  Mark Wielaard  <mark@klomp.org>

        * gnu/java/net/protocol/http/HTTPURLConnection.java
        (proxyHostname, proxyPort, agent, keepAlive, maxConnections):
        Likewise.
        * java/text/SimpleDateFormat.java (field, size): Likewise.
        * java/util/jar/JarFile.java (readSignatures): Likewise.
        * java/util/logging/FileHandler.java (written): Likewise.
        * javax/swing/plaf/basic/BasicFileChooserUI.java: Make shared
        fields package private.
        (closeDialog): Make package private.
        (filterEntries): Likewise.
        * javax/swing/plaf/basic/BasicPopupMenuUI.java
        (mouseInputListener): Likewise.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (getNextVisibleNode, getPreviousVisibleNode, selectPath): Likewise.
        * javax/swing/text/JTextComponent.java (caret, editable): Likewise.

	2005-07-14  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/AbstractButton.java: Minor doc fixes.
        (getActionCommand): Access field directly.
        (setActionCommand): Dito.
        (fireActionPerformed): Copy ActionEvent instance instead
        of reusing it.

	2005-07-13  Roman Kennke  <roman@kennke.org>

        * javax/swing/BoundedRangeModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/ButtonModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/CellEditor.java:
        Added/Fixed interface API documentation.
        * javax/swing/ComboBoxEditor.java:
        Added/Fixed interface API documentation.
        * javax/swing/ComboBoxModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/Icon.java:
        Added/Fixed interface API documentation.
        * javax/swing/JComboBox.java
        (KeySelectionManager): Added/Fixed interface API documentation.
        * javax/swing/ListCellRenderer.java:
        Added/Fixed interface API documentation.
        * javax/swing/ListModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/ListSelectionModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/MenuElement.java:
        Added/Fixed interface API documentation.
        * javax/swing/MutableComboBoxModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/Renderer.java:
        Added/Fixed interface API documentation.
        * javax/swing/RootPaneContainer.java:
        Added/Fixed interface API documentation.
        * javax/swing/ScrollPaneConstants.java:
        Added/Fixed interface API documentation.
        * javax/swing/Scrollable.java:
        Added/Fixed interface API documentation.
        * javax/swing/SingleSelectionModel.java:
        Added/Fixed interface API documentation.
:        * javax/swing/SpinnerModel.java:
        Added/Fixed interface API documentation.
        * javax/swing/SwingConstants.java:
        Added/Fixed interface API documentation.
        * javax/swing/UIDefaults.java
        (ActiveValue): interface API documentation.
        (LazyValue): interface API documentation.
        * javax/swing/WindowConstants.java:
        Added/Fixed interface API documentation.
        * javax/swing/package.html: Fixed package description to be more
        a little bit more concise.

	2005-07-13 Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java: Changed font to
        match jdk.
        * javax/swing/plaf/basic/BasicTreeUI.java: took out unneeded
        import statement
        * javax/swing/plaf/metal/MetalLookAndFeel.java: Changed
        defaults to match jdk.

	2005-07-13 Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java: Changed rowHeight
        to the right height. This should be fixed later to something more
        reasonable, as opposed to a 'magic' number.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (paintLeaf): added in code to paint icons properly
        (paintNonLeaf): same as above
        * javax/swing/plaf/metal/MetalLookAndFeel.java: Changed default
        icons to MetalIconFactory icons
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): Changed to paint icons separately from
        Cell.

	2005-07-13  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicListUI.java:
        (KeyHandler.keyPressed): Implemented actions for the following key
        presses: "ctrl \\", "END", "shift END", "HOME, "shift HOME", "ctrl /",
        "ctrl A", "ctrl SPACE", "KP_UP", "KP_DOWN", "shift KP_UP",
        "shift KP_DOWN".

	2005-07-13  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/DefaultButtonModel.java:
        (changeState): Removed this helper method.
        (setArmed): Replaced call to changeState by code specific to setArmed.
        (setEnabled): Likewise, for setEnabled.
        (setPressed): Likewise, for setPressed.
        (setRollover): Likewise, for setRollover.
        (setSelected): Likewise, for setSelected.
        * javax/swing/JToggleButton.java:
        (ToggleButtonModel.setPressed): Replaced call to super.setPressed with
        Toggle-specific code.
        (ToggleButtonModel.setSelected): New method.  Fire an ActionEvent in
        addition to calling super.setSelected.

	2005-07-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/accessibility/AccessibleComponent.java: minor API doc fixes,
        * javax/accessibility/AccessibleRelation.java: likewise,
        * javax/accessibility/AccessibleRelationSet.java: likewise,
        * javax/accessibility/AccessibleResourceBundle.java: likewise,
        * javax/accessibility/AccessibleRole.java: likewise,
        * javax/accessibility/AccessibleState.java: likewise,
        * javax/accessibility/AccessibleStateSet.java: likewise,
        * javax/accessibility/AccessibleText.java: likewise.

	2005-07-13  Robert Schuster  <robertschuster@fsfe.org>

        * java/awt/AWTEvent.java:
        (toString): Generalized string generation.

	2005-07-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/LookAndFeel.java: added API docs all over,
        * javax/swing/plaf/metal/DefaultMetalTheme.java: likewise,
        * javax/swing/plaf/metal/MetalLookAndFeel.java: likewise,
        * javax/swing/plaf/metal/MetalTheme.java: likewise.

	2005-07-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/table/TableColumn.java: updated API docs,
        * javax/swing/table/TableColumnModel.java: likewise.

	2005-07-13  David Gilbert  <david.gilbert@object-refinery.com>

        * java/util/zip/Inflater.java: minor API doc fixes.

	2005-07-13  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/tree/DefaultMutableTreeNode.java: minor API doc fixes,
        * javax/swing/tree/DefaultTreeSelectionModel.java
        (addSelectionPath): modified parameter name to match doc comment,
        (addSelectionPaths): likewise,
        (removeSelectionPath): likewise,
        (removeSelectionPaths): likewise,
        (isPathSelected): likewise,
        plus other minor API doc fixes all over.
        * javax/swing/tree/MutableTreeNode.java: minor API doc fixes.

	2005-07-13  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/AbstractButton.java: Minimal documentation fixes.
        (getActionCommand): Returns button's label when
        actionCommand is null.
        * javax/swing/JButton.java,
        javax/swing/JToggleButton.java: Removed explicit call to
        setActionCommand in constructors.

	2005-07-13  Robert Schuster  <robertschuster@fsfe.org>

        * javax/swing/JToggleButton.java:
        (paramString): Returns value of same method in superclass now.
        * javax/swing/JRadioButton.java:
        (paramString): Dito.
        * javax/swing/JButton.java:
        (paramString): Returns value of same method in superclass now,
        more verbose information added.
        * javax/swing/JCheckBox.java:
        (paramString): Dito.

	2005-07-12  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        (paintMenuItem): Replaced incorrect hilighting criteria.
        (paintText): Likewise.

	2005-07-12 Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (paintLeaf): fixed size of selection background to depend on
        if icon exists
        (paintNonLeaf): fixed size of selection background to depend on
        if icon exists

	2005-07-12  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/DefaultButtonModel.java:
        (changeState): If the button is a JToggleButton fire action events
        when it changes between (selected/unselected) not when it changes
        from pressed to unpressed.  Fire action events after firing
        ItemStateChanged events.

	2005-07-12 Lillian Angel <langel@redhat.com>

        * javax/swing/JTree.java:
        Formatting copyright
        * javax/swing/tree/DefaultTreeCellRenderer.java:
        Formatting copyright
        * javax/swing/tree/DefaultTreeSelectionModel.java:
        Formatting copyright

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalTreeUI.java
        (createUI): Return a different instance of MetalTreeUI for each
        JTree. The TreeUI is stateful, so a shared instance would not
        work.

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTreeUI.java
        I accidentally introduced revalidate calls for repaint calls.
        Reverted.

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTreeUI.java
        Fixed formatting of the copyright notice.

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (installDefaults): Create border based on defaults in current
        LookAndFeel.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Included border for InternalFrame as
        LazyValue.

	2005-07-12 Lillian Angel <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java:
        Took out icon defaults.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (installUI): set root to visible
        (getCellBounds): took out addition to width since there may not be
        an icon.
        * javax/swing/plaf/metal/MetalLookAndFeel.java:
        Added in icon defaults

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        Removed ad-hoc icons. Replaced them by
        BasicIconFactory.createEmptyFrameIcon just like in the JDK.
        (PropertyChangeHandler.propertyChange): Handle change events
        for closable, iconifiable and maximizable here.
        (createButtons): Recognize if the JInternalFrame is closable,
        iconifiable or maximizable.

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Corrected color values for BasicL&F buttons.

	2005-07-12  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JMenu.java:
        (isSelected): Call super.isSelected() instead of super.isArmed().
        * javax/swing/plaf/basic/BasicMenuItemUI.java:
        (paintMenuItem): Replaced incorrect selection criteria with call to
        isSelected().
        (paintText): Likewise.

	2005-07-12  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        Changed default color of text non selection background.
        * javax/swing/plaf/basic/BasicTreeUI.java
        Removed irrelevant comment
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): changed to use background's non
        selection default color instead

	2005-07-12  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        (TitlePaneLayout.layoutContainer): Do not change any state of
        the components here (visible/enableActions). This is not the purpose of
        a layout manager and can lead to loops. Also correct the layout
        to be closer to the layout of the reference implementation.
        (TitlePaneLayout.preferredLayoutSize): Return (22, 18)
        here. That is what the JDK returns for the title bar.
        (PaneButton): Don't set the border to null.
        (createButtons): The buttons are opaque.
        (createButtonIcons): Don't create icons in the Basic L&F.

	2005-07-12  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JApplet.java,
        * javax/swing/JDialog.java,
        * javax/swing/JFrame.java,
        * javax/swing/JWindow.java:
        (addImpl): Add to the frame itself if we are in the init
        stage, otherwise add to the contentPane.

	2005-07-12  Mark Wielaard  <mark@klomp.org>

        * java/awt/MediaTracker.java (checkAll): Set and check status of
        MediaEntry with checkImage() if prepareImage() returns false.
        (statusAll): Likewise.
        (checkID): Likewise.
        (statusID): Likewise.

	2005-07-12  Mark Wielaard  <mark@klomp.org>

        * javax/swing/text/JTextComponent.java
        (CaretBlinkTimer.actionPerformed): Check that caret != null.
        (CaretBlinkTimer.update): Likewise.

	2005-07-12  Mark Wielaard  <mark@klomp.org>

        Reported by Simon Kitching <skitching@apache.org>
        * java/lang/String.java (toCharArray): Return value.clone() when
        count == value.length.

	2005-07-12  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * javax/swing/text/html/parser/ParserDelegator.java (gnuParser.getDTD):
        Added comment about 'super'.

2005-07-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c:
        Replace occurrences of malloc with g_malloc and free with g_free.

        * gnu/java/awt/peer/gtk/GtkChoicePeer.java (connectSignals): New method.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c: Move
        gdk_threads_enter calls to start of method bodies.  Move
        gdk_threads_leave calls to end of method definitions bodies.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkRobotPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImage.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c: Likewise.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c: Likewise.

2005-07-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-11  David Gilbert  <david.gilbert@object-refinery.com>

        * java/lang/IllegalAccessException.java: fixed minor API doc errors,
        
	2005-07-11  David Gilbert  <david.gilbert@object-refinery.com>

        * java/io/DataOutput.java: fixed minor API doc errors,
        * java/io/LineNumberInputStream.java: likewise.

	2005-07-11  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java
        (HorizontalSliderThumbIcon): new inner class,
        (VerticalSliderThumbIcon): new inner class,
        (getHorizontalSliderThumbIcon): implemented,
        (getVerticalSliderThumbIcon): implemented.

	2005-07-11  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/gtk/GtkImage.java:
        (setImage): Set error flag on bad width, height or pixels.
        (checkImage): Return error flag.

	2005-07-11  Roman Kennke  <roman@kennke.org>

        * javax/swing/JInternalFrame.java
        (addImpl): Add to the frame itself if we are in the init
        stage, otherwise add to the contentPane.

	2005-07-11  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicLookAndFeel.java
        Changed the default row height for the tree.

	2005-07-11  Mark Wielaard  <mark@klomp.org>

        * javax/swing/JFileChooser.java (getSelectedFiles): Return an one
        element array containing selectedFile if selectedFiles is null.

	2005-07-11  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getPreviousVisibleNode): Implemented
        (selectPath): helper method, implemented.
        (keyPressed): handles up/down/left/right keys
        (mouseClicked): made more efficent and implemented double 
        clicking for folders.
        * javax/swing/JTree.java
        (clearSelection): Lead selection path is set to null when 
        nothing is currently selected.

	2005-07-11  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicMenuUI.java:
        (MouseHandler.popupVisible): new method.
        (MouseHandler.mouseEntered): Removed check for menu being armed to
        comply with reference implementation.  Calls popupVisible to check
        for menus with their popup menu visible.

	2005-07-11  Mark Wielaard  <mark@klomp.org>

        * java/net/DatagramSocket.java (getImpl): Record cause of Exception.

2005-07-25  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-11  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicMenuUI.java:
        (MouseInputHandler.mouseEntered): Added check: if a different menu in
        the menubar was selected, we don't select this one unless the old one
        had its popup menu showing.  This complies with the reference
        implementation.

	2005-07-11  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JMenu.java:
        (setSelectedHelper): new method.
        (setSelected): Code moved to setSelectedHelper. Calls
        setSelectedHelper(selected,true,false) which doesn't expand the popup
        menu and works whether the menu is enabled or not.
        (menuSelectionChanged): Changed call to setSelected(changed) to 
        setSelectedHelper(changed,isEnabled(),true) which does expand the
        popup menu, but only if the menu is enabled.

2005-07-24  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/awt/X/fnt.c
	(fntInitFont): Return NULL if an error occured.

2005-07-24  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/awt/X/img.c:
	(Java_java_awt_Toolkit_imgCreateImageFromFile,
	Java_java_awt_Toolkit_imgCreateFromData): Another fixlet for NULL
	images (unknownImage is NULL).

2005-07-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/awt/X/img.c
	(Java_java_awt_Toolkit_imgCreateImageFromFile,
	Java_java_awt_Toolkit_imgCreateFromData): Return NULL if the image
	has not been created.

2005-07-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Swapped some commands for semaphore detection.

	* m4/solarispthread.m4: Add semaphore library to PTHREAD_LIBS.

	* m4/semaphore.m4: Add pthread libraries to LDFLAGS for the test.
	
	* configure: Regenerated.
	
2005-07-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/awt/X/gra.c,
	libraries/clib/awt/X/imggif.c,
	libraries/clib/awt/X/imgjpeg.c,
	libraries/clib/awt/X/imgpng.c: Fixed the use of real raw data
	inside native calls.

2005-07-22  Kurt Miller <truk@optonline.net>

	* m4/ax_create_stdint_h.m4: Define intmax_t if it is not available.

	* configure: Regenerated.

2005-07-21  Kurt Miller <truk@optonline.net>

	* libraries/javalib/kaffe/tools/jar/Jar.java
	(listFilesInJar,extractFilesInJar): Handle correctly -t and -x arguments.

2005-07-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* WHATSNEW, TODO: Updated.

2005-07-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/awt-implementations/kaffe/java/awt/AWTEvent.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Component.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Font.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/FontMetrics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Image.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageFrameLoader.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/ImageNativeProducer.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeClipboard.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/NativeGraphics.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Toolkit.java,
	libraries/javalib/awt-implementations/kaffe/java/awt/Window.java:
	Use gnu.classpath.RawData instead of kaffe.util.Ptr.

	* libraries/clib/awt/X/cbd.c,
	libraries/clib/awt/X/evt.c,
	libraries/clib/awt/X/fnt.c,
	libraries/clib/awt/X/gra.c,
	libraries/clib/awt/X/img.c,
	libraries/clib/awt/X/toolkit.h,
	libraries/clib/awt/X/wnd.c: Encapuslate the system pointers into a
	RawData object. Cleaned up type uses.

	* libraries/clib/classpath/jcl.c,
	libraries/clib/jcl.h
	(JCL_NewRawDataObject, JCL_GetRawData): New functions to build and
	retrieve data from RawData instances.

	* libraries/clib/awt/X/Makefile.am: Added dependence on
	libclasspath.

	* libraries/clib/awt/X/Makefile.in: Regenerated.

2005-07-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiRequestEvent): Return failure if the argument is wrong.

	* libraries/clib/native/Object.c
	(java_lang_VMObject_wait): Send JVMPI_EVENT_MONITOR_WAITED and not
	JVMPI_EVENT_MONITOR_WAIT when the waiting finishes.
	
2005-07-20  Dalibor Topic  <robilad@kaffe.org>

	Fix for gump issue bootstrap-ant.

	* libraries/javalib/java/util/zip/ZipEntry.java (clone):
	New method. Taken from GNU Classpath.

2005-07-20  Wolfgang Baer <WBaer@gmx.de>

	* po/de.po: Translation for German.

	* po/LINGUAS: Added de.po.

2005-07-20  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for crt_externs.h to fix build on darwin.

	Reported by:  Riccardo Mottola <zuse@libero.it>

2005-07-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.h,
	kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiFillThreadStart): Use really VMThread as a second argument.

2005-07-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c
	(jvmpiCreateSystemThread): Increased stack size.
	(jvmpiFillMethodLoad): Typo fix.

	* kaffe/kaffevm/jni/jni-base.c
	(JNI_CreateJavaVM): Typo fix.

2005-07-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* include/jvmpi.h: Added support for JVMPI_VERSION_1_2.

	* include/kaffe_jni.h: Added new VM parameters about the profiler
	to load at startup.

	* kaffe/jvmpi/Makefile.am: JVMPI should be compiled and linked
	like the rest of the VM.

	* kaffe/jvmpi/Makefile.in: Regenerated.

	* kaffe/jvmpi/jvmpi_kaffe.c,
	kaffe/jvmpi/jvmpi_kaffe.h
	(jvmpiFillObjectLoad): Handle array more correctly.
	(jvmpiFillClassLoad): Fill the right structure entry using the
	instance field lists.
	(jvmpiFillMethodLoad): New function.
	(jvmpiRawMonitorCreate,
	jvmpiRawMonitorEnter,
	jvmpiRawMonitorExit,
	jvmpiRawMonitorWait,
	jvmpiRawMonitorNotifyAll,
	jvmpiRawMonitorDestroy): Use Klocks.
	(jvmpiRequestEvent): Return success if successful.
	(jvmpiCleanupThreadStart): New function.
	
	* kaffe/kaffe/main.c
	(options): Loading and executing the profiler is now handled by
	JNI itself.

	* kaffe/kaffevm/classPool.c
	(walkClassPool): Only walk valid entries.

	* kaffe/kaffevm/external.c,
	kaffe/kaffevm/external.h
	(loadNativeLibrary): Use "const char *" for the library name.

	* kaffe/kaffevm/gcFuncs.c
	(destroyClass): JVMPI is supported for all translators. Fixed
	typo.

	* kaffe/kaffevm/kaffe.def
	(IRETURN, LRETURN, FRETURN,
	DRETURN, ARETURN, RETURN): Acknowledge method exit.

	* kaffe/kaffevm/locks.c: Removed slowlock's timing. Updated JVMPI
	event handling for contended mutexes as the algorithm has changed.

	* kaffe/kaffevm/soft.c
	(soft_enter_method): Rearranged ifdefs.

	* kaffe/kaffevm/stats.c,
	kaffe/kaffevm/stats.h: Put variable definitions in KAFFE_STATS
	(for darwin). Added fulljit timer.

	* kaffe/kaffevm/thread.c
	(firstStartThread): Use jvmpiCleanupThreadStart now.
	
	* kaffe/kaffevm/intrp/machine.c
	(virtualMachine): Acknowledge enter/exit method using JVMPI.

	* kaffe/kaffevm/jit/machine.c
	(translate): Acknowledge translate completion.

	* kaffe/kaffevm/jit/native-wrapper.c
	(Kaffe_wrapper): Invoke exit_method() before method exit.

	* kaffe/kaffevm/jit3/machine.c
	(translate): Measure translation time using fulljit. Moved JVMPI
	event handling into an helper function.
	
	* kaffe/kaffevm/intrp/icode.h,
	kaffe/kaffevm/jit/codeproto.h,
	kaffe/kaffevm/jit/icode.c,
	kaffe/kaffevm/jit3/codeproto.h,
	kaffe/kaffevm/jit3/icode.c
	(exit_method) New icode to be called before exiting a method.
	(softcall_enter_method, softcall_exit_method): Implemented in JIT.

	* kaffe/kaffevm/jni/jni-base.c
	(JNI_CreateJavaVM): Load and invoke the profiler if needed.

	* kaffe/kaffevm/jni/jni-refs.c
	(KaffeJNI_NewWeakGlobalRef, KaffeJNI_DeleteWeakGlobalRef): Handle
	JVMPI events.

	* kaffe/kaffevm/jni/jni.c
	(Kaffe_GetEnv): Accept JVMPI 1.2.
	(Kaffe_JavaVMInitArgs): Initialize the new fields to NULL.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_on_condvar, jthread_on_mutex, jthread_has_run,
	jthread_clear_run, jthread_get_status, jthread_from_data): Implemented.

2005-07-19  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure: Regenerated.

2005-07-19  Dalibor Topic  <robilad@kaffe.org>

	Merged in Runtime/VMRuntime, Process/VMProcess, target native layer and
	FileChannel from GNU Classpath.
	
	* configure.ac: Merged in support for CLASSPATH_INCLUDES. 
	Added Makefiles in libraries/clib/target and subdirs to config files.	

	* include/Makefile.am: (NOINSTALL_DERIVED_HDRS) Added java_lang_VMRuntime.h.
	Removed java_lang_Runtime.h. Added java_lang_VMProcess.h. 
	Removed kaffe_lang_MemoryAdvice.h.

	* kaffe/kaffevm/thread.c: (runfinalizer) Removed call into Runtime hook,
	to avoid loop.

	* libraries/clib/Makefile.am: (SUBDIRS) Added target subdir.

	* libraries/clib/native/Makefile.am: (AM_CPPFLAGS) Added CLASSPATH_INCLUDES.
	(LANG_SRCS) Added java_lang_VMProcess.c. Removed MemoryAdvice.c and 
	UNIXProcess.c.

	* libraries/clib/native/Runtime.c: (java_lang_Runtime_exit0) Renamed to 
	java_lang_VMRuntime_exit.
	(java_lang_Runtime_execInternal) Removed.
	(java_lang_Runtime_freeMemory) Renamed to java_lang_VMRuntime_freeMemory.
	(java_lang_Runtime_maxMemory) Renamed to java_lang_VMRuntime_maxMemory.
	(java_lang_Runtime_totalMemory) Renamed to java_lang_VMRuntime_totalMemory.
	(java_lang_Runtime_gc) Renamed to java_lang_VMRuntime_gc.
	(java_lang_Runtime_runFinalization) Renamed to java_lang_VMRuntime_runFinalization.
	(java_lang_VMRuntime_runFinalizationForExit) New method.
	(java_lang_Runtime_traceInstructions) Renamed to java_lang_VMRuntime_traceInstructions.
	(java_lang_Runtime_traceMethodCalls) Renamed to java_lang_VMRuntime_traceMethodCalls.
	(java_lang_Runtime_runFinalizersOnExit) Renamed to java_lang_VMRuntime_runFinalizersOnExit.
	(java_lang_Runtime_linkLibrary) Renamed to java_lang_VMRuntime_nativeLoad.
	(java_lang_Runtime_getLibPrefix) Renamed to java_lang_VMRuntime_getLibPrefix.
	(java_lang_Runtime_getLibSuffix) Renamed to java_lang_VMRuntime_getLibSuffix.

	* libraries/clib/nio/Makefile.am: (AM_CPPFLAGS) Added CLASSPATH_INCLUDES.
	(libnio_la_SOURCES) Removed FileChannelImpl.c.

	* libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c: Replaced with 
	full file from GNU Classpath.

	* libraries/javalib/gnu/classpath/VMSystemProperties.java: (preInit)
	Set gnu.classpath.boot.library.path instead of kaffe.library.path.

	* libraries/javalib/java/lang/Runtime.java: Replaced with implementation
	from GNU Classpath.
	
	* libraries/javalib/java/lang/System.java: Fully synced up with GNU Classpath.

	* libraries/clib/native/java_lang_VMProcess.c,
	libraries/clib/target/Makefile.am,
	libraries/clib/target/Makefile.in,
	libraries/clib/target/readme.txt,
	libraries/clib/target/Linux/Makefile.am,
	libraries/clib/target/Linux/Makefile.in,
	libraries/clib/target/Linux/target_native.h,
	libraries/clib/target/Linux/target_native_file.h,
	libraries/clib/target/Linux/target_native_io.h,
	libraries/clib/target/Linux/target_native_math_float.h,
	libraries/clib/target/Linux/target_native_math_int.h,
	libraries/clib/target/Linux/target_native_misc.h,
	libraries/clib/target/Linux/target_native_network.h,
	libraries/clib/target/generic/Makefile.am,
	libraries/clib/target/generic/Makefile.in,
	libraries/clib/target/generic/target_generic.h,
	libraries/clib/target/generic/target_generic_file.h,
	libraries/clib/target/generic/target_generic_io.h,
	libraries/clib/target/generic/target_generic_math_float.h,
	libraries/clib/target/generic/target_generic_math_int.h,
	libraries/clib/target/generic/target_generic_misc.h,
	libraries/clib/target/generic/target_generic_network.h,
	libraries/javalib/java/lang/VMProcess.java,
	libraries/javalib/java/lang/VMRuntime.java:
	New files, taken from GNU Classpath.
	
	* libraries/clib/native/MemoryAdvice.c,
	libraries/clib/native/UNIXProcess.c,
	libraries/clib/nio/FileChannelImpl.c,
	libraries/javalib/kaffe/lang/MemoryAdvice.java,
	libraries/javalib/kaffe/lang/MemoryAdviceCallback.java: Removed.

	* libraries/javalib/gnu/java/nio/channels/FileChannelImpl.java:
	Resynced with GNU Classpath.

	2005-07-10  Mark Wielaard  <mark@klomp.org>

        * gnu/java/nio/channels/FileChannelImpl.java (force): New native
        method.
        (force(boolean)): Call new native force method.


2005-07-17  Eric Anholt  <eta@lclark.edu>

	* config/config-net.h: Include sys/types.h to
	fix build on FreeBSD.

2005-07-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure: Regenerated.

	* replace/getifaddrs.c: Fixed macro name.

	* config/i386/solaris2/md.h
	(INIT_MD): Fixed function name.
	
2005-07-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/trampolines.S: Fixed PIC usage for x86.

	* config/i386/fpu-set.h: New file.

	* config/i386/linux/md.c: Do not use fpu_control.h but the new
	function in fpu-set.h

	* config/i386/solaris2/md.h
	(INIT_MD): Call fpu_set_precision.

	* configure.ac: Removed fpu_control.h

	* config/Makefile.am: Added i386/fpu-set.h
	
	* replace/Makefile.am: Added ifaddrs_bsd.c

	* replace/ifaddrs_bsd.c: New file.

	* configure,
	config/config.h.in,
	config/Makefile.in,
	replace/Makefile.in: Regenerated.

2005-07-17  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

        * libraries/javalib/Makefile.am.in:
	(classpath_icons) Added the icons directory.
	(JAR_CMD_TOOLS) Renamed from JAR_CMD_6.
	(JAR_CMD_6) Added command for archiving the icons.

	* libraries/javalib/gnu/javax/swing/plaf/gtk/icons/Error.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/Inform.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/JavaCup.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/JavaCupLarge.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/Question.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/TreeClosed.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/TreeLeaf-normal.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/TreeLeaf.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/TreeOpen.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/Warn.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/file-folders.png,
	libraries/javalib/gnu/javax/swing/plaf/gtk/icons/slider.png:
	New files. Taken from GNU Classpath.

	2005-07-11  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getCellBounds): added width of icon, so selection fits over
        the cell properly.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        added in icons for the tree.

2005-07-17  Andreas Tobler  <toa@pop.agri.ch>

	* config/powerpc/trampolines.S: Fixed PIC code for powerpc-linux.

2005-07-17  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.

	2005-07-10  Roman Kennke  <roman@kennke.org>

        * javax/swing/JInternalFrame.java
        (pack): Set the JInternalFrame's own size here instead of
        layouting its children (this is triggered by setSize anyway).
        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (installDefaults): Set the correct border for InternalFrames.
        Set InternalFrames to invisible by default.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefaults): Set correct color values for
        InternalFrames.

2005-07-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/nio/FileChannelImpl.c:
	(getFD) Renamed to get_native_fd. No longer static since it is used in
	gnu_java_nio_channels_FileChannelImpl.c as well.
	(Java_gnu_java_nio_channels_FileChannelImpl_available,
	Java_gnu_java_nio_channels_FileChannelImpl_implPosition,
	Java_gnu_java_nio_channels_FileChannelImpl_seek,
	Java_gnu_java_nio_channels_FileChannelImpl_implTruncate,
	Java_gnu_java_nio_channels_FileChannelImpl_size,
	Java_gnu_java_nio_channels_FileChannelImpl_write__I,
	Java_gnu_java_nio_channels_FileChannelImpl_implCloseChannel) Use get_native_fd 
	instead of getFD.
	(Java_gnu_java_nio_channels_FileChannelImpl_lock,
	Java_gnu_java_nio_channels_FileChannelImpl_unlock) Removed.

	* libraries/clib/nio/gnu_java_nio_channels_FileChannelImpl.c:
	New file. Taken from GNU Classpath. Removed unused functions.

	* libraries/clib/nio/Makefile.am (libnio_la_SOURCES): Added
	gnu_java_nio_channels_FileChannelImpl.c.

	Resynced with GNU Classpath.

	2005-07-10  Casey Marshall  <csm@gnu.org>

        * native/jni/java-nio/gnu_java_nio_channels_FileChannel.c:
        Include <fcntl.h> if HAVE_FCNTL_H.
        (Java_gnu_java_nio_channels_FileChannelImpl_lock,
        Java_gnu_java_nio_channels_FileChannelImpl_unlock): implemented
        if HAVE_FCNTL.

2005-07-17  Riccardo Mottola  <multix@gmail.com>

	* config/i386/gnu/md.h
	(SIGNAL_PC, STACK_POINTER): Get the right field in sigcontext.

2005-07-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(gc_block_alloc): Relocate gc_last_block too.

2005-07-17  Kurt Miller <truk@optonline.net>

	* kaffe/kaffeh/main.c
	(main): Handle inner classes. Added support for '-bootclasspath'.
	
2005-07-16  Dalibor Topic  <robilad@kaffe.org>

	* Resynced with GNU Classpath.

	2005-07-10  Casey Marshall  <csm@gnu.org>

        * gnu/classpath/debug/Component.java: new file.
        * gnu/classpath/debug/PreciseFilter.java: new file.
        * gnu/classpath/debug/SystemLogger.java: new file.
        * gnu/java/security/x509/X509Certificate.java
        (DEBUG, debug, debug): removed.
        (logger): new constant; use 'logger' with 'Component.X509'
        for debug messages throughout.
        (parse): always read the next DER value after reading the
        version-specific values.

2005-07-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/solaris2/jit3-md.h: Enabled JIT3 on solaris/x86.

2005-07-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/solaris2/md.h: Removed the extra "struct".

2005-07-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/math_symbols: Removed log10 as it is not implemented in
	fdlibm.

	* libraries/clib/fdlibm/namespace.h: Regenerated.

2005-07-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* developers/math_symbols, developers/build_mathnamespace: Added a
	dwarf script to build the namespace.h file.
	
	* libraries/clib/fdlibm/namespace.h: New generated file.

	* libraries/clib/fdlibm/fdlibm.h,
	libraries/clib/fdlibm/mprec.h: Include namespace.h.

	* libraries/clib/fdlibm/Makefile.am: Added namespace.h.

	* libraries/clib/fdlibm/Makefile.in: Regenerated.

2005-07-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gcFuncs.c
	(destroyClass): Fixed comment.

2005-07-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/fdlibm/ieeefp.h: Readded arm specific ifdefs.

	* libraries/javalib/java/lang/Runtime.java
	(availableProcessors): Dummy function for compatibility.
	
2005-07-14  Daniel Bonniot  <bonniot@users.sf.net>

	* kaffe/kaffevm/gcFuncs.c
	(destroyClass): Removed break because entries may be duplicated.

2005-07-13  Andreas Tobler  <toa@pop.agri.ch>

	* config/powerpc/trampolines.S:
	Fixed to work with PIC on darwin. All jitBasic tests pass now on Panther.

2005-07-13  Andreas Tobler  <toa@pop.agri.ch>

	* config/powerpc/darwin/jit3-md.h: Removed broken comment
	delimiters.

2005-07-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/jni/JNIWeakTest.java: New tests.

	* test/jni/jniweaklib.c: Added support functions for the new tests.

2005-07-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* TODO: Added some TODO entries.

	* kaffe/kaffe/main.c
	(parseArgs): -Xmx may detect unlimited now.

	* kaffe/kaffe/version.c
	(printVersion): Kaffe reports unlimited if the internal default
	value is UNLIMITED_HEAP.

	* kaffe/kaffevm/gc.h
	(UNLIMITED_HEAP): New key value.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(gcMalloc): Use directly KGC_invoke and adviseGC.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.h: Removed unsed default
	values.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(gc_num_blocks, gc_num_live_pages): Moved from gc_block_alloc.
	(gc_block_alloc): Do not use gc_heap_limit anymore for computing the
	needed memory blocks.
	(gc_heap_grow): Only limit the heap if gc_heap_limit !=
	UNLIMITED_HEAP.

2005-07-13  Dalibor Topic  <robilad@kaffe.org>

	* test/jni/Makefile.am: (check_PROGRAMS) Added jniWeakTest.
	(check_LTLIBRARIES, libjniweaklib_la_SOURCES, libjniweaklib_la_LDFLAGS,
	JAVA_CLASSES, CPATH, JNIWeakTest.class, jniWeakTest_SOURCES, 
	jniWeakTest_LDADD, jniWeakTest_DEPENDECIES, jniWeakTest.o): New rules.
	(TESTS_ENVIRONMENT) Set BOOTCLASSPATH and KAFFELIBRARYPATH.
	(EXTRA_DIST) Added JNIWeakTest.java.

	* test/jni/Makefile.in: Regenerated.

2005-07-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/jni/JNIWeakTest.java,
	test/jni/jniWeakTest.c,
	test/jni/jniweaklib.c: New test.

2005-07-12  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	Added missing hunk reported by  Wolfgang Baer <WBaer@gmx.de>

	2005-07-04  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c: Add
        method implementations from
        gnu_java_awt_peer_gtk_GtkTextComponentPeer.c.

2005-07-12  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	2005-06-14  Chris Burdess  <dog@gnu.org>

        * gnu/xml/aelfred2/XmlParser.java: ensure that charset parameter of
        external MIME entity is trimmed.
        * gnu/xml/dom/DomDocument.java: DomNsNodes retrieved via
        createElement/createAttribute should not have localNames.

2005-07-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/netbsd1/jit-md.h: Updated macro to retrieve the base
	stack pointer and not the current stack pointer.

2005-07-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/i386/netbsd1/md.h,
	config/i386/netbsd1/jit-md.h: Use old sigcontext if ucontext.h is not 
	available.

2005-07-10  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Check for sys/ucontext.h

	* configure, config/config.h.in, 
	libltdl/configure: Regenerated.

	* config/i386/netbsd1/md.h: Include sys/ucontext.h if available.

	* libraries/clib/nio/java_nio_VMDirectByteBuffer.c: Removed
	spurious debug message.

2005-07-10  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	* libraries/javalib/gnu/java/security/provider/SHA1PRNG.java:
	Updated copyright information.

2005-07-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	2005-07-09  Chris Burdess  <dog@gnu.org>

        * gnu/xml/transform/AbstractNumberNode.java,
        gnu/xml/transform/ApplyImportsNode.java,
        gnu/xml/transform/ApplyTemplatesNode.java,
        gnu/xml/transform/AttributeNode.java,
        gnu/xml/transform/Bindings.java,
        gnu/xml/transform/CallTemplateNode.java,
        gnu/xml/transform/CopyOfNode.java,
        gnu/xml/transform/CurrentFunction.java,
        gnu/xml/transform/DocumentFunction.java,
        gnu/xml/transform/ElementAvailableFunction.java,
        gnu/xml/transform/ElementNode.java,
        gnu/xml/transform/ForEachNode.java,
        gnu/xml/transform/FormatNumberFunction.java,
        gnu/xml/transform/FunctionAvailableFunction.java,
        gnu/xml/transform/GenerateIdFunction.java,
        gnu/xml/transform/IfNode.java,
        gnu/xml/transform/KeyFunction.java,
        gnu/xml/transform/ParameterNode.java,
        gnu/xml/transform/SortKey.java,
        gnu/xml/transform/StreamSerializer.java,
        gnu/xml/transform/Stylesheet.java,
        gnu/xml/transform/SystemPropertyFunction.java,
        gnu/xml/transform/TemplateNode.java,
        gnu/xml/transform/TransformerImpl.java,
        gnu/xml/transform/UnparsedEntityUriFunction.java,
        gnu/xml/transform/ValueOfNode.java,
        gnu/xml/transform/WhenNode.java,
        gnu/xml/transform/WithParam.java,
        gnu/xml/xpath/AndExpr.java,
        gnu/xml/xpath/ArithmeticExpr.java,
        gnu/xml/xpath/BooleanFunction.java,
        gnu/xml/xpath/CeilingFunction.java,
        gnu/xml/xpath/ConcatFunction.java,
        gnu/xml/xpath/Constant.java,
        gnu/xml/xpath/ContainsFunction.java,
        gnu/xml/xpath/CountFunction.java,
        gnu/xml/xpath/EqualityExpr.java,
        gnu/xml/xpath/Expr.java,
        gnu/xml/xpath/FalseFunction.java,
        gnu/xml/xpath/FloorFunction.java,
        gnu/xml/xpath/FunctionCall.java,
        gnu/xml/xpath/IdFunction.java,
        gnu/xml/xpath/LangFunction.java,
        gnu/xml/xpath/LastFunction.java,
        gnu/xml/xpath/LocalNameFunction.java,
        gnu/xml/xpath/NameFunction.java,
        gnu/xml/xpath/NameTest.java,
        gnu/xml/xpath/NamespaceTest.java,
        gnu/xml/xpath/NamespaceUriFunction.java,
        gnu/xml/xpath/NegativeExpr.java,
        gnu/xml/xpath/NodeTypeTest.java,
        gnu/xml/xpath/NormalizeSpaceFunction.java,
        gnu/xml/xpath/NotFunction.java,
        gnu/xml/xpath/NumberFunction.java,
        gnu/xml/xpath/OrExpr.java,
        gnu/xml/xpath/ParenthesizedExpr.java,
        gnu/xml/xpath/Pattern.java,
        gnu/xml/xpath/PositionFunction.java,
        gnu/xml/xpath/Predicate.java,
        gnu/xml/xpath/RelationalExpr.java,
        gnu/xml/xpath/Root.java,
        gnu/xml/xpath/RoundFunction.java,
        gnu/xml/xpath/Selector.java,
        gnu/xml/xpath/StartsWithFunction.java,
        gnu/xml/xpath/Steps.java,
        gnu/xml/xpath/StringFunction.java,
        gnu/xml/xpath/StringLengthFunction.java,
        gnu/xml/xpath/SubstringAfterFunction.java,
        gnu/xml/xpath/SubstringBeforeFunction.java,
        gnu/xml/xpath/SubstringFunction.java,
        gnu/xml/xpath/SumFunction.java,
        gnu/xml/xpath/Test.java,
        gnu/xml/xpath/TranslateFunction.java,
        gnu/xml/xpath/TrueFunction.java,
        gnu/xml/xpath/UnionExpr.java,
        gnu/xml/xpath/VariableReference.java,
        gnu/xml/xpath/XPathParser.java,
        gnu/xml/xpath/XPathParser.y,
        javax/xml/namespace/QName.java: Corrections to handling of XSL
        variables and minor conformance updates.

	2005-07-09  Archie Cobbs  <archie@dellroad.org>

        * java/net/URLClassLoader.java: disallow directories as resources

	2005-07-09  Casey Marshall  <csm@gnu.org>

        * java/util/logging/FileHandler.java
        (written): new field.
        (logFiles): new field.
        (<init>): initialize the OutputStream last.
        (createFileStream): made non-static; append '.%g' to 'pattern'
        if not included; open existing files if 'append' is set; return
        byte-counting stream; use 'has', not 'String.indexOf'.
        (publish): rotate the file if we go beyond the byte limit; flush
        the stream after publishing each record.
        (rotate): new method.
        (has): new method.
        (ostr): new member class.

	2005-07-08  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicFileChooserUI.java:
        (ApproveSelectionAction.actionPerformed): Allow directories to be
        selected unless selection mode is FILES_ONLY.

	2005-07-08  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicButtonUI.java: minor API doc fixes,
        * javax/swing/plaf/basic/BasicComboBoxEditor.java: likewise,
        * javax/swing/plaf/basic/BasicGraphicsUtils.java: likewise,
        * javax/swing/plaf/basic/BasicLabelUI.java: likewise,
        * javax/swing/plaf/basic/BasicListUI.java: likewise,
        * javax/swing/plaf/basic/BasicLookAndFeel.java: likewise,
        * javax/swing/plaf/basic/BasicMenuBarUI.java: likewise,
        * javax/swing/plaf/basic/BasicMenuUI.java: likewise,
        * javax/swing/plaf/basic/BasicPopupMenuUI.java: likewise,
        * javax/swing/plaf/basic/BasicScrollBarUI.java: likewise,
        * javax/swing/plaf/basic/BasicSpinnerUI.java: likewise,
        * javax/swing/plaf/basic/BasicSplitPaneDivider.java: likewise,
        * javax/swing/plaf/basic/BasicToolTipUI.java: likewise.

	2005-07-08  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/filechooser/FileSystemView.java:
        (getFiles): Added check for non-existent directory, in which case
        default to home directory.

	2005-07-08  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/metal/MetalIconFactory.java: new file, implements
        core tree icons.

	2005-07-08  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (getDefaults): Call theme.addCustomEntriesToTable() only once
        during initialization of the defaults table.

	2005-07-08  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTableUI.java
        (installDefaults): Initialize cell borders.
        (paint): Set correct cell border before painting.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initComponentDefault): Corrected color value for the
        Table.focusCellHighlightBorder UIResource.

	2005-07-07  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/ObjectStreamClass.java
        (findAccessibleMethod): Added code to make method accessible.

	2005-07-07  Robert Schuster <robertschuster@fsfe.org>

        * javax/swing/JMenu.java
        (setSelected): Added isEnabled() to expression.

	2005-07-07  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/JTable.java:
        (clearSelection): Added clearing of columns as well as rows.

	2005-07-07  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/plaf/basic/BasicTableUI.java:
        (MouseInputHandler.mousePressed): Added check for control being pressed
        and mouse clicked on already selected cell.  In this case, deselect
        the cell.

	2005-07-07  Anthony Balkissoon  <abalkiss@redhat.com>

        * javax/swing/DefaultListSelectionModel.java:
        (addSelectionInterval): Added check for leadSelectionIndex being
        unselected (ie - after a remove operation).

	2005-07-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getRowCount): Implemented
        (getPreferredSize): Implemented
        (getMinimumSize): Implemented
        (getMaximumSize): Implemented
        (getCellBounds): checked if parameter is null
        (paintRecursive): added in a variable to keep track of the
        length of vertical line to be drawn. Now paints tree nicely.

	2005-07-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        Formatted code so else's are on new lines

	2005-07-07  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        Formatted code to get rid of TABs
        (getPathForRow): took out redundant code.
        (getNextVisibleNode): took out redundant code.

	2005-07-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTextUI.java
        (DocumentHandler.insertUpdate): Update caret position when document
        changes.
        (DocumentHandler.removeUpdate): Update caret position when document
        changes.

	2005-07-07  Roman Kennke  <roman@kennke.org>

        * gnu/java/awt/FocusManager.java: New class. Provides a concrete
        implementation of javax.swing.FocusManager so that we can support
        the old-style FocusManager in Swing and AWT.
        * gnu/classpath/SystemProperties.java: Add new system property
        gnu.java.awt.FocusManager that sets the class that should be used
        as the default FocusManager in AWT and Swing.
        * java/awt/KeyboardFocusManager.java
        (setCurrentKeyboardFocusManager): Use createFocusManager instead
        of creating the instance directly.
        (createFocusManager): New method. Instantiate a KeyboardFocusManager
        that is set by the system property gnu.java.awt.FocusManager.
        * javax/swing.FocusManager.java
        (constructor): Call super() here.
        (getCurrentManager): Return the current AWT KeyboardFocusManager
        here.
        (setCurrentManager): Set the current AWT KeyboardFocusManager
        here.
        (processKeyEvent): Removed method. This is no longer in the
        API.
        (focusNextComponent): Removed method. This is no longer in the
        API.
        (focusPreviousComponent): Removed method. This is no longer in the
        API.

	2005-07-07  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/JProgressBar.java
        (JProgressBar(int, int, int)): fix order of parameters,
        (JProgressBar()): reorder arguments in call to other constructor,
        (JProgressBar(int): likewise,
        (JProgressBar(int, int): likewise.

2005-07-09  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/scripts/javadoc.in,
	kaffe/scripts/compat/javadoc.in:
	Make sure the scripts find gjdoc.jar.

2005-07-09  Dalibor Topic  <robilad@kaffe.org>

	Resynced with gjdoc.

	2005-07-01  Tom Tromey  <tromey@redhat.com>

        * src/gnu/classpath/tools/gjdoc/Parser.java
        (PackageComponent.process): Don't add to importedStatementList.
        (processSourceFile): Don't add java.lang.* to
        importedStatementList.
        (classOpened): Update importedStatementList here.

	2005-05-24  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/ClassDocImpl.java (findClass): New
        method variant which accepts a dimension specifier and caches
        results.

        * src/gnu/classpath/tools/gjdoc/MemberDocImpl.java (resolve):
        Optimized for reduced memory usage.

        * src/gnu/classpath/tools/gjdoc/ParameterImpl.java (resolve):
        Optimized for reduced memory usage.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
        Implemented new option -baseurl.  Refactored to use newHtmlPage
        factory methods.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
        Likewise.

        * src/gnu/classpath/tools/gjdoc/Main.java (usage): Added usage
        information for option -baseurl.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/resources/htmldoclet/gjdochtml-clean-layout.css: Minor
        improvement to layout of class description.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java
        (anchorName): Output ID in addition to NAME attribute for anchors,
        as per W3C recommendation.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
        Option -validhtml implemented.
        (getMemberDocURL): Now works for external documentation set.
        (createTypeHref): Minor refactoring.
        (getPackageURL): Now takes external documentation sets into
        account.
        (getClassURL): Likewise.
        (renderSeeTag): Likewise.
        (run): Capitalized warnings for options -serialwarn and
        -title. Added warning for option -validhtml.  Now writes
        gjdoc.properties to output directory.
        (getMemberAnchor): Refactored to take -validhtml into account.
        (transformReferencedMemberName): New method.
        (writeGjdocProperties): New method.
        (isJavadocCompatibleNames): New method.

        * src/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java
        (load): Try to load gjdoc.properties from external documentation
        for detecting the external set's compatibility mode.
        (getClassDocURL): No longer throws a checked exception.
        (getPackageDocURL): New method.
        (isJavadocCompatible): New Method.

        * src/gnu/classpath/tools/gjdoc/Main.java:
        (usage): Added usage information for option -validhtml.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/MemberDocImpl.java: Honor
        dimension when replacing ClassDocProxies with ClassDocImpl.

        * src/gnu/classpath/tools/gjdoc/ParameterImpl.java: Likewise.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/resources/htmldoclet/xhtml11-strict-target10.dtd: Renamed to
        xhtml11-target10.dtd.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
        Rename DTD.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
        Likewise, and fixed link to DTD in DOCTYPE descriptor.

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
        Improved generated code for better XHTML compatibility.  Now falls
        back to platform default charset if -charset hasn't been
        specified.

        * src/resources/htmldoclet/gjdochtml-clean-layout.css: Made the
        new HTML structure display the same as the old ones.

        * src/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java:
        Omit text which occurs in invalid contexts (e.g. in a <ul>
        element.)

	2005-05-23  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java:
        Improved CSS class definitions for better XHTML compatibility.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: Use
        custom DTD (which includes the XHTML Target 1.0 extension) instead
        of the plain XHTML DTD.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: Copy
        the custom DTD to the output directory.

        * src/resources/htmldoclet/xhtml11-strict-target10.dtd: Added.

        * src/resources/htmldoclet/gjdochtml-clean-layout.css: Made the
        new CSS class definitions display the same as the old ones.

	2005-05-22  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/FieldDocImpl.java
        (createFromSource): Do not skip contents of strings when parsing
        static field values.  Fixed a bug which would break parsing when a
        backslash is encountered in single quotes.  See Savannah bug
        #12816.

	2005-05-20  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/Main.java (start): Use stdout
        instead of stderr for printing version information.
        (main, execute, start, startDoclet): Do not immediately call
        System.exit in case of error; instead, pass error count back to
        entry method.  This allows the execute() method to be better used
        via reflection.  For normal command line usage, this shouldn't
        change anything.
        (shutdown): Removed.

        * src/gnu/classpath/tools/doclets/PackageMatcher.java (match):
        Actually return true on a match.  This makes option -group work.
        (toString) Added.

        * src/gnu/classpath/tools/taglets/ValueTaglet.java (toString):
        Remove debug message.

	2005-05-18  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/Main.java (isValidJavaFile):
        Implemented, removed static modifier.
        (findPackages): Removed static modifier. Better handling of
        default package.
        (startDoclet): Better handling of default package.

        * src/gnu/classpath/tools/gjdoc/RootDocImpl.java
        (build): Better handling of default package. Use Set instead of
        List for collecting package names.

        * src/gnu/classpath/tools/gjdoc/Parser.java (classOpened): Better
        reporting for ignored files. Better handling of default package.

	2005-05-11  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/RootDocImpl.java
        (findSourceFile, findOrCreatePackageDoc, build): Modified to
        better handle multiple source directories.

        * src/gnu/classpath/tools/gjdoc/Main.java (startDoclet): Likewise.

	2005-05-05  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java
        (createFromSource): Do not require whitespace to separate type
        dimension qualifier from member name.  Replace some uses of String
        by StringBuffer.

        * src/gnu/classpath/tools/gjdoc/MemberDocImpl.java
        (parseModifiers): Likewise.

        * src/gnu/classpath/tools/doclets/AbstractDoclet.java (addUsedBy):
        Use TreeMap instead of HashMap for deterministic usage type sort
        order.
        (UsageType): Implements Comparable
        (UsageType.compareTo): New method.

	2005-05-04  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/Main.java: Handle single quotes in
        command files.

	2005-04-27  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/Main.java: Treat command line
        flags as case-insensitive.

        * src/gnu/classpath/tools/doclets/AbstractDoclet.java: Likewise.

	2005-04-26  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java
        (load): Throw a FileNotFoundException when URL.openStream()
        returns null.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java
        (run): When an external package-list cannot be retrieved, print a
        warning instead of raising an exception.

	2005-04-25  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/ParameterImpl.java (name): Fix
        capitalized public keyword.

	2005-04-25  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/ParameterImpl.java (resolve): Do
        not replace unresolvable ClassDocProxy with TypeImpl.

	2005-04-25  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java
        (getTypeParameters): do not return "<>" string when type parameter
        array is empty.

	2005-04-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * src/com/sun/javadoc/ClassDoc.java:
        (typeParameters()): New method for retrieving type variables.
        * src/com/sun/javadoc/Type.java:
        (asTypeVariable()): New method for casting to a type variable.
        * src/com/sun/javadoc/TypeVariable.java:
        New class to handle type variables.
        (bounds()): New method to retrieve variable bounds.
        (owner()): New method to retrieve owning class.
        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
        (printIndexEntry(HtmlPage,Doc)): Add type variables to class name.
        (printClassPage(File,String,ClassDoc,ClassDoc,ClassDoc)):
        Likewise.
        (createTypeHref(HtmlPage,Type,boolean)): Likewise.
        (getTypeParameters(ClassDoc)): New method to construct a String
        containing the type parameters.
        * src/gnu/classpath/tools/gjdoc/ClassDocImpl.java:
        (asTypeVariable()): New method.
        (createInstance(ClassDoc,PackageDoc,ClassDoc[],PackageDoc[],char[],
        int,int,List)): Add parsing of type variables, which may contain ','.
        (typeParameters()): New method to return the type parameters.
        (parseTypeVariables(ClassDocImpl, String)): New method to parse
        the type variables.
        * src/gnu/classpath/tools/gjdoc/ClassDocProxy.java:
        (asTypeVariable()): New method.
        (typeParameters()): New method.
        * src/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.java:
        (asTypeVariable()): New method.
        (typeParameters()): New method.
        * src/gnu/classpath/tools/gjdoc/TypeImpl.java:
        (asTypeVariable()): New variable to cast type variables.
        * src/gnu/classpath/tools/gjdoc/TypeVariableImpl.java:
        New class to represent type variables.
        (TypeVariableImpl(String,String,String,ProgramElementDoc)):
        New constructor, which also handles owning class.
        (setBounds(List)): New method to set bounds.
        (bounds()): New method to retrieve bounds.
        (owner()): New method to retrieve owner.

	2005-04-08  Julian Scheid  <julian@sektor37.de>

        * src/gnu/classpath/tools/gjdoc/FieldDocImpl.java
        (createFromSource): Reimplemented. Fixes a number of bugs, most
        importantly comma-separated field lists are now recognized and
        nested brackets/braces as well as comments are dealt with
        properly. (createFieldDoc): added helper method.

        * src/gnu/classpath/tools/gjdoc/ClassDocImpl.java (isIncluded):
        Include inner classes if outer class is included and access level
        is covered according to command line options.

        * src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java
        (printClassPage): Only output "Nested Classes" header if there are
        nested classes to list.

2005-07-08  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c (main): Only use strdup if parameter is known
	not to be NULL. Brown paper bag time.

2005-07-08  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	2005-07-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (MouseInputHandler.mouseClicked): Access static TreeSelectionModel
        fields via the class and not via an instance.

	2005-07-07  Roman Kennke  <roman@kennke.org>

        * javax/swing/plaf/basic/BasicTreeUI.java:
        Reformatted source file to better match our coding standards.

	2005-07-06  Chris Burdess  <dog@gnu.org>

        * gnu/java/net/protocol/http/HTTPConnection.java,
        gnu/java/net/protocol/http/HTTPURLConnection.java:
        Fix bug with multiple threads and persistent connections.

2005-07-07  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c (main): Duplicate classpath string received from getenv
	in order to be able to free it later.

2005-07-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU classpath.

	2005-07-06  David Gilbert  <david.gilbert@object-refinery.com>

        * javax/swing/plaf/basic/BasicBorders.java: fixed API docs all over.

	2005-07-06  Chris Burdess  <dog@gnu.org>

        * gnu/xml/transform/StreamSerializer.java,
        gnu/xml/xpath/EqualityExpr.java: XSLT conformance fixes.

	2005-07-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getPathForRow): took out redundant code.

	2005-07-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/plaf/basic/BasicTreeUI.java
        (getNextVisibleNode): Implemented
        (getPathForRow): Fixed so the next node retrieved is visible.

	2005-07-06  Lillian Angel  <langel@redhat.com>

        * javax/swing/JTree.java
        Initialized the Hashtable.
        (addSelectionPath): removed redundant code.
        (doExpandParents): added in line so that state is
        changed for current path. Changed while loop to if
        statement, an infinite loop was occurring.
        * javax/swing/plaf/basic/BasicTreeUI.java
        (getPathForRow): Implemented to work with visibility.
        (isLeaf): Implemented
        (mouseClicked): add in check for expand/collapse.
        Selection for DISCONTIGUOUS tree selection is
        implemented.
        (treeExpanded): called repaint, so the tree updates
        visually when something is expanded.
        (treeCollapse): Similar to treeExpanded.
        (paintLeaf): changed to paint leaf only when visible.
        (paintNonLeaf): paints only when visible.
        (paintRecursive): lines for tree are only painted when
        needed. checked for visibility of current object and
        parent.
        * javax/swing/tree/DefaultTreeCellRenderer.java
        (getTreeCellRendererComponent): setting icons when
        expanded.
        * javax/swing/tree/DefaultTreeSelectionModel.java
        (clearSelection): set leadPath to null because selection
        should be completely reset.

	2005-07-06  Roman Kennke  <roman@kennke.org>

        * javax/swing/AbstractButton.java
        (setContentAreaFilled): Set the opaque property here.

2005-07-07  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile: Updated URL for jikes.

	Reported by:  Ito Kazumitsu  <kaz@maczuka.gcd.org>

2005-07-07  Dalibor Topic  <robilad@kaffe.org>

        * THIRDPARTY: Updated to DNSJava 2.0.0.

        * libraries/javalib/org/xbill/DNS/A6Record.java,
        libraries/javalib/org/xbill/DNS/AAAARecord.java,
        libraries/javalib/org/xbill/DNS/AFSDBRecord.java,
        libraries/javalib/org/xbill/DNS/APLRecord.java,
        libraries/javalib/org/xbill/DNS/ARecord.java,
        libraries/javalib/org/xbill/DNS/Address.java,
        libraries/javalib/org/xbill/DNS/CNAMERecord.java,
        libraries/javalib/org/xbill/DNS/Cache.java,
        libraries/javalib/org/xbill/DNS/Client.java,
        libraries/javalib/org/xbill/DNS/DClass.java,
        libraries/javalib/org/xbill/DNS/DNAMERecord.java,
        libraries/javalib/org/xbill/DNS/DNSInput.java,
        libraries/javalib/org/xbill/DNS/DNSKEYRecord.java,
        libraries/javalib/org/xbill/DNS/DNSSEC.java,
        libraries/javalib/org/xbill/DNS/EmptyRecord.java,
        libraries/javalib/org/xbill/DNS/ExtendedResolver.java,
        libraries/javalib/org/xbill/DNS/FindServer.java,
        libraries/javalib/org/xbill/DNS/Flags.java,
        libraries/javalib/org/xbill/DNS/GPOSRecord.java,
        libraries/javalib/org/xbill/DNS/Generator.java,
        libraries/javalib/org/xbill/DNS/HINFORecord.java,
        libraries/javalib/org/xbill/DNS/Header.java,
        libraries/javalib/org/xbill/DNS/ISDNRecord.java,
        libraries/javalib/org/xbill/DNS/Inet6Address.java,
        libraries/javalib/org/xbill/DNS/InvalidDClassException.java,
        libraries/javalib/org/xbill/DNS/InvalidTypeException.java,
        libraries/javalib/org/xbill/DNS/KEYBase.java,
        libraries/javalib/org/xbill/DNS/KEYRecord.java,
        libraries/javalib/org/xbill/DNS/KXRecord.java,
        libraries/javalib/org/xbill/DNS/LOCRecord.java,
        libraries/javalib/org/xbill/DNS/Lookup.java,
        libraries/javalib/org/xbill/DNS/MBRecord.java,
        libraries/javalib/org/xbill/DNS/MDRecord.java,
        libraries/javalib/org/xbill/DNS/MFRecord.java,
        libraries/javalib/org/xbill/DNS/MGRecord.java,
        libraries/javalib/org/xbill/DNS/MINFORecord.java,
        libraries/javalib/org/xbill/DNS/MRRecord.java,
        libraries/javalib/org/xbill/DNS/MXRecord.java,
        libraries/javalib/org/xbill/DNS/Master.java,
        libraries/javalib/org/xbill/DNS/Message.java,
        libraries/javalib/org/xbill/DNS/Mnemonic.java,
        libraries/javalib/org/xbill/DNS/NAPTRRecord.java,
        libraries/javalib/org/xbill/DNS/NSAP_PTRRecord.java,
        libraries/javalib/org/xbill/DNS/NSECRecord.java,
        libraries/javalib/org/xbill/DNS/NSRecord.java,
        libraries/javalib/org/xbill/DNS/NULLRecord.java,
        libraries/javalib/org/xbill/DNS/NXTRecord.java,
        libraries/javalib/org/xbill/DNS/Name.java,
        libraries/javalib/org/xbill/DNS/NameSet.java,
        libraries/javalib/org/xbill/DNS/NameTooLongException.java,
        libraries/javalib/org/xbill/DNS/OPTRecord.java,
        libraries/javalib/org/xbill/DNS/Opcode.java,
        libraries/javalib/org/xbill/DNS/Options.java,
        libraries/javalib/org/xbill/DNS/PTRRecord.java,
        libraries/javalib/org/xbill/DNS/PXRecord.java,
        libraries/javalib/org/xbill/DNS/RPRecord.java,
        libraries/javalib/org/xbill/DNS/RRSIGRecord.java,
        libraries/javalib/org/xbill/DNS/RRset.java,
        libraries/javalib/org/xbill/DNS/RTRecord.java,
        libraries/javalib/org/xbill/DNS/Rcode.java,
        libraries/javalib/org/xbill/DNS/Record.java,
        libraries/javalib/org/xbill/DNS/RelativeNameException.java,
        libraries/javalib/org/xbill/DNS/Resolver.java,
        libraries/javalib/org/xbill/DNS/ResolverConfig.java,
        libraries/javalib/org/xbill/DNS/ReverseMap.java,
        libraries/javalib/org/xbill/DNS/SIGBase.java,
        libraries/javalib/org/xbill/DNS/SIGRecord.java,
        libraries/javalib/org/xbill/DNS/SOARecord.java,
        libraries/javalib/org/xbill/DNS/SRVRecord.java,
        libraries/javalib/org/xbill/DNS/SSHFPRecord.java,
        libraries/javalib/org/xbill/DNS/Section.java,
        libraries/javalib/org/xbill/DNS/Serial.java,
        libraries/javalib/org/xbill/DNS/SimpleResolver.java,
        libraries/javalib/org/xbill/DNS/SingleCompressedNameBase.java,
        libraries/javalib/org/xbill/DNS/SingleNameBase.java,
        libraries/javalib/org/xbill/DNS/TCPClient.java,
        libraries/javalib/org/xbill/DNS/TSIG.java,
        libraries/javalib/org/xbill/DNS/TSIGRecord.java,
        libraries/javalib/org/xbill/DNS/TTL.java,
        libraries/javalib/org/xbill/DNS/TXTRecord.java,
        libraries/javalib/org/xbill/DNS/Tokenizer.java,
        libraries/javalib/org/xbill/DNS/Type.java,
        libraries/javalib/org/xbill/DNS/U16NameBase.java,
        libraries/javalib/org/xbill/DNS/UDPClient.java,
        libraries/javalib/org/xbill/DNS/UNKRecord.java,
        libraries/javalib/org/xbill/DNS/WKSRecord.java,
        libraries/javalib/org/xbill/DNS/X25Record.java,
        libraries/javalib/org/xbill/DNS/Zone.java,
        libraries/javalib/org/xbill/DNS/ZoneTransferIn.java,
        libraries/javalib/org/xbill/DNS/dns.java,
        libraries/javalib/org/xbill/DNS/security/DNSSECVerifier.java,
        libraries/javalib/org/xbill/DNS/security/DSAPubKey.java,
        libraries/javalib/org/xbill/DNS/security/DSASignature.java,
        libraries/javalib/org/xbill/DNS/utils/HMAC.java,
        libraries/javalib/org/xbill/DNS/utils/hmacSigner.java,
        libraries/javalib/org/xbill/DNS/utils/md5.java:
	Resynced with DNSJava 2.0.0.

2005-07-06  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU inetlib.

	2005-06-20  Chris Burdess  <dog@gnu.org>

        * Request.java: If request method is HEAD or OPTIONS, never attempt
        to read response body.

	2005-06-15  Goffredo Baroncelli  <kreijack@inwind.it>

        * HTTPURLConnection.java: Check index.

	2005-06-06  Chris Burdess  <dog@gnu.org>

        * IMAPConnection.java,POP3Connection.java,SMTPConnection.java,
        NNTPConnection.java,TraceLevel.java: New logging framework.
        * POP3Connection.java,SMTPConnection.java: Permit TLS negotiation on
        socket connection.

	2005-05-28  Chris Burdess  <dog@gnu.org>

        * HTTPURLConnection.java: Check that Location is not null on
        redirect.
        * FTPURLConnection.java: URL paths are relative.

	2005-04-28  Chris Burdess  <dog@gnu.org>

        * NNTPConnection.java: As below for createSaslClient.

	2005-04-27  Chris Burdess  <dog@gnu.org>

        * HTTPURLConnection.java: Accept absolute and relative paths in
        Location header. Throw FileNotFoundException and implement
        getErrorStream on 404.
        * SMTPConnection.java,IMAPConnection.java,POP3Connection.java:
        Use HashMap instead of Properties in argument to createSaslClient
        to ensure compatibility with Java 1.5 generics syntax.

2005-07-06  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.classlibrary-compile: Recommend jikes 1.22.

        Reported by:  Akhilesh Shirbhate <akhilesh.hacking@gmail.com>

2005-07-06  Dalibor Topic  <robilad@kaffe.org>

